<!-- AccountPreferences/password/contentFormValidation.jsp -->
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc"
%><%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc"
%><%@ taglib uri="/tld/desktop.tld" prefix="dt"
%><%@ taglib uri="/tld/jx.tld" prefix="jx"
%><%@ taglib uri="/tld/i18n.tld" prefix="i18n"%><%

%>
<dt:obtainContainer container="$JSPProvider">
<i18n:setBundle baseName="CommunitySamplePortal" var="CommunitySamplePortalRB"/>

<script language="Javascript1.2">

function contentFormValid(){

  originalPassword = document.contentForm.originalPassword.value
  newPassword = document.contentForm.newPassword.value
  confirmPassword = document.contentForm.confirmPassword.value
  
  MIN_LENGTH = 2

  if (originalPassword == "" || 
      newPassword == "" ||
      confirmPassword == "") {
    alert('<i18n:message key="all.fields.required" bundle="CommunitySamplePortalRB"/>')
    return false
  }

  if (originalPassword.length < MIN_LENGTH || 
      newPassword.length < MIN_LENGTH || 
      confirmPassword.length < MIN_LENGTH) {
    alert('<i18n:message key="all.fields.length.part1" bundle="CommunitySamplePortalRB"/> ' + MIN_LENGTH + ' <i18n:message key="all.fields.length.part2" bundle="CommunitySamplePortalRB"/>')
    return false
  }

  if (newPassword != confirmPassword) {
    alert('<i18n:message key="passwords.must.match" bundle="CommunitySamplePortalRB"/>')
    return false
  }

  return true
}
</script>
<noscript>
  <span id="javascript_noscript"><i18n:message key="javascript_noscript" bundle="CommunitySamplePortalRB"/></span>
</noscript>
</dt:obtainContainer>
