<%--
Copyright 2003 Sun Microsystems, Inc. All rights reserved 
Use is subject to license terms.
--%>
<%-- @(#)viewDiscussionBar.jsp --%>
<%@page language= "java" import=" java.util.*, java.text.*" %> 

<%@page errorPage="error.jsp" %> 
<%@ taglib uri="/tld/jx.tld" prefix="jx" %> 
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %> 
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<jx:declare id="tBorderColor" type="java.lang.String"/>
<jx:declare id="tTitleBarColor" type="java.lang.String"/>

<jx:declare id="ddd" type="java.lang.String"/>
<jx:declare id="df" type="java.lang.String"/>
<jx:declare id="det" type="java.lang.String"/>
<jx:declare id="dbname" type="java.lang.String"/>
<jx:declare id="searchInSingleContainerURL" type="java.lang.String"/>
<jx:declare id="channelName" type="java.lang.String"/>

<dt:obtainChannel channel="$JSPProvider">
<i18n:setBundle baseName="DiscussionsJSP" var="discussionsjsp" />
</dt:obtainChannel>

<%
// set the 'SELECTED' values for all the form fields 
// scriptlet evaluates user selection from the request
// or pick the default values from display profile. 

// FLAT/ THREADED
boolean threaded = false;
String selectFlat = "", selectThreaded="";
if (request.getParameter("th") != null) {
	String th = request.getParameter("th");
	if (th.equalsIgnoreCase("threaded")) {
		threaded = true;
		selectThreaded = "SELECTED";
	} else {
		selectFlat = "SELECTED";
	}
} else {
	// get from display profile
	if (ddd.equalsIgnoreCase("threaded")) {
		threaded = true;
		selectThreaded = "SELECTED";
	} else {
		selectFlat = "SELECTED";
	}
}
pageContext.setAttribute("threaded", new Boolean(threaded), PageContext.REQUEST_SCOPE);

// EXPAND / COLLAPSE 
boolean expand = false;
String selectExpand = "", selectCollapse =  "";
if (request.getParameter("show") != null) {
	String exp = request.getParameter("show");
	if (exp.equalsIgnoreCase("Expand")) {
		expand= true;
		selectExpand= "SELECTED";
	} else {
		selectCollapse = "SELECTED";
	}
} else {
	// get from display profile
	if (det.equalsIgnoreCase("Expand All")) {
		expand= true;
		selectExpand= "SELECTED";
	} else {
		selectCollapse = "SELECTED";
	}
}
pageContext.setAttribute("expand", new Boolean(expand), PageContext.REQUEST_SCOPE);

// RATING FILTER. IRRELEVANT...MUST READ 
int filter = 0;
String f0="", f1="",f2="",f3="", fminus1="";
if (request.getParameter("f") != null) {
	String f = request.getParameter("f");
	filter = Integer.parseInt(f);
	if (f.equalsIgnoreCase("-1")) {
		fminus1 = "SELECTED";
	} else if (f.equalsIgnoreCase("0")) {
		f0 = "SELECTED";
	} else if (f.equalsIgnoreCase("1")) {
		f1 = "SELECTED";
	} else if (f.equalsIgnoreCase("2")) {
		f2 = "SELECTED";
	} else {
		f3 = "SELECTED";
	}
} else {
	// get from display profile
	if (df.equalsIgnoreCase("Irrelevant")) {
		fminus1 = "SELECTED";
		filter = -1;
	} else if (df.equalsIgnoreCase("Routine")) {
		f0 = "SELECTED";
		filter = 0;
	} else if (df.equalsIgnoreCase("Interesting")) {
		f1 = "SELECTED";
		filter = 1;
	} else if (df.equalsIgnoreCase("Important")) {
		f2 = "SELECTED";
		filter = 2;
	} else {
		f3 = "SELECTED";
		filter = 3;
	}
}
pageContext.setAttribute("filter", new Integer(filter), PageContext.REQUEST_SCOPE);
String q = request.getParameter("scope");
if (q == null) q = "";
%>
<tr> 
<td scope="colgroup" class="TblActTd" colspan="4" align="center">
<form NAME="dform" METHOD=GET ENCTYPE="application/x-www-form-urlencoded">
<span class="TblTdTxt">
<INPUT type="HIDDEN" name="targetprovider" value="<%=channelName%>">
<INPUT type="HIDDEN" name="action" value="content">
<INPUT type=HIDDEN name="<%=channelName%>_dmode" value="vl">
<% 
String did = request.getParameter("did");
if (did != null) { 
%><INPUT type=HIDDEN name="did" value="<%=did%>"><%
} %>
<LABEL FOR="threaded"><i18n:message key="view" bundle="discussionsjsp" /></LABEL>&nbsp;
<select name="th" id="threaded"  onChange="javascript:document.dform.submit()">
<option value="threaded" <%=selectThreaded%>><i18n:message key="threaded" bundle="discussionsjsp" /></option>
<option value="flat" <%=selectFlat%>><i18n:message key="flat" bundle="discussionsjsp" /></option>
</select>&nbsp;
<LABEL FOR="filter"><i18n:message key="filter" bundle="discussionsjsp" /></LABEL>&nbsp;
<select name="f" id="filter" onChange="javascript:document.dform.submit()">
<option value=-1 <%=fminus1%>><i18n:message key="irrelevant" bundle="discussionsjsp" /></option>
<option value=0 <%=f0%>><i18n:message key="routine" bundle="discussionsjsp" /></option>
<option value=1 <%=f1%>><i18n:message key="interesting" bundle="discussionsjsp" /></option>
<option value=2 <%=f2%>><i18n:message key="important" bundle="discussionsjsp" /></option>
<option value=3 <%=f3%>><i18n:message key="mustRead" bundle="discussionsjsp" /></option>
</select>&nbsp;
<LABEL FOR="threshold"><i18n:message key="threshold" bundle="discussionsjsp" /> </LABEL>&nbsp;
<select name="show" id="threshold" onChange="javascript:document.dform.submit()">
<option value="Expand" <%=selectExpand%>><i18n:message key="expandAll" bundle="discussionsjsp" /></option>
<option value="Collapse" <%=selectCollapse%>><i18n:message key="collapseAll" bundle="discussionsjsp" /></option>
</select>&nbsp;
</span>
</form>
</td>
</tr>
