<%@ page import="java.util.*" %>
<%@ taglib uri="/tld/im.tld" prefix="im" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>
<%
	if (request.getAttribute("invite") != null ||
	request.getParameter("invite") != null) { %> <jsp:forward page="invite.jsp"/> <% }

	if (request.getAttribute("display") != null ||
		request.getParameter("display") != null) { %> <jsp:forward page="IMArchiveDisplay.jsp"/> <% 
	} else {

		String launchType = request.getParameter("launch");
		if (launchType != null) { 
			if (launchType.equals("jnlp")) { %> <jsp:forward page="jnlpLaunch.jsp"/> <% }
			if (launchType.equals("plugin")) { %> <jsp:forward page="pluginLaunch.jsp"/> <% }
		}
%>
<dt:obtainChannel channel="$JSPProvider">
	<dtpc:providerContext>
		<i18n:setBundle baseName="IMProviderJSP">
<script>
// Needed for window error handler
function donothing()
{
	return true;
}<%
%><dt:getName id="jsChannelName"/><%
%><jx:declare id="jsChannelName" type="java.lang.String"/><%
jsChannelName = jsChannelName.replace('/','_');
%>
function launch_<%=jsChannelName%>(user) {
	var launchURL = "<dt:scontent/>/IMLaunch?provider=<dt:getName/>&launch=<dtpc:getStringProperty key='clientRunMode'/>";
	if (user.length > 0) {
		launchURL = launchURL + "&username=" + user;
		launchURL = launchURL + "&msg=<i18n:message key="invite.message"/>";
	}

 	// Function to detect webstart installation when launching using jnlp
	if ('<dtpc:getStringProperty key='clientRunMode'/>' == 'jnlp') {
		var webstartInstalled = false;
		// Netscape 6+ / Mozilla does not tell you whether Java Web Start
		// is installed
		var ua = window.navigator.userAgent.toLowerCase();
		if (ua.indexOf('gecko') != -1) {
			webstartInstalled=true;
		} else if (navigator.mimeTypes && navigator.mimeTypes.length) {
			// Check for Netscape 4.x
			x = navigator.mimeTypes['application/x-java-jnlp-file'];
			if (x) webstartInstalled=true;
		} else {
			// Assume everything else is IE
			saveErrorHandler = window.onerror;
			window.onerror = donothing;
			x = new ActiveXObject('JavaWebStart.IsInstalled');
			window.onerror = null;
			if (x) webstartInstalled=true;
		}

		if ( webstartInstalled ) {
			w = window.open(launchURL, '_blank', 'width=320,height=200,hotkeys=no,status=no,resizable=no,scrollbars=yes');
			// Automatically close jnlp launch window
			w.setTimeout('window.close()', '5000');
		} else {
			window.open("<im:getCodebase/>/javaws_not_installed.html");
		}
	} else {		
		window.open(launchURL, '_blank', 'width=320,height=200,hotkeys=no,status=no,resizable=no,scrollbars=yes');
	}
}

</script>
<noscript>
	<i18n:message key="noscript.desc"/>
</noscript>
	<jx:declare id="fontFace" type="java.lang.String"/>
	<dtpc:getStringProperty id="fontFace" key="fontFace1"/>
	<im:getDateTime format="{0,date,long} {0,time,short}" id="im.datetime"/>
	<font face="<%=fontFace%>" size="-1">
		<i18n:message key="last.updated">
			<i18n:param value='<%=(String)pageContext.getAttribute("im.datetime")%>' />
		</i18n:message>
	</font>
	<p>
	<jx:set var="nogroups" value="true"/>
	<dtpc:getStringProperty id="groups" key="contactGroup"/>
	<jx:if test="$groups == ''">
		<im:getContactGroups id="groups"/>
		<% if (pageContext.getAttribute("groups") == null) { %>
			<p>
			<font color="red" size="3" face="<%=fontFace%>"><i18n:message key="error.connecting"/></font>
			<jx:set var="nogroups" value="false"/>
			<jx:set var="groups" value=""/>
		<% } %>
	</jx:if>
	<jx:forEach var="cg" items="$groups">
		<jx:set var="nogroups" value="false"/>
		<im:getContactGroup id="contacts" group="$cg"/>
		<% if (pageContext.getAttribute("contacts") == null) { %>
			<p>
			<font color="red" size="3" face="<%=fontFace%>"><i18n:message key="error.connecting"/></font>
		<% } else { %>
		<img src="<dt:scontent/>/images/folder_col.gif" alt="<i18n:message key="folder"/>" border=0 align=absmiddle>
		<b><jx:expr value="$cg"/></b><br>
		<jx:set var="noneonline" value="true"/>
		<jx:forEach var="contact" items="$contacts">
			<im:obtainContact contact="$contact">
			<im:getContactPresence id="p"/>
			<jx:declare id="p" type="java.lang.String"/>
			<im:getContactName id="contact.name"/>
			<jx:set var="anchortag">
				<a href="javascript:launch_<%=jsChannelName%>('<im:getContactUsername urlencode="true"/>')" 
onMouseOver="window.status='<i18n:message key="mouseover.contact.message" var='<%=(String)pageContext.getAttribute("contact.name")%>'/>'; return true;"
onFocus="window.status='<i18n:message key="mouseover.contact.message" var='<%=(String)pageContext.getAttribute("contact.name")%>'/>'; return true;"
onMouseOut="window.status=''; return true;" 
onBlur="window.status=''; return true;" 
title="<i18n:message key="launch.im"/>">
			</jx:set>
			<jx:choose>
				<jx:when test="$p=='OPEN'">
					<jx:expr value="$anchortag"/>
					<img src="<dt:scontent/>/images/Online_13Padded.gif" alt="<i18n:message key="mouseover.contact.open"/>" border=0 align=absmiddle></a>
					<im:getContactName/></br>
					<jx:set var="noneonline" value="false"/>
				</jx:when>
				<jx:when test="$p=='ONLINE'">
					<jx:expr value="$anchortag"/>
					<img src="<dt:scontent/>/images/Online_13Padded.gif" alt="<i18n:message key="mouseover.contact.online"/>" border=0 align=absmiddle></a>
					<im:getContactName/></br>
					<jx:set var="noneonline" value="false"/>
				</jx:when>
				<jx:when test="$p=='IDLE'">
					<jx:expr value="$anchortag"/>
					<img src="<dt:scontent/>/images/Idle_13Padded.gif" alt="<i18n:message key="mouseover.contact.idle"/>" border=0 align=absmiddle></a>
					<im:getContactName/></br>
					<jx:set var="noneonline" value="false"/>
				</jx:when>
				<jx:when test="$p=='BUSY'">
					<jx:expr value="$anchortag"/>
					<img src="<dt:scontent/>/images/Online_13Padded.gif" alt="<i18n:message key="mouseover.contact.busy"/>" border=0 align=absmiddle></a>
					<im:getContactName/></br>
					<jx:set var="noneonline" value="false"/>
				</jx:when>

<%-- Offline States - Uncomment this if you want users to see offline contacts --
				<jx:when test="$p=='CLOSED'">
					<jx:expr value="$anchortag"/>
					<img src="<dt:scontent/>/images/Offline_13Padded.gif" alt="<i18n:message key="mouseover.contact.offline"/>" border=0 align=absmiddle></a>
					<im:getContactName/></br>
				</jx:when>
				<jx:when test="$p=='AWAY'">
					<jx:expr value="$anchortag"/>
					<img src="<dt:scontent/>/images/Away_13Padded.gif" alt="<i18n:message key="mouseover.contact.away"/>" border=0 align=absmiddle></a>
					<im:getContactName/></br>
				</jx:when>
				<jx:when test="$p=='FORWARDED'">
					<jx:expr value="$anchortag"/>
					<img src="<dt:scontent/>/images/Forwarded_13Padded.gif" alt="<i18n:message key="mouseover.contact.forwarded"/>" border=0 align=absmiddle></a>
					<im:getContactName/></br>
				</jx:when>
				<jx:when test="$p=='OTHER'">
					<jx:expr value="$anchortag"/>
					<img src="<dt:scontent/>/images/Offline_13Padded.gif" alt="<i18n:message key="mouseover.contact.other"/>" border=0 align=absmiddle></a>
					<im:getContactName/></br>
				</jx:when>
				<jx:otherwise>
					<jx:expr value="$anchortag"/>
					<img src="<dt:scontent/>/images/Offline_13Padded.gif" alt="<i18n:message key="mouseover.contact.misc" var="<%=p%>"/>" border=0 align=absmiddle></a>
					<im:getContactName/></br>
				</jx:otherwise>
--	End of offline states --%>

			</jx:choose>
		</im:obtainContact>
	</jx:forEach>
	<jx:if test="$noneonline == 'true'">
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<i><i18n:message key="no.online.contacts"/></i><br>
	</jx:if>
	<% } %>
</jx:forEach>
<jx:if test="$nogroups == 'true'">
<p>
<i18n:message key="no.contact.groups"/>
</jx:if>
<p>
<a href="javascript:launch_<%=jsChannelName%>('')" 
onMouseOver="window.status='<i18n:message key="mouseover.start"/>'; return true;"
onFocus="window.status='<i18n:message key="mouseover.start"/>'; return true;"
onMouseOut="window.status=''; return true;"
onBlur="window.status=''; return true;"
title="<i18n:message key="launch.im"/>">
<i18n:message key="launch.im"/></a> 
<i18n:message key="launch.chat"/>
		</i18n:setBundle>
	</dtpc:providerContext>
</dt:obtainChannel>
<% } %>
