<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%@ taglib uri = "/tld/desktop.tld" prefix = "dt"%>
<%@ taglib uri = "/tld/desktopProviderContext.tld" prefix = "dtpc"%>
<%@ taglib uri = "/tld/wireless_commprefs.tld" prefix = "cp"%>
<%@ taglib uri = "/tld/wireless_util.tld" prefix = "util"%>
<%@ taglib uri = "/tld/desktopTheme.tld" prefix = "dttheme"%>

<util:log msg1="ENTER JSP edit-pop.jsp"/>

<dt:obtainChannel channel="$JSPProvider">
  <dtpc:providerContext>
  <util:catalog resource="MAMailJSP" id="i18n"/>
  <cp:mailcontext>

<util:if name="*REQUEST*" property="mode" value="add">

  <%-- Add Mode --%>
  <cp:popconfig id="config"/>
  <INPUT TYPE=HIDDEN NAME="process" VALUE="pop-add">


</util:if>
<util:if name="*REQUEST*" property="mode" value="edit">

  <%-- Edit Mode --%>
  <INPUT TYPE=HIDDEN NAME="process" VALUE="pop-edit">

  <cp:popconfigs iterate="true" beanid="item">
    <cp:popconfig>
      <util:if property="name" value="$(name)">
        <util:set name="*PAGE*" property="config" id="item"/>
        <util:get id="popDelete" property="popDelete"/>
      </util:if>
    </cp:popconfig>
  </cp:popconfigs>

  <%-- For possible rename --%>	
  <INPUT TYPE=HIDDEN NAME="oldName" VALUE="<util:get eval="$(name)"/>">

</util:if>

<TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" WIDTH="100%" BGCOLOR="<dttheme:getAttribute name="bgColor"/>">
<TR>
<TD VALIGN="TOP" COLSPAN="3" BGCOLOR="<dttheme:getAttribute name="titleBarColor"/>">
<FONT SIZE=+1 FACE="<dttheme:getAttribute name="fontFace"/>" COLOR="<dttheme:getAttribute name="titleFontColor"/>">
<B> <util:msg name="i18n" key="popinfo"/> </B></FONT>
</TD>
</TR>

<TR>
<TD WIDTH="20%" HEIGHT="4" NOWRAP> &nbsp; </TD>
<TD WIDTH="45%" HEIGHT="4" NOWRAP> &nbsp; </TD>
<TD WIDTH="30%" VALIGN="TOP" ROWSPAN="11" BGCOLOR="<dttheme:getAttribute name="bgColor"/>">
<TABLE BORDER="0" CELLPADDING="2" CELLSPACING="1" WIDTH="100%" BGCOLOR="<dttheme:getAttribute name="bgColor"/>">

<TR>
<TD VALIGN="TOP" BGCOLOR="#DCDCDC">
<FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="+0" COLOR="<dttheme:getAttribute name="fontColor"/>">
<B> <util:msg name="i18n" key="why" default=""/> </B>
</FONT>&nbsp;
</TD>
</TR>

<TR>
<TD VALIGN="TOP">
<FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
  <util:msg name="i18n" key="popwhy" default=""/>
<BR>
</TD>
</TR>
</TABLE>
</TD>
</TR>

<TR>
<TD WIDTH="20%" ALIGN="CENTER" VALIGN="MIDDLE" NOWRAP>
<P ALIGN="RIGHT">
<FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
<LABEL FOR="collection"> <util:msg name="i18n" key="collname" default=""/></LABEL>
</FONT>
</TD>
<TD WIDTH="45%" VALIGN="MIDDLE" NOWRAP>
<FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="+0">
<INPUT TYPE="TEXT" NAME="name" ID="collection" SIZE="25" MAXLENGTH="40" VALUE="<util:get eval="${config:name}"/>">
</FONT>
</TD>
</TR>

<TR>
<TD WIDTH="20%" ALIGN="CENTER" VALIGN="MIDDLE" NOWRAP>
<P ALIGN="RIGHT">
<FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
<LABEL FOR="server"> <util:msg name="i18n" key="popserver" default=""/> </LABEL>
</FONT>
</TD>
<TD WIDTH="45%" VALIGN="MIDDLE" NOWRAP>
<FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="+0">
<INPUT TYPE="TEXT" NAME="host" ID="host" SIZE="25" MAXLENGTH="40" VALUE="<util:get eval="${config:host}"/>">
</font>
</TD>
</TR>

<TR>
<TD WIDTH="20%" ALIGN="CENTER" VALIGN="MIDDLE" NOWRAP>
<P ALIGN="RIGHT">
<FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
<LABEL FOR="server"> <util:msg name="i18n" key="popport" default=""/></LABEL>
</FONT>
</TD>
<TD WIDTH="45%" VALIGN="MIDDLE" NOWRAP>
<FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="+0">
<INPUT TYPE="TEXT" NAME="port" ID="port" SIZE="25" MAXLENGTH="40" VALUE="<util:get eval="${config:port}"/>">
</font>
</TD>
</TR>

<TR>
<TD WIDTH="20%" ALIGN="CENTER" VALIGN="MIDDLE" NOWRAP>
<P ALIGN="RIGHT">
<FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
<LABEL FOR="user"> <util:msg name="i18n" key="popuid" default=""/></LABEL>
</FONT>
</TD>
<TD WIDTH="45%" VALIGN="MIDDLE" NOWRAP>
<FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="+0">
<INPUT TYPE="TEXT" NAME="uid" ID="user" SIZE="25" MAXLENGTH="40" VALUE="<util:get eval="${config:uid}"/>">
</FONT>
</TD>
</TR>

<TR>
<TD WIDTH="20%" ALIGN="CENTER" VALIGN="MIDDLE" NOWRAP>
<P ALIGN="RIGHT">
<FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
<LABEL FOR="pw"> <util:msg name="i18n" key="password" default=""/> </LABEL>
</FONT>
</TD>
<TD WIDTH="45%" VALIGN="MIDDLE" NOWRAP>
<FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="+0">
<INPUT TYPE="PASSWORD" NAME="password" ID="pw" SIZE="25" MAXLENGTH="40" VALUE="<util:get eval="${config:password}"/>">
</font>
</TD>
</TR>

<TR>
<TD WIDTH="20%" ALIGN="CENTER" VALIGN="MIDDLE" NOWRAP>
<P ALIGN="RIGHT">
<FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
<LABEL FOR="delmsg"> <util:msg name="i18n" key="deletemsgs" default=""/></LABEL>
</FONT>
</TD>
<TD WIDTH="45%" VALIGN="MIDDLE" NOWRAP>
<FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">

<util:if name="*PAGE*" property="popDelete" value="true">

  <INPUT TYPE="CHECKBOX" CHECKED NAME="popDelete" ID="delmsg" VALUE="true">

</util:if>
<util:ifnot name="*PAGE*" property="popDelete" value="true">

  <INPUT TYPE="CHECKBOX" NAME="popDelete" ID="delmsg" VALUE="true">

</util:ifnot>

</font>
</TD>
</TR>

</TABLE>

    </cp:mailcontext>
  </dtpc:providerContext>
</dt:obtainChannel>

<util:log msg1="EXIT JSP edit-pop.jsp"/>
