<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%@ taglib uri = "/tld/desktop.tld" prefix = "dt"%>
<%@ taglib uri = "/tld/desktopProviderContext.tld" prefix = "dtpc"%>
<%@ taglib uri = "/tld/wireless_commprefs.tld" prefix = "cp"%>
<%@ taglib uri = "/tld/wireless_util.tld" prefix = "util"%>
<%@ taglib uri = "/tld/desktopTheme.tld" prefix = "dttheme"%>

<util:log msg1="ENTER JSP edit-rule.jsp"/>

<dt:obtainChannel channel="$JSPProvider">
  <dtpc:providerContext>
  <util:catalog resource="MAMailJSP" id="i18n"/>
  <cp:mailcontext>

<util:if name="*REQUEST*" property="mode" value="add">

  <%-- Add Mode --%>
  <cp:rule id="rule"/>
  <INPUT TYPE=HIDDEN NAME="process" VALUE="rule-add">


</util:if>
<util:if name="*REQUEST*" property="mode" value="edit">

  <%-- Edit Mode --%>
  <INPUT TYPE=HIDDEN NAME="process" VALUE="rule-edit">

  <cp:rules iterate="true" beanid="item">
    <cp:rule>
      <util:if property="name" value="$(name)">
        <util:set name="*PAGE*" property="rule" id="item"/>
      </util:if>
    </cp:rule>
  </cp:rules>

  <%-- For possible rename --%>	
  <INPUT TYPE=HIDDEN NAME="oldName" VALUE="<util:get eval="$(name)"/>">

</util:if>

      <table border="0" cellpadding="2" cellspacing="0" width="100%">
        <tbody>
          <tr>
            <td valign="Top" colspan="5" bgcolor="<dttheme:getAttribute name="titleBarColor"/>">
              <font size="+1" face="<dttheme:getAttribute name="fontFace"/>" color="<dttheme:getAttribute name="titleFontColor"/>">
                <b><util:get eval="${rule:name}"/>&nbsp;<util:msg name="i18n" key="config" default=""/></b>
              </font>
            </td>
          </tr>

          <tr>
            <td>
              &nbsp;
            </td>
            <td valign="Middle" colspan="3">
              <font size="0" face="<dttheme:getAttribute name="fontFace"/>" COLOR="<dttheme:getAttribute name="fontColor"/>">
                <label for="rule"><util:msg name="i18n" key="rulename" default=""/>&nbsp;</label>
                <input type=text name="name" id="rule" size="20" value="<util:get eval="${rule:name}"/>">
              </font>
            </td>
            <td width="40%" valign="Top" rowspan="4" bgcolor="<dttheme:getAttribute name="bgColor"/>">
              <table border="0" cellpadding="2" cellspacing="1" width="100%">
              <tbody>
                <tr>
                  <td valign="Top" bgcolor="#dcdcdc">
                    <font face="<dttheme:getAttribute name="fontFace"/>" size="+0" COLOR="<dttheme:getAttribute name="fontColor"/>">
                      <b><util:msg name="i18n" key="why" default=""/></b>
                    </font>
                  </td>
                </tr>

                <tr>
                  <td valign="Top">
                    <font face="<dttheme:getAttribute name="fontFace"/>" size="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
		      <util:msg name="i18n" key="rulewhy" default=""/>
                    </font>
                  </td>
                </tr>
              </tbody>
              </table>
            </td>
          </tr>

          <tr>
            <td width="5%" height="4" nowrap=""><br>
            </td>
            <th valign="Bottom" width="20" height="4" align="Left">
            <font face="<dttheme:getAttribute name="fontFace"/>" size="+0" COLOR="<dttheme:getAttribute name="fontColor"/>"><util:msg name="i18n" key="header" default=""/></font>
            </th>
            <th valign="Bottom" width="20" height="4" align="Left">
            <font face="<dttheme:getAttribute name="fontFace"/>" size="+0" COLOR="<dttheme:getAttribute name="fontColor"/>"><util:msg name="i18n" key="operation" default=""/></font>
            </th>
            <th valign="Bottom" width="20%" height="4" nowrap="" align="Left">
            <font face="<dttheme:getAttribute name="fontFace"/>" size="+0" COLOR="<dttheme:getAttribute name="fontColor"/>"><util:msg name="i18n" key="value" default=""/></font>
            </th>
          </tr>

          <tr>
            <td width="10%" align="Right" valign="Middle" nowrap="">
	      <util:if name="rule" property="target" value="flag">
		<input type=radio name=ruleType value="recentRead" CHECKED>			
              </util:if>	
	      <util:ifnot name="rule" property="target" value="flag">
		<input type=radio name=ruleType value="recentRead">			
              </util:ifnot>	
            </td>
            <td>
            </td>

            <td valign="Middle" height="4" width="20">
              <font face="<dttheme:getAttribute name="fontFace"/>" size="+0" COLOR="<dttheme:getAttribute name="fontColor"/>">
                <select name="opRecent">
                  <util:if name="rule" property="op" value="isnt">
                    <option value="is"><util:msg name="i18n" key="is" default=""/></option>
                    <option value="isnt" SELECTED><util:msg name="i18n" key="isnt" default=""/></option>
                  </util:if>
                  <util:ifnot name="rule" property="op" value="isnt">
                    <option value="is" SELECTED><util:msg name="i18n" key="is" default=""/></option>
                    <option value="isnt"><util:msg name="i18n" key="isnt" default=""/></option>
                  </util:ifnot>
                </select>
              </font>
            </td>

            <td valign="Middle" width="20">
              <font face="<dttheme:getAttribute name="fontFace"/>" size="+0" COLOR="<dttheme:getAttribute name="fontColor"/>">
                <select name="age">
                  <util:if name="rule" property="ruleValue" value="read">
                    <option value="recent"><util:msg name="i18n" key="recent" default=""/></option>
                    <option value="read" SELECTED><util:msg name="i18n" key="read" default=""/></option>
                  </util:if>
                  <util:ifnot name="rule" property="ruleValue" value="read">
                    <option value="recent" SELECTED><util:msg name="i18n" key="recent" default=""/></option>
                    <option value="read"><util:msg name="i18n" key="read" default=""/></option>
                  </util:ifnot>
                </select>
              </font>
            </td>
          </tr>

          <tr>
            <td width="20%" align="Right" valign="Middle" nowrap="">
              <util:if name="rule" property="target" value="flag">
                <input type=radio name=ruleType value="header"/>
              </util:if>
              <util:ifnot name="rule" property="target" value="flag">
                <input type=radio name=ruleType value="header" CHECKED>
              </util:ifnot>
            </td>
            <td valign="Middle" width="20">
              <font face="<dttheme:getAttribute name="fontFace"/>" size="+0" COLOR="<dttheme:getAttribute name="fontColor"/>">
                <select name="target">
		  <util:if name="rule" property="target" value="subject">
                    <option value="subject" SELECTED><util:msg name="i18n" key="subject" default=""/>
		  </util:if>
		  <util:ifnot name="rule" property="target" value="subject">
                    <option value="subject"><util:msg name="i18n" key="subject" default=""/>
		  </util:ifnot>
		  <util:if name="rule" property="target" value="sender">
                    <option value="sender" SELECTED><util:msg name="i18n" key="sender" default=""/>
		  </util:if>
		  <util:ifnot name="rule" property="target" value="sender">
                    <option value="sender"><util:msg name="i18n" key="sender" default=""/>
		  </util:ifnot>
		  <util:if name="rule" property="target" value="date">
                    <option value="date" SELECTED><util:msg name="i18n" key="date" default=""/>
		  </util:if>
		  <util:ifnot name="rule" property="target" value="date">
                    <option value="date"><util:msg name="i18n" key="date" default=""/>
		  </util:ifnot>
		  <util:if name="rule" property="target" value="priority">
                    <option value="priority" SELECTED><util:msg name="i18n" key="priority" default=""/>
		  </util:if>
		  <util:ifnot name="rule" property="target" value="priority">
                    <option value="priority"><util:msg name="i18n" key="priority" default=""/>
		  </util:ifnot>
		  <util:if name="rule" property="target" value="to">
                    <option value="to" SELECTED><util:msg name="i18n" key="to" default=""/>
		  </util:if>
		  <util:ifnot name="rule" property="target" value="to">
                    <option value="to"><util:msg name="i18n" key="to" default=""/>
		  </util:ifnot>
		  <util:if name="rule" property="target" value="cc">
                    <option value="cc" SELECTED><util:msg name="i18n" key="cc" default=""/>
		  </util:if>
		  <util:ifnot name="rule" property="target" value="cc">
                    <option value="cc"><util:msg name="i18n" key="cc" default=""/>
		  </util:ifnot>
                </select>
              </font>
            </td>
            <td valign="Middle" height="4" width="20">
              <font face="<dttheme:getAttribute name="fontFace"/>" size="+0" COLOR="<dttheme:getAttribute name="fontColor"/>">
                <select name="opHeader">
		  <util:if name="rule" property="op" value="doesnotcontain">		
                    <option value="contains"><util:msg name="i18n" key="contains" default=""/>
                    <option value="doesnotcontain" SELECTED><util:msg name="i18n" key="doesntcontain" default=""/>
		  </util:if>
		  <util:ifnot name="rule" property="op" value="doesnotcontain">		
                    <option value="contains" SELECTED><util:msg name="i18n" key="contains" default=""/>
                    <option value="doesnotcontain"><util:msg name="i18n" key="doesntcontain" default=""/>
		  </util:ifnot>
                </select>
              </font>
            </td>
            <td width="45%" valign="Middle" nowrap="">
	      <util:if name="rule" property="target" value="flag">
                <input type=text name="ruleValue" SIZE="20" MAXLENGTH="40" VALUE="">
              </util:if>	
	      <util:ifnot name="rule" property="target" value="flag">
                <input type=text name="ruleValue" SIZE="20" MAXLENGTH="40" VALUE="<util:get name="rule" property="ruleValue"/>">
              </util:ifnot>	
            </td>
          </tr>

        </tbody>
      </table>

    </cp:mailcontext>
  </dtpc:providerContext>
</dt:obtainChannel>

<util:log msg1="EXIT JSP edit-rule.jsp"/>
