<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%@ taglib uri = "/tld/desktop.tld" prefix = "dt"%>
<%@ taglib uri = "/tld/desktopProviderContext.tld" prefix = "dtpc"%>
<%@ taglib uri = "/tld/wireless_commprefs.tld" prefix = "cp"%>
<%@ taglib uri = "/tld/wireless_util.tld" prefix = "util"%>
<%@ taglib uri = "/tld/desktopTheme.tld" prefix = "dttheme"%>

<%@ page import="java.util.Vector" %>
<%@ page import="java.util.Iterator" %>

<util:log msg1="ENTER JSP edit-view.jsp"/>

<dt:obtainChannel channel="$JSPProvider">
  <dtpc:providerContext>
   <util:catalog resource="MAMailJSP" id="i18n"/>
   <cp:mailcontext>

<util:if name="*REQUEST*" property="mode" value="add">

  <%-- Add Mode --%>
  <cp:view id="view"/>
  <util:get name="view" property="rules" id="viewRules"/>
  <INPUT TYPE=HIDDEN NAME="process" VALUE="view-add">

</util:if>
<util:if name="*REQUEST*" property="mode" value="edit">

  <%-- Edit Mode --%>
  <INPUT TYPE=HIDDEN NAME="process" VALUE="view-edit">

  <cp:views iterate="true" beanid="item">
    <cp:view>
      <util:if property="name" value="$(name)">
        <util:set name="*PAGE*" property="view" id="item"/>
	<util:get property="rules" id="viewRules"/>
      </util:if>
    </cp:view>
  </cp:views>

  <%-- For possible rename --%>	
  <INPUT TYPE=HIDDEN NAME="oldName" VALUE="<util:get eval="$(name)"/>">

</util:if>

<SCRIPT LANGUAGE=JavaScript>

function putInSelected(form) {
    var formName="edit_form";
    var availList = "availableRules";
    var selectList = "selectedRules";

    var selected = document.forms[formName].elements[availList].selectedIndex;
    var nextIndex = document.forms[formName].elements[selectList].options.length;

    if (selected != -1) {
      document.forms[formName].elements[selectList].options[nextIndex] = new Option(document.forms[formName].elements[availList].options[selected].text);
      document.forms[formName].elements[selectList].options[nextIndex].selected = true;

      // Remove from available list
      document.forms[formName].elements[availList].options[selected] = null;
    } else {
      alert("Please select an available rule."); return false;
    }
}

function putInAvailable(form) {
    var formName="edit_form";
    var availList = "availableRules";
    var selectList = "selectedRules";

    var selected = document.forms[formName].elements[selectList].selectedIndex;

    if (selected != -1) {
      document.forms[formName].elements[availList].options[document.forms[formName].elements[availList].options.length] = new Option(document.forms[formName].elements[selectList].options[selected].text);

      // Remove from selected list
      var selectLength = document.forms[formName].elements[selectList].options.length - 1;
      document.forms[formName].elements[selectList].options[selected] = null;
      // Select All
      for (var i = 0; i < selectLength; i++) {
        document.forms[formName].elements[selectList].options[i].selected = true;
      }
    } else {
      alert("Please select a selected rule."); return false;
    }
}
</SCRIPT>

<table border="0" cellpadding="2" cellspacing="0" width="100%">
  <tr>
    <td valign="top" colspan="3" bgcolor="<dttheme:getAttribute name="titleBarColor"/>">
      <font face="<dttheme:getAttribute name="fontFace"/>" color="<dttheme:getAttribute name="titleFontColor"/>" size="+1">
        <b><util:get eval="${view:name}"/>&nbsp;<util:msg name="i18n" key="rulesTitle" default=""/></b>
      </font>
    </td>
  </tr>

  <tr>
    <td width="75%" height="4" nowrap>
      <table>
        <tr></tr><br>
        <tr>
          <font face="<dttheme:getAttribute name="fontFace"/>" COLOR="<dttheme:getAttribute name="fontColor"/>">
            <label for="view"><util:msg name="i18n" key="viewname" default=""/>&nbsp;</label>
            <input type="text" size="20" name="name" id="view" value="<util:get eval="${view:name}"/>">
          </font>
        </tr>
      </table>
    </td>
    <td width="0%" height="4" nowrap> &nbsp; </td>
    <td width="0%" valign="top" rowspan="11" bgcolor="<dttheme:getAttribute name="bgColor"/>">
      <table border="0" cellpadding="2" cellspacing="1" width="100%">
        <tr>
          <td valign="top" bgcolor="#DCDCDC">
            <font face="<dttheme:getAttribute name="fontFace"/>" size="+0" COLOR="<dttheme:getAttribute name="fontColor"/>">
              <b><util:msg name="i18n" key="why" default=""/></b>
            </font>
          </td>
        </tr>
        <tr>
          <td valign="top">
            <font face="<dttheme:getAttribute name="fontFace"/>" size="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
		<util:msg name="i18n" key="viewWhy1" default=""/>
            </font>
            <p>
            <font face="<dttheme:getAttribute name="fontFace"/>" size="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
		<util:msg name="i18n" key="viewWhy2" default=""/>
            </font>
            <p>
            <font face="<dttheme:getAttribute name="fontFace"/>" size="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
		<util:msg name="i18n" key="viewWhy3" default=""/>

            </font>
          </td>
        </tr>
      </table>
    </td>
  </tr>

  <tr>
    <td>
      <table border="0" align="center" BGCOLOR="<dttheme:getAttribute name="bgColor"/>"> 
        <tr> 
          <th><font face="<dttheme:getAttribute name="fontFace"/>" color="<dttheme:getAttribute name="fontColor"/>"><util:msg name="i18n" key="availableRules" default=""/></font></th> 
          <th>&nbsp;</th> 
          <th><font face="<dttheme:getAttribute name="fontFace"/>" color="<dttheme:getAttribute name="fontColor"/>">selectedRules</font></th> 
        </tr> 
        <tr> 
          <td align="center"> 
            <select name="availableRules" size="8" width="20" multiple>
	        <cp:rules iterate="true" beanid="availRule">
		  <cp:rule>

		    <%-- Don't make rule available if its already in view rules --%>
		    <util:set name="*PAGE*" property="availRuleName" value="${availRule:name}"/>
		    <% Vector viewRules = (Vector) pageContext.getAttribute("viewRules");
		       boolean match = false;
		       if (viewRules != null) {
			 Iterator itr = viewRules.iterator();
			 while (itr.hasNext()) {
			   String viewRule = (String) itr.next();
			   if (viewRule.equals(pageContext.getAttribute("availRuleName"))) {
			      match = true;
			   }
			 }
		       }
		       if (! match) { %>
  		         <OPTION> <util:get name="availRule" property="name"/>
                    <% } %>

		  </cp:rule>
		</cp:rules>

            </select>
          </td>
          <td> 
            <table border="0"> 

              <tr> 
                <td align="center">
                  <a href="#" onclick="putInSelected(this.form);return false;">
                  <img border="0" SRC="<dt:scontent/>/desktop/images/b_right.gif" alt="Move to Selected"></a>
                </td>
              </tr>
              <tr> 
                <td align="center">
                  <a href="#" onclick="putInAvailable(this.form);return false;">
                  <img border="0" SRC="<dt:scontent/>/desktop/images/b_left.gif" alt="Move to Available"></a>
                </td>
              </tr>
            </table>
          </td>
          <td align="center">
            <select name="selectedRules" size="8" width="20" multiple>
		<util:beans name="viewRules" beanid="rule" iterate="true">
		  <OPTION> <util:get eval="${rule}"/>
		</util:beans>
            </select>
          </td>
          <td valign="top">
            <br>
            <br>
            <font face="<dttheme:getAttribute name="fontFace"/>" color="<dttheme:getAttribute name="fontColor"/>">
            For messages that match
            <br>
	    <util:if name="view" property="applyAll" value="true">
              &nbsp;&nbsp;<input type="radio" name="ruleMatch" value="any">Any
              <br>
              &nbsp;&nbsp;<input type="radio" name="ruleMatch" value="all" CHECKED>All
              <br>
	    </util:if>
	    <util:ifnot name="view" property="applyAll" value="true">
              &nbsp;&nbsp;<input type="radio" name="ruleMatch" value="any" CHECKED>Any
              <br>
              &nbsp;&nbsp;<input type="radio" name="ruleMatch" value="all">All
              <br>
	    </util:ifnot>
            of the selected rules.
            </font>
          </td>
        </tr>

      </table>
    </td>
  </tr>
</table>

    </cp:mailcontext>
  </dtpc:providerContext>
</dt:obtainChannel>

<util:log msg1="EXIT JSP edit-view.jsp"/>
