<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%@ taglib uri="/tld/wireless_commprefs.tld" prefix="cp" %>
<%@ taglib uri="/tld/wireless_util.tld" prefix="util" %>

<util:log msg1="ENTER JSP process-rule-edit.jsp"/>

<%-- Process the edit of a rule bean --%>

<cp:mailcontext>

  <% if ((request.getParameter("name") == null) ||
	 (request.getParameter("name").equals(""))) {
  
       pageContext.setAttribute("error", "errEmptyRule");
  
     } else if (! request.getParameter("oldName").equals(request.getParameter("name"))) { %>

       <%-- Rename mode: check to make sure there is no rule 
	    with this name, then save to new bean --%>
        <cp:rules iterate="true" beanid="item">
          <cp:rule>
            <util:if property="name" value="$(name)">
              <util:set name="*PAGE*" property="error" value="errRenameCollisions"/>
            </util:if>
          </cp:rule>
        </cp:rules>
  	
        <% if (pageContext.getAttribute("error") == null) { %>
          <cp:rule id="rule"/>
          <util:set name="rule" property="oldName" value="$(oldName)"/>
        <% } %>

  <% } else { %>

      <%-- Edit mode: find the named bean and save to page context --%>
      <cp:rules iterate="true" beanid="item">
        <cp:rule>
          <util:if property="name" value="$(name)">
            <% pageContext.setAttribute("rule", pageContext.getAttribute("item")); %>
          </util:if>
        </cp:rule>
      </cp:rules>
  
    <% }; %>

  <util:ifnot name="*PAGE*" property="error">

    <%@ include file="process-rule-common.jsp" %>

  </util:ifnot>
  
</cp:mailcontext>
<util:log msg1="EXIT JSP process-rule-edit.jsp"/>
