<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%@ taglib uri="/tld/wireless_commprefs.tld" prefix="cp" %>
<%@ taglib uri="/tld/wireless_util.tld" prefix="util" %>

<util:log msg1="ENTER JSP process-view-common.jsp"/>

<cp:mailcontext>

  <util:ifnot name="*REQUEST*" property="selectedRules">
    <util:set name="*PAGE*" property="error" value="errSelectRule"/>
  </util:ifnot>

  <util:ifnot name="*PAGE*" property="error">

    <util:set name="view" property="name" value="$(name)"/>
    <% String[] selRules = request.getParameterValues("selectedRules");
       if (selRules != null) {
         pageContext.setAttribute("rules", Arrays.asList(selRules));
       } %>
    <util:log msg1="SELRULES" msg2="${*PAGE*:rules}"/>
    <%-- CLEAR THE EXISTING view:rule VALUES --%>
    <util:set name="view" property="rule" value="*CLEAR*"/>
    <util:beans name="rules" beanid="rule" iterate="true">
      <util:log msg1="SETTING RULE: " msg2="${*PAGE*:rule}"/>
      <util:set name="view" property="rule" value="${rule}"/>
    </util:beans>

    <util:if name="*REQUEST*" property="ruleMatch" value="all">
      <util:set name="view" property="applyAll"	value="true"/>
    </util:if>

  </util:ifnot>

</cp:mailcontext>

<util:log msg1="EXIT JSP process-view-common.jsp"/>
