<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%@ taglib uri="/tld/wireless_commprefs.tld" prefix="cp" %>
<%@ taglib uri="/tld/wireless_util.tld" prefix="util" %>

<%@ page import="java.util.Arrays"%>

<util:log msg1="ENTER JSP process-view-edit.jsp"/>

<%-- Process the edit of a view bean --%>

<cp:mailcontext>

  <% if ((request.getParameter("name") == null) ||
	 (request.getParameter("name").equals(""))) {
  
       pageContext.setAttribute("error", "errEmptyView");
  
     } else if (! request.getParameter("oldName").equals(request.getParameter("name"))) { %>

       <%-- Rename mode: check to make sure there is no view 
	    with this name, then save to new bean --%>
        <cp:views iterate="true" beanid="item">
          <cp:view>
            <util:if property="name" value="$(name)">
              <% pageContext.setAttribute("error", 
                  "Cannot rename to '" + request.getParameter("name") + 
  		"' as there is already a collection with this name"); %>
            </util:if>
          </cp:view>
        </cp:views>
  	
        <% if (pageContext.getAttribute("error") == null) { %>
          <cp:view id="view"/>
          <util:set name="view" property="oldName" value="$(oldName)"/>
        <% } %>

  <% } else { %>

      <%-- Edit mode: find the named bean and save to page context --%>
      <cp:views iterate="true" beanid="item">
        <cp:view>
          <util:if property="name" value="$(name)">
            <% pageContext.setAttribute("view", pageContext.getAttribute("item")); %>
          </util:if>
        </cp:view>
      </cp:views>
  
    <% }; %>

  <util:ifnot name="*PAGE*" property="error">
    <%@ include file="process-view-common.jsp" %>
  </util:ifnot>
  
</cp:mailcontext>
<util:log msg1="EXIT JSP process-view-edit.jsp"/>
