
<%@page language= "java" import="com.sun.portal.search.providers.*,
                                 com.sun.portal.search.util.Encoder,
                                 java.util.*,
				 java.text.*" %>

<%@ taglib uri="/tld/search.tld" prefix="search" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<dt:obtainChannel channel="$JSPProvider">
<i18n:setBundle baseName="SearchJSP" var="searchjsp" />
</dt:obtainChannel>

<jx:declare id="searchjsp" type="java.util.ResourceBundle"/>

<jsp:useBean id="formbean" scope="request" class="SearchRequestBean">
<jsp:setProperty name="formbean" property= "*"/>
</jsp:useBean>

<%-- declare all UI related variables --%>
<jx:declare id="tFontColor" type="java.lang.String"/>
<jx:declare id="tFontFace" type="java.lang.String"/>
<jx:declare id="tBgColor" type="java.lang.String"/>
<jx:declare id="tBorderColor" type="java.lang.String"/>

<!-- Beginning of about search results -->

<search:getDatabase id="rd_database" scope="request"/>
<jx:declare id="rd_database" type="java.lang.String"/>
<jx:declare id="dpDiscChannelUrl" type="java.lang.String"/>
<jx:declare id="discussionChannel" type="java.lang.String"/>

<%
String l10ndbname = null;
try {
    l10ndbname=(String)((java.util.Map)pageContext.findAttribute("availableDatabases")).get(rd_database);
    if (l10ndbname == null) {
	l10ndbname = rd_database;
    }
} catch (Exception e) {
    l10ndbname = rd_database;
}
%>
<br><FONT color="#707070" face="<%=tFontFace%>"><i18n:message key="from" bundle="searchjsp" /> "<%=l10ndbname%>"&nbsp;</FONT>

<search:getNoHits id= "noHits"/>
<jx:choose>
<jx:when test="$noHits">
    <!-- Beginning of about search results --> 
    <search:getPage id="pg"/>
    <FONT face="<%=tFontFace%>" size="-1"><b>
    <jx:choose><jx:when test="$pg != 1"><i18n:message key="noMoreResultsFound" bundle="searchjsp" /></jx:when>
    <jx:otherwise><i18n:message key="noResultsFound" bundle="searchjsp" /></jx:otherwise></jx:choose>
    </b></font>
    <!-- End of about search results --> 
</jx:when> 

<jx:otherwise>
    <!-- Beginning of about search results --> 
    <FONT color="<%=tFontColor%>" face="<%=tFontFace%>" size="-1"> 
    <NOBR><B><i18n:message key="resultsFound" bundle="searchjsp"><i18n:param><search:getFirstHit/></i18n:param><i18n:param><search:getToHit/></i18n:param><i18n:param><search:getHitCount/></i18n:param></i18n:message></B>
    </FONT>
</jx:otherwise>
</jx:choose>
<jx:if test="$displaySubscription == 'true'">
<%
    //<!-- adding link to save search in the subscriptions channel --> 
    String editLabel = (String) request.getParameter("edit");
    boolean editSub = (editLabel != null && editLabel.trim().length() != 0);
    boolean updateResult = false;
    String updateLabel = null;
    if (editSub && 
        (editLabel.startsWith("category_") ||
         editLabel.startsWith("disc_") || 
         editLabel.startsWith("savedSearch_"))) {
        updateLabel = editLabel.substring(editLabel.indexOf('_')+1);
        updateResult = true;
    }
    %><dt:obtainChannel channel="$JSPProvider">
    <dtpc:providerContext>
    <search:getQuery id="searchQuery"/>
    <jx:declare id="searchQuery" type="java.lang.String"/>
    <search:getDatabase id="db"/>
    <jx:declare id="db" type="java.lang.String"/>
    <%
    String query = "";
    String label = "";
    String server = (String)pageContext.findAttribute("searchServer");
    String database = rd_database;
    if (formbean.getMode().equals("adv")) {
        if (searchQuery != null) {
            int scopeNdxStart = searchQuery.indexOf("scope=");
            int scopeNdxEnd = searchQuery.indexOf("&",scopeNdxStart);
            query = searchQuery.substring(
                    searchQuery.indexOf("=",scopeNdxStart)+1,
                    scopeNdxEnd);
        }
        label = Encoder.urlEncode(request.getParameter("wordsVal"),"UTF-8");
    } else {
        query = Encoder.urlEncode(formbean.getScope(),"UTF-8");
        label = Encoder.urlEncode(formbean.getScope(),"UTF-8");
        server = Encoder.urlEncode(server,"UTF-8");
        database = Encoder.urlEncode(rd_database,"UTF-8");
    }
     if (db != null && db.trim().length() > 0) {
        if (db.toLowerCase().indexOf("discussion") != -1) {
            Map queryInfo = new HashMap();
            queryInfo.put((updateResult) ? "editDiscSubscription":"newDiscSubscription", (updateResult) ? updateLabel : "ROOT");
            queryInfo.put("newDiscTitle",(updateResult) ? updateLabel : label);
            queryInfo.put("newServer",server);
            queryInfo.put("newDB",database);
            queryInfo.put("scope",query);
            pageContext.setAttribute("queryInfo", queryInfo);
            %>&nbsp;&nbsp;<a target="ps_main" href='<dtpc:getDesktopURL pathinfo="$subsPathInfo" querymap="$queryInfo"/>'><%=(updateResult) ? searchjsp.getString("updateSubscription"):searchjsp.getString("saveThisDiscussionSearch")%></a>&nbsp;<%
            if (updateResult) {
                queryInfo.remove("editDiscSubscription");
                queryInfo.put("newDiscSubscription", query);
                pageContext.setAttribute("queryInfo", queryInfo);
            %>&nbsp;&nbsp;<a target="ps_main" href='<dtpc:getDesktopURL pathinfo="$subsPathInfo" querymap="$queryInfo"/>'><i18n:message key="saveAsNewDiscussionSubscription" bundle="searchjsp" /></a>&nbsp;<%
            }
        } else {
            if (formbean.getMode().equals("browse")) {
                Map queryInfo = new HashMap();
                if (updateResult) 
                    queryInfo.put("editCatSubscription", Encoder.urlEncode(updateLabel,"UTF-8"));
                else 
                    queryInfo.put("newCatSubscription", Encoder.urlEncode(formbean.getBrowseCategory(),"UTF-8"));
                queryInfo.put("scope",query);
                queryInfo.put("newServer",server);
                queryInfo.put("newDB",database);
                queryInfo.put("title", (updateResult) ? updateLabel : "");
                pageContext.setAttribute("queryInfo", queryInfo);
                %>
            &nbsp;&nbsp;<a target="ps_main" href='<dtpc:getDesktopURL pathinfo="$subsPathInfo" querymap="$queryInfo"/>'><%=(updateResult) ? searchjsp.getString("updateSubscription"):searchjsp.getString("saveThisSearch")%></a>&nbsp;
            <%  if (updateResult) {
                    queryInfo.remove("editCatSubscription");
                    queryInfo.put("newCatSubscription", Encoder.urlEncode(formbean.getBrowseCategory(),"UTF-8"));
                    pageContext.setAttribute("queryInfo", queryInfo);
                %>&nbsp;&nbsp;<a target="ps_main" href='<dtpc:getDesktopURL pathinfo="$subsPathInfo" querymap="$queryInfo"/>'><i18n:message key="saveAsNewCategorySubscription" bundle="searchjsp" /></a>&nbsp;<%        
                }
               } else {
                Map queryInfo = new HashMap();
                queryInfo.put((updateResult) ? "editSavedSearchSubscription":"newSavedSearchSubscription", (updateResult) ? updateLabel : query);
                queryInfo.put("title", (updateResult) ? updateLabel : label);
                queryInfo.put("scope", query);
                queryInfo.put("newServer",server);
                queryInfo.put("newDB",database);
                pageContext.setAttribute("queryInfo", queryInfo);
                %>
                &nbsp;&nbsp;<a target="ps_main" href='<dtpc:getDesktopURL pathinfo="$subsPathInfo" querymap="$queryInfo"/>'><%=(updateResult) ? searchjsp.getString("updateSubscription"):searchjsp.getString("saveThisSearch")%></a>&nbsp;
            <%
                if (updateResult) {
                    queryInfo.remove("editSavedSearchSubscription");
                    queryInfo.put("newSavedSearchSubscription", query);
                    pageContext.setAttribute("queryInfo", queryInfo);
                %>&nbsp;&nbsp;<a target="ps_main" href='<dtpc:getDesktopURL pathinfo="$subsPathInfo" querymap="$queryInfo"/>'><i18n:message key="saveAsNewSearch" bundle="searchjsp" /></a>&nbsp;<%
                }
              }
        }
    } else {
        if (formbean.getMode().equals("browse") && (formbean.getScat().equals("cat") || (!formbean.getScat().equals("cat") && formbean.getScope().equals("")))) {
            Map queryInfo = new HashMap();
            if (updateResult) 
                queryInfo.put("editCatSubscription", Encoder.urlEncode(updateLabel,"UTF-8"));
            else 
                queryInfo.put("newCatSubscription", Encoder.urlEncode(formbean.getBrowseCategory(),"UTF-8"));
            queryInfo.put("scope", query);
            queryInfo.put("newServer",server);
            queryInfo.put("newDB",database);
            queryInfo.put("title", (updateResult) ? updateLabel : "");
            pageContext.setAttribute("queryInfo", queryInfo);
            %>
            <a target="ps_main" href='<dtpc:getDesktopURL pathinfo="$subsPathInfo" querymap="$queryInfo"/>'><%=(updateResult) ? searchjsp.getString("updateSubscription"):searchjsp.getString("subscribeToCategory")%></a>&nbsp;
        <%  if (updateResult) {
                queryInfo.remove("editCatSubscription");
                queryInfo.put("newCatSubscription", Encoder.urlEncode(formbean.getBrowseCategory(),"UTF-8"));
                pageContext.setAttribute("queryInfo", queryInfo);
            %><a target="ps_main" href='<dtpc:getDesktopURL pathinfo="$subsPathInfo" querymap="$queryInfo"/>'><i18n:message key="saveAsNewCategorySubscription" bundle="searchjsp" /></a>&nbsp;<%
            }
           } else {
            Map queryInfo = new HashMap();
            queryInfo.put((updateResult) ? "editSavedSearchSubscription":"newSavedSearchSubscription", (updateResult) ? updateLabel : query);
            queryInfo.put("title", (updateResult) ? updateLabel : label);
            queryInfo.put("scope", query);
            queryInfo.put("newServer",server);
            queryInfo.put("newDB",database);
            pageContext.setAttribute("queryInfo", queryInfo);
            %>
            <a target="ps_main" href='<dtpc:getDesktopURL pathinfo="$subsPathInfo" querymap="$queryInfo"/>'><%=(updateResult) ? searchjsp.getString("updateSubscription"):searchjsp.getString("saveThisSearch")%></a>&nbsp;
        <%
            if (updateResult) {
                queryInfo.remove("editSavedSearchSubscriptions");
                queryInfo.put("newSavedSearchSubscription", query);
                pageContext.setAttribute("queryInfo", queryInfo);
            %><a target="ps_main" href='<dtpc:getDesktopURL pathinfo="$subsPathInfo" querymap="$queryInfo"/>'><i18n:message key="saveAsNewSearch" bundle="searchjsp" /></a>&nbsp;<%
            }
           } %>
    <%}%>
    </dtpc:providerContext>
    </dt:obtainChannel>
</jx:if>
    </NOBR><BR>
    <!-- End of about search results -->

    <!-- Beginning of display results --> 
   <jx:choose>
    <jx:when test="$noHits"></jx:when>
    <jx:otherwise>
    <search:getNextResult input="$resultstream"> 

 <% if (!formbean.getMode().equals("browse") || !formbean.getScope().equals("")) { %>
<% } %>

    <TABLE BORDER=0 CELLPADDING="0" CELLSPACING="5"> 

    <search:getURL id="url"/>
    <search:getValue attribute="rd-display-url" escape="false" id="rd_display_url" scope="request"/>
    <jx:declare id="rd_display_url" type="java.lang.String"/>

    <jx:declare id="url" type="java.lang.String"/>


    <jx:set var="isDiscussion" value="false"/>
    <search:getValue attribute="rd-reference-id" id="rid"/>
    <jx:if test="$rid != ''">
    <jx:set var="isDiscussion" value="true"/>
    <%
    if (discussionChannel == null || discussionChannel.trim().length() == 0) {
        discussionChannel = "Discussions";
    }
    if (rd_display_url != null) {
        url = rd_display_url;
    } else {
        url = dpDiscChannelUrl+"?"+discussionChannel+"_dmode=vl&did="+Encoder.urlEncode(url);
    }
    %>
    </jx:if> 
    <jx:declare id="isDiscussion" type="java.lang.String"/>

    <TR>
    <TD> 
    <A class=noUnderline target="ps_main" HREF="<%=url%>"><font face="<%=tFontFace%>"><search:getValue attribute="hl-title" escape="false"/></font></A><BR> 
    </TD> 
    </TR>

    <% if (formbean.getDescription().equals("brief")) { %> 
	<TR>
	<TD> 
	    <FONT size=-1 color=<%=tFontColor%> face=<%=tFontFace%>>
	    <search:getValue attribute="hl-description" escape="false"/>
	    </FONT>
        </TD> 
        </TR>

	<TR>
	<TD> 
	    <search:getValue attribute="hl-url" escape="false" id="rd_url" scope="request"/>
	    <jx:declare id="rd_url" type="java.lang.String"/>
	    <%@ include file="rating.jsp"%>
	</TD> 
	</TR>
    <% } else if (formbean.getDescription().equals("full")) { %> 
	<TR>
	<TD> 
	    <FONT size=-1 color=<%=tFontColor%> face=<%=tFontFace%>>
	    <search:getValue attribute="hl-description" escape="false"/>
	    </FONT>
	</TD> 
	</TR>

	<TR>
	<TD> 
	    <FONT size=-1 color=#707070 face=<%=tFontFace%>>

	    <search:getValue attribute="hl-url" escape="false" id="rd_url" scope="request"/>
	    <jx:declare id="rd_url" type="java.lang.String"/>
	    <%=rd_url%>&nbsp;

	    <search:getValue attribute="content-length" id="sz"/>
	    <jx:declare id="sz" type="java.lang.String"/>
	    <%
	    int sizek = 1;
	    try {
		sizek = Math.max(1, (Integer.parseInt(sz) + 512)/1024 ); 
	    } catch (Exception e) {
	    }
	    %>
	    <i18n:message key="size" bundle="searchjsp" /> <%= sizek %>k&nbsp;

	    <search:getValue attribute="classification" multivalue="10" id="classification"/>
	    <search:getValue attribute="hl-classification" multivalue="10" id="hlclassification"/>
	    <jx:if test = "$classification != ''">
	    <i18n:message key="classification" bundle="searchjsp" /> 
	    <%
	    String cls = (String)pageContext.getAttribute("classification");
	    String hlcls = (String)pageContext.getAttribute("hlclassification");
	    StringTokenizer st = new StringTokenizer(cls, "\n");
	    StringTokenizer sth = new StringTokenizer(hlcls, "\n");
	    while (st.hasMoreTokens() && sth.hasMoreTokens()) {
		String cl = st.nextToken();   // html encoded classification
		String clh = sth.nextToken(); // html encoded classification with highlights
		%>
		<A HREF="javascript:document.searchform.browseCategory.value=&quot;<%=SearchContext.htmlEncode(Encoder.quotedEscape(cl))%>&quot;;document.searchform.scope.value='';document.searchform.mode.value='browse';document.searchform.submit();"><FONT size=-1 face=<%=tFontFace%>><%=clh%></FONT></A>
		<%
	    } %>
	    </jx:if>
	    </FONT>
	</TD> 
	</TR>

	<TR>
	<TD> 
	    <%@ include file="rating.jsp"%>
	</TD> 
	</TR>

	<TR>
	<TD> 
	    <jx:choose>
	    <jx:when test="$isDiscussion == 'true'">
		<a target="ps_main" href="<%=url%>"><FONT size=-1 face=<%=tFontFace%>><i18n:message key="viewDiscussion" bundle="searchjsp" /></FONT></a>
	    </jx:when>
	    <jx:otherwise>
		<a target="ps_main" href="<%=dpDiscChannelUrl%>?<%=discussionChannel%>_dmode=cmt&ref_id=<%=Encoder.urlEncode(url)%>&database=default"><FONT size=-1 face=<%=tFontFace%>><i18n:message key="startADiscussion" bundle="searchjsp" /></FONT></a>
	    </jx:otherwise>
	    </jx:choose>
	</TD> 
	</TR>
    <% } else { %> 
	<TR>
	<TD> 
    <% } %> 
    </TD> 
    </TR> 
    </TABLE> 

    </search:getNextResult>
    <!-- End of Display Results -->
</jx:otherwise>
</jx:choose>
