<?xml version="1.0"?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD Compact HTML 1.0 Draft//EN">
<%--   
 Copyright 2003 Sun Microsystems, Inc. All rights reserved
 Use is subject to license terms.
--%> 
<%-- wireless.jsp --%>

<%-- Get top level common setup --%>
<%@ include file="dtSetup.jsp" %>

<%-- Obtain the container in taglib context --%>
<dt:obtainContainer container="$JSPProvider">
<i18n:setBundle baseName="WirelessProvidersContainersJSP" var="wireless.providers.containersjsp" />
<dt:getName id="containerName"/>

<%-- main chtml page desktop --%>
<html>
<body>

<jx:choose>
<jx:when test="$hasMaximizedChannel == false">

  <a name="Home"></a>
  <img alt="<dtpc:getStringProperty key="productName"/>" src="<dt:scontent/>/images/MAP/<%=imageName%>"/><br>
  <br>

  <%-- main menu --%>
  <jx:choose>
    <jx:when test="$channelsAreMinimized == false">
      <%@ include file="channelMenuSection.jsp" %>
    </jx:when>
    <jx:otherwise>
      <%@ include file="nonInlineChannelMenuSection.jsp" %>
    </jx:otherwise>
  </jx:choose>
  <a href="<dtpc:getLogoutURL/>">Logout</a><br>

<%-- content/layout --%>
<br><i18n:message key="wirelessOptions" bundle="wireless.providers.containersjsp"/>
<br>
  <%
     Map contentMap = new HashMap();
     contentMap.put("action", "edit");
     contentMap.put("container", pageContext.getAttribute("containerName"));
     contentMap.put("provider", "WirelessJSPContentChannel");
     pageContext.setAttribute("content_qmap", contentMap);
  %>
  <a href="<dtpc:getDesktopURL querymap="$content_qmap" escape="true"/>">
     <i18n:message key="content" bundle="wireless.providers.containersjsp"/>
  </a><br>
  <%
     Map layoutMap = new HashMap();
     layoutMap.put("action", "edit");
     layoutMap.put("container", pageContext.getAttribute("containerName"));
     layoutMap.put("provider", "WirelessJSPLayoutChannel");
     pageContext.setAttribute("layout_qmap", layoutMap);
  %>
  <a href="<dtpc:getDesktopURL querymap="$layout_qmap" escape="true"/>">
     <i18n:message key="layout" bundle="wireless.providers.containersjsp"/>
  </a><br>

<%-- TODO: Front Help?!? --%>
<%-- Channel content only if channels minimized is false --%>
<jx:if test="$channelsAreMinimized == false">
  <%@ include file="channelsContent.jsp" %>
</jx:if>

</jx:when>
<jx:otherwise>

  <dtcpc:obtainChannelFromContainer channel="$maximizedChannel">
      <dt:isEditable id="isEditable"/>
      <dt:getName id="channelName"/>
      <jx:if test="$isEditable == true">

                <%
                    Map map = new HashMap();
                    map.put("action", "edit");
                    map.put("targetprovider", pageContext.getAttribute("channelName"));
                    map.put("provider", wcp.getStringProperty("editContainerName"));
                    pageContext.setAttribute("desktop_qmap", map);
                %>
                <a href="<dtpc:getDesktopURL querymap="$desktop_qmap" escape="true"/>">Edit</a><br>
       </jx:if>
   </dtcpc:obtainChannelFromContainer>
   <dtcpc:getContent channel="$maximizedChannel"/>

</jx:otherwise>
</jx:choose>

</body>
</html>
</dt:obtainContainer>
