<%--
  Copyright 2004 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>
<%-- addChannel.jsp  --%>
<%@ page import="com.sun.portal.providers.jsp.JSPProvider,
                 java.util.List,
                 java.util.ArrayList,
                 java.util.Map,
                 java.util.Set,
                 com.sun.portal.providers.context.ProviderContext,
                 com.sun.portal.providers.containers.jsp.table.JSPTableContainerProvider" %>
                 
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ taglib uri="/tld/channeltaskadmin.tld" prefix="dtadmin" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<dt:obtainChannel channel="$JSPProvider">
<i18n:setBundle baseName="TaskAdminCreateWSRPChannelAdminJSP" var="taskadmincreatewsrpchanneladminjsp" />
<dt:getName id="adminChannelName"/>
<jx:declare id="adminChannelName" type="java.lang.String"/>
<dtpc:getStringProperty key="fontFace1" id="fontFace1" scope="request"/>
<jx:declare id="fontFace1" type="java.lang.String"/>
<dtpc:getStringProperty key="parentTabContainer" id="tabContainer"/>
<jx:declare id="tabContainer" type="java.lang.String"/>
<dtpc:getStringProperty key="roleDN" id="roleDN"/>
<jx:declare id="roleDN" type="java.lang.String"/>

<%
JSPProvider jp = (JSPProvider)pageContext.getAttribute("JSPProvider");
ProviderContext pc = jp.getProviderContext();
String channelName = request.getParameter(adminChannelName + ".channel");
List tablechannels = new ArrayList();
%>
<dtpc:getLocalePropertiesFilters id="pflist"/>

<dtadmin:obtainChannelAdmin baseDN="$roleDN">
<dtadmin:getExistingContainers id="channels" all="true" />
<jx:declare id="channels" type="java.util.Set"/>
<dtadmin:getSelectedChannels id="selected" container="$tabContainer"/>
<jx:declare id="selected" type="java.util.List"/>
<jx:forEach var="channel" items="$channels">
<jx:declare id="channel" type="java.lang.String"/>
<dtadmin:getClassName id="channelclassname" channel="$channel"/>
<%

String classname = (String)pageContext.getAttribute("channelclassname");
Class channelClass = Class.forName(classname);
//show only table containers that are in the parentatbcontainer set in the admin channel.
if (JSPTableContainerProvider.class.isAssignableFrom(channelClass) && selected.contains(channel)) {
    tablechannels.add(channel);
}
List pflist = pc.getLocalePropertiesFilters();
pageContext.setAttribute("pflist", pflist);

%>
</jx:forEach>
<%
pageContext.setAttribute("tablechannels", tablechannels);
%> 
<form action="<dtpc:getDesktopURL/>" name="addChannel_form" method="POST" enctype="application/x-www-form-urlencoded">
    <input type="HIDDEN" name="action" size="-1" value="process">
    <input type="HIDDEN" name="provider" size="-1" value="<dt:getName/>">
    <input type="HIDDEN" name="<dt:getName/>.page" size="-1" value="addChannel">
    <input type="HIDDEN" name="<dt:getName/>.channelName" size="-1" value="<%=channelName%>">

    <table border="0" cellpadding="0" cellspacing="3" width="100%">
        <tr>
            <td width="100%" align="CENTER">
                <table border="0" cellspacing="2" cellpadding="2" width="50%">
                    <tr>
                        <td align="RIGHT" NOWRAP><font face="<%=fontFace1%>" color="#000000" size="-1"><b><i18n:message key="tab" bundle="taskadmincreatewsrpchanneladminjsp" /></b></font></td>
                        <td><font face="<%=fontFace1%>" size="+0">
                            <SELECT NAME="<dt:getName/>.containerName">
                                <jx:forEach var="tableChannel" items="$tablechannels"><jx:declare id="tableChannel" type="java.lang.String"/>
                                <dtadmin:getStringProperty key="title" id="title" channel="$tableChannel" pflist="$pflist"/>
                                <jx:declare id="title" type="java.lang.String"/>
                                <OPTION VALUE="<%=tableChannel%>"><%=title%></OPTION></jx:forEach>
                            </SELECT>
                            </font></td>
                    </tr>
                    <tr>
                        <td align="right"><font face="<%=fontFace1%>" size="-1"><b><i18n:message key="removable" bundle="taskadmincreatewsrpchanneladminjsp" /></b></font></td>
                        <td><font face="<%=fontFace1%>" size="+0">
                            <input type="CHECKBOX" name="<dt:getName/>.removable" VALUE="1">
                            </font></td>
                    </tr>
                    <tr>
                        <td align="right"><font face="<%=fontFace1%>" size="-1"><b><i18n:message key="maximizable" bundle="taskadmincreatewsrpchanneladminjsp" /></b></font></td>
                        <td><font face="<%=fontFace1%>" size="+0">
                            <input type="CHECKBOX" name="<dt:getName/>.maximizable" VALUE="1">
                            </font></td>
                    </tr>
                    <tr>
                        <td align="right"><font face="<%=fontFace1%>" size="-1"><b><i18n:message key="minimizable" bundle="taskadmincreatewsrpchanneladminjsp" /></b></font></td>
                        <td><font face="<%=fontFace1%>" size="+0">
                            <input type="CHECKBOX" name="<dt:getName/>.minimizable" VALUE="1">
                            </font></td>
                    </tr>
                </table>
            </TD>
        </TR>

    </TABLE>
    <br>
    <CENTER>
        <font size="+0" face="<%=fontFace1%>">
        <input type="SUBMIT" name="Submit" value="<i18n:message key="add" bundle="taskadmincreatewsrpchanneladminjsp" />" style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="#ffffff"/>'>
        <input type=BUTTON onClick="top.document.location.href='<dtpc:getDesktopURL/>'" value="<i18n:message key="cancel" bundle="taskadmincreatewsrpchanneladminjsp" />"  style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="#ffffff"/>'>
        </font>
    </CENTER>
    <br>
    <p>
</form>

</dtadmin:obtainChannelAdmin>
</dt:obtainChannel>




