<%--
  Copyright 2004 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>
<%-- doDeleteChannelAdmin.jsp  --%>
  <%@ page import="com.sun.portal.providers.jsp.JSPProvider,
                   java.util.List, 
                   java.util.ArrayList, 
                   com.sun.portal.providers.context.ProviderContext, 
                   java.util.ResourceBundle"%>
	
  <%@ taglib uri="/tld/jx.tld" prefix="jx" %>	
  <%@ taglib uri="/tld/desktop.tld" prefix="dt" %>	
  <%@ taglib uri="/tld/channeltaskadmin.tld" prefix="dtadmin" %>	
  <%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
	
<dt:obtainChannel channel="$JSPProvider">
<dt:getName id="adminChannelName"/>
<jx:declare id="adminChannelName" type="java.lang.String"/>

  <%
       String adminPageID = request.getParameter(adminChannelName + ".page");
       if (adminPageID != null) {
         pageContext.setAttribute("adminPageID", adminPageID, PageContext.REQUEST_SCOPE);
       } else {
         pageContext.setAttribute("adminPageID", "", PageContext.REQUEST_SCOPE); 
       }
  %>
<dtpc:getDesktopURL id="desktopURL"/>
<jx:declare id="desktopURL" type="java.lang.String"/>

<jx:choose>
<jx:when test="$adminPageID == 'showMessage'">
  <%
  response.sendRedirect(desktopURL);
  %>
</jx:when>
<jx:when test="$adminPageID == 'deleteChannelAdminEdit'">
	<jsp:include page="doDeleteChannelAdminEdit.jsp" flush="true"/>
	<%
	response.sendRedirect(desktopURL);
	%>
</jx:when>
<jx:when test="$adminPageID == 'deleteChannel'">
  <jsp:include page="doDeleteChannel.jsp" flush="true"/>
</jx:when>
</jx:choose>
</dt:obtainChannel>

<%!
  public String getMessageFromRB(java.util.ResourceBundle rb,
                                    java.lang.String key,
                                    java.lang.Object[] tokens) {

        String msg = rb.getString(key);

        if (tokens != null && tokens.length > 0) {
            java.text.MessageFormat mf = new java.text.MessageFormat("");
            mf.setLocale(rb.getLocale());
            mf.applyPattern(msg);
            return mf.format(tokens);
        } else {
            return msg;
        }
    }
%>
