<%--
  Copyright 2004 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>
<%-- delete.jsp  --%>
  <%@ page import="com.sun.portal.providers.jsp.JSPProvider,
           java.util.List,
           java.util.ArrayList,
           java.util.Set,
           java.util.Iterator,
           com.sun.portal.providers.context.ProviderContext,
			  com.sun.portal.providers.containers.jsp.table.JSPTableContainerProvider" %>
					 
  <%@ taglib uri="/tld/jx.tld" prefix="jx" %>	
  <%@ taglib uri="/tld/desktop.tld" prefix="dt" %>	
  <%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>	
  <%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>  
  <%@ taglib uri="/tld/channeltaskadmin.tld" prefix="dtadmin" %>
  <%@ taglib uri="/tld/usertaskadmin.tld" prefix="dtuseradmin" %>
  <%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>
	
		
<dt:obtainChannel channel="$JSPProvider">
<i18n:setBundle baseName="TaskAdminDeleteTabAdminJSP" var="taskadmindeletetabadminjsp" />
	<script language="JavaScript" type="text/JavaScript">
	function deleteTabFormValidation(thisform)
	{
		with (thisform)
		{
			var formname = thisform.name;
			var channelTextName = provider.value + ".channelName";
			var channelTextValue = window.document.deleteTab_form.elements[channelTextName].value;
			if (channelTextValue == null || channelTextValue == "") {
				<%--alert("Please select a tab to be deleted");--%>
				
				alert("<i18n:message key="jstabselection" bundle="taskadmindeletetabadminjsp" />")
				return false;
			}
			if(!confirm(<i18n:message key="jsdeleteconfirmation" bundle="taskadmindeletetabadminjsp">
                                        <i18n:param>channelTextValue</i18n:param>
                                     </i18n:message>)){
                        return false;
                        }
		}
	} 
	</script>	 
  
<dt:getName id="adminChannelName"/>
<jx:declare id="adminChannelName" type="java.lang.String"/>
<dtpc:getStringProperty key="fontFace1" id="fontFace1" scope="request"/>
<jx:declare id="fontFace1" type="java.lang.String"/>

<dtpc:getStringProperty key="parentTabContainer" id="tabContainer"/>
<jx:declare id="tabContainer" type="java.lang.String"/>


    <dtuseradmin:obtainUserAdmin>
    <dtuseradmin:getBaseDNs id="nodes"/>
    <jx:declare id="nodes" type="java.util.Set"/>
	
	<dtpc:getStringProperty key="roleDN" id="roleDN"/>
	<jx:declare id="roleDN" type="java.lang.String"/>
	<%
    if ((roleDN == null || roleDN.length() == 0) && !nodes.isEmpty() ) {
       Iterator i = nodes.iterator();
       roleDN = (String)i.next();
       pageContext.setAttribute("roleDN", roleDN);
    %>
    <dtpc:setStringProperty key="roleDN" value="$roleDN"/>
    <%   
    }  
	%>
    
	</dtuseradmin:obtainUserAdmin>


  <%
  JSPProvider jp = (JSPProvider)pageContext.getAttribute("JSPProvider");
  ProviderContext pc = jp.getProviderContext();
  List pflist = pc.getLocalePropertiesFilters();
  pageContext.setAttribute("pflist", pflist);
  List tablechannels = new ArrayList();  
  %>
	
<dtadmin:obtainChannelAdmin baseDN="$roleDN">
<dtadmin:getExistingContainers id="channels" all="true" />
<jx:declare id="channels" type="java.util.Set"/>
<dtadmin:getSelectedChannels id="selected" container="$tabContainer"/>
<jx:declare id="selected" type="java.util.List"/>
<jx:forEach var="channel" items="$channels">
<jx:declare id="channel" type="java.lang.String"/>
<dtadmin:getClassName id="channelclassname" channel="$channel"/>
<%
String classname = (String)pageContext.getAttribute("channelclassname");
Class channelClass = Class.forName(classname);
//show only table containers that are in the parentatbcontainer set in the admin channel.
if (JSPTableContainerProvider.class.isAssignableFrom(channelClass) && selected.contains(channel)) {
    tablechannels.add(channel);
}
%>
</jx:forEach>
<%
pageContext.setAttribute("tablechannels", tablechannels);
%>


<form action="<dtpc:getDesktopURL/>" name="deleteTab_form" method="POST" enctype="application/x-www-form-urlencoded" onsubmit="return deleteTabFormValidation(this)">
  <input type="HIDDEN" name="action" size="-1" value="process">
  <input type="HIDDEN" name="provider" size="-1" value="<dt:getName/>">
  <input type="HIDDEN" name="<dt:getName/>.page" size="-1" value="deleteTab">  
  <table border="0" cellpadding="0" cellspacing="3" width="100%">
        <%
            String errorMsg = request.getParameter(adminChannelName + ".errorMsg");
            if (errorMsg != null && errorMsg.length() != 0) {
        %>
        <tr>
        <td width="100%" align="CENTER">
        <font size="-1" color="red">
        <hr>
        <b>
    <%=errorMsg%>
        </b>
        <hr>
        <br>
        </font>
        </TD>
        </TR>
        <% 
        }
        %>  
    <tr>
      <td width="100%">
        <table border="0" cellspacing="2" cellpadding="2" width="100%">
                      <tr>
                        <td align="RIGHT" NOWRAP><font face="<%=fontFace1%>" color="#000000" size ="-1"><b><i18n:message key="tabpage" bundle="taskadmindeletetabadminjsp" /></b></font></td>
                        <td><font face="<%=fontFace1%>" size="+0">
                            <SELECT NAME="<dt:getName/>.channelName">
					                <OPTION VALUE=""><i18n:message key="selecttab" bundle="taskadmindeletetabadminjsp" /></OPTION>
                                <jx:forEach var="tableChannel" items="$tablechannels"><jx:declare id="tableChannel" type="java.lang.String"/>
                                <dtadmin:getStringProperty key="title" id="title" channel="$tableChannel" pflist="$pflist"/>
                                <jx:declare id="title" type="java.lang.String"/>
                                <OPTION VALUE="<%=tableChannel%>"><%=title%></OPTION></jx:forEach>
                            </SELECT>
                            </font></td>
                    </tr>
        </table>
      </TD>
  </TABLE>
  <br>
  <CENTER>
    <font size="+0" face="<%=fontFace1%>">
    <input type="SUBMIT" name="Delete" value="<i18n:message key="delete" bundle="taskadmindeletetabadminjsp" />" style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="#ffffff"/>'>
    </font> 
  </CENTER>
  <br>
</form>
</dtadmin:obtainChannelAdmin>
</dt:obtainChannel>
