<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>
<%-- doSetChannels.jsp  --%>

<%@ page import="com.sun.portal.providers.jsp.JSPProvider,
                 java.util.List,
                 java.util.ArrayList,
                 java.util.StringTokenizer" %>
<%@ page session="false" %>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/channeltaskadmin.tld" prefix="dtadmin" %>

<dt:obtainChannel channel="$JSPProvider">
<dt:getName id="adminChannelName"/>
<jx:declare id="adminChannelName" type="java.lang.String"/>
<dtpc:getStringProperty key="roleDN" id="roleDN"/>
<jx:declare id="roleDN" type="java.lang.String"/>

    <%
       String containerName = request.getParameter(adminChannelName + ".containerName");
       // set avail and sel channels
       String availChannels = (String)request.getParameter(adminChannelName + ".availableChannelsCheckList");
       String selChannels = (String)request.getParameter(adminChannelName + ".visibleChannelList");
		 
		 StringTokenizer tokenizer = new StringTokenizer(selChannels, ",");
       List selectedList = new ArrayList();		 
		 while(tokenizer.hasMoreElements()) {
		 	selectedList.add((String)tokenizer.nextElement());
		 }

		 tokenizer = new StringTokenizer(availChannels, ",");
       List availableList = new ArrayList();		 
		 while(tokenizer.hasMoreElements()) {
		 	availableList.add((String)tokenizer.nextElement());
		 }		  
		
		 //available channel list will also contains the selected channels.
		 for (int i = 0; i < selectedList.size(); i++) {
			if (!availableList.contains((String)selectedList.get(i))) {
				 availableList.add((String)selectedList.get(i));
			}
		 }
		 System.out.println("availableList.toString() = " + availableList.toString());  
		 System.out.println("selectedList.toString() = " + selectedList.toString());  		 
       pageContext.setAttribute("availableList", availableList);
       pageContext.setAttribute("selectedList", selectedList);
       pageContext.setAttribute("containerName", containerName);		 
       %>
<dtadmin:obtainChannelAdmin baseDN="$roleDN">
<dtadmin:setAvailableChannels available="$availableList" container="$containerName"/>
<dtadmin:setSelectedChannels selected="$selectedList" container="$containerName"/>
</dtadmin:obtainChannelAdmin>		 
</dt:obtainChannel>

