<%@ page import="java.util.Set,
                 java.util.Iterator,
                 java.util.List,
                 java.util.ArrayList,
                 com.sun.portal.providers.containers.ContainerProvider,
                 com.sun.portal.providers.context.ProviderContext,
                 com.sun.portal.providers.jsp.JSPProvider" %>
<%@ page session="false" %>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ taglib uri="/tld/channeltaskadmin.tld" prefix="dtadmin" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<dt:obtainChannel channel="$JSPProvider">
<i18n:setBundle baseName="TaskAdminTabCreatorJSP" var="taskadmintabcreatorjsp" />
<dtpc:getStringProperty key="fontFace1" id="fontFace1" scope="request"/>
<jx:declare id="fontFace1" type="java.lang.String"/>
<dtpc:getStringProperty key="roleDN" id="roleDN"/>
<jx:declare id="roleDN" type="java.lang.String"/>
<dt:getName id="adminChannelName"/>
<jx:declare id="adminChannelName" type="java.lang.String"/>

<%
JSPProvider jp = (JSPProvider)pageContext.getAttribute("JSPProvider");
ProviderContext pc = jp.getProviderContext();
List pflist = pc.getLocalePropertiesFilters();
pageContext.setAttribute("pflist", pflist);
       String container = request.getParameter(adminChannelName + ".containerName");
       pageContext.setAttribute("container", container);
       List leafchannels = new ArrayList();
%>
<dtadmin:obtainChannelAdmin baseDN="$roleDN">
<dtadmin:getAssignableChannels id="assignablechannels" container="$container"/>
<jx:declare id="assignablechannels" type="java.util.Set"/>
<%--filter out all the containers and build the list of leaf channels. We will not want deladmins to add containers. --%>

<jx:forEach var="channel" items="$assignablechannels">
<jx:declare id="channel" type="java.lang.String"/>
<dtadmin:getClassName id="channelclassname" channel="$channel"/>
<%
String classname = (String)pageContext.getAttribute("channelclassname");
if(classname == null) {
    /*
	if (pc.isDebugWarningEnabled()) {
	    pc.debugWarning("TabCreator.addChannels.jsp: Initialization failed for " + classname +
		 ". Provider class name is null. ");
	}
    */
	continue;
}
try {
	Class channelClass = Class.forName(classname);
	if (!ContainerProvider.class.isAssignableFrom(channelClass)) {
   	leafchannels.add(channel);
	}
} catch (NoClassDefFoundError e) {
    /*
	if (pc.isDebugWarningEnabled()) {
	    pc.debugWarning("TabCreator.addChannels.jsp: Initialization failed for " + classname +
		 ". Actual error message is " + e.getMessage());
	}
    */
}
%>
</jx:forEach>

<%
       pageContext.setAttribute("leafchannels", leafchannels);
       int last = 0;
       int i = 0;
       if ((leafchannels.size() % 2) == 0) {
           last = (leafchannels.size()/2) - 1;
       } else {
           last = (leafchannels.size()/2);
       }
%>

<form action="<dtpc:getDesktopURL/>" name="setChannels_form" method="POST" enctype="application/x-www-form-urlencoded" >
    <input type="HIDDEN" name="action" size="-1" value="process">
    <input type="HIDDEN" name="provider" size="-1" value="<dt:getName/>">
    <input type="HIDDEN" name="<dt:getName/>.containerName" size="-1" value="<%=container%>">
    <input type="HIDDEN" name="<dt:getName/>.page" size="-1" value="addChannels">
    <CENTER>

    <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
      <TR>
        <TD ALIGN="CENTER">
          <CENTER>
        <P>
        <TABLE BORDER="0" CELLPADDING=2 CELLSPACING="0" WIDTH="100%">
          <TR>
            <TD COLSPAN="2" BGCOLOR="<dttheme:getAttribute name="tabColor" default="#CCCCCC"/>">
		<font color="<dttheme:getAttribute name="tabFontColor" default="#000000"/>" size="-1" face="Verdana">
                <b><i18n:message key="channelsdisplayedonthistab" bundle="taskadmintabcreatorjsp" /></b><BR>
                </FONT>
	     </TD></TR>
	     <TR>
		<TD COLSPAN="2" BGCOLOR="<dttheme:getAttribute name="tabColor" default="#CCCCCC"/>">
                <B><FONT color="<dttheme:getAttribute name="tabFontColor" default="#000000"/>" SIZE="-1"><i18n:message key="legendttwftfb" bundle="taskadmintabcreatorjsp" /></FONT></B>
            </TD>
          </TR>
  <TR><td bgcolor="#FFFFFF"><img src="<dt:scontent/>/images/spacer.gif" width="100%" height="20" alt="Spacer Image"></td></TR>
  <TR>
              <TD WIDTH="50%" VALIGN="TOP">
                <TABLE BORDER="0" CELLPADDING=2 CELLSPACING="0" WIDTH="100%">
                <jx:forEach var="channel" items="$leafchannels">
                <jx:declare id="channel" type="String"/>
                 <dtadmin:getStringProperty key="title" id="title" channel="$channel" pflist="$pflist"/>
                 <dtadmin:getStringProperty key="description" id="desc" channel="$channel" pflist="$pflist"/>
					   <dtadmin:getPropertyNames id="propertiesSet" channel="$channel" regExp="width"/>
						<% Set set = (Set)pageContext.getAttribute("propertiesSet");
							if(set.contains("width")) { %>
							<dtadmin:getStringProperty id="width" key="width" channel="$channel"/>
						<%	} else {
							pageContext.setAttribute("width", "thin");
							}
						%>
                 <jx:declare id="title" type="String"/>
                 <jx:declare id="desc" type="String"/>
                 <jx:declare id="width" type="String"/>
                   
                            <%
                                    String widthchar = "";
                            %>
                                    <jx:choose>
                                        <jx:when test="$width == 'thin'">
                            <%
                                            widthchar = "T";
                            %>
                                        </jx:when>
                                        <jx:when test="$width == 'full_top'">
                            <%
                                            widthchar = "FT";
                            %>
                                        </jx:when>
                                        <jx:when test="$width == 'full_bottom'">
                            <%
                                            widthchar = "FB";
                            %>
                                        </jx:when>
                                        <jx:otherwise>
                            <%
                                            widthchar = "W";
                             %>
                                        </jx:otherwise>
                                    </jx:choose>
                           <TR>
                           <TD>
                           <INPUT TYPE=CHECKBOX NAME="<%=channel%>" VALUE="1">
                           <FONT SIZE=-1 face="<%=fontFace1%>"><%=title%> ( <%=widthchar%> ) 
                           <BR>
                           <%=desc%></FONT>
                            </TD>
                            </TR>
                            <%
                               if ( i == last) {
                            %>
                                   </table>
                                   </td>
                                   <TD WIDTH="50%" VALIGN="TOP">
                <TABLE BORDER="0" CELLPADDING=2 CELLSPACING="0" WIDTH="100%">
                            <%
                               }
                               i++;
                            %>
                          </jx:forEach>
                          </TABLE>
                          </TD>


  </TR>
  </TABLE>
  </TD>
  </TR>
  </TABLE>
        <font size="+0" face="<%=fontFace1%>">
        <input type="SUBMIT" name="Submit" value="<i18n:message key="finished" bundle="taskadmintabcreatorjsp" />" style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="#ffffff"/>'>
        <INPUT TYPE=BUTTON ONCLICK="top.document.location.href='<dtpc:getDesktopURL/>'" VALUE="<i18n:message key="cancel" bundle="taskadmintabcreatorjsp" />" style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="#ffffff"/>'>
        </font>

    </CENTER>
    <p>
</form>
</dtadmin:obtainChannelAdmin>
</dt:obtainChannel>

