<%--
  Copyright 2004 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>
<%-- scraperAdminEdit.jsp  --%>
<%-- This jsp is responsible for drawing the edit page of 
URLScraper Admin channel --%>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ taglib uri="/tld/channeltaskadmin.tld" prefix="dtadmin" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<dt:obtainChannel channel="$JSPProvider">
<i18n:setBundle baseName="TaskAdminURLScraperAdminJSP" var="taskadminurlscraperadminjsp" />
<dtpc:getStringProperty key="fontFace1" id="fontFace1" scope="request"/>
<jx:declare id="fontFace1" type="java.lang.String"/>
<dtpc:getStringProperty key="roleDN" id="roleDN" scope="request"/>
<jx:declare id="roleDN" type="java.lang.String"/>
<dtadmin:obtainChannelAdmin baseDN="$roleDN">
<dtadmin:getBaseDNs id="nodes"/>
<table border="0" cellpadding="0" cellspacing="3" width="100%">
    <tr>
        <td width="100%" VALIGN="TOP">
        <CENTER>
            <table border="0" cellspacing="0" cellpadding="2" width="100%">
            <tr>
                    <td bgcolor="<dttheme:getAttribute name="tabColor" default="#CCCCCC"/>" colspan="2">
                    <font color="<dttheme:getAttribute name="tabFontColor" default="#000000"/>" size="+0" face="Verdana">
                    <b><i18n:message key="selectbasednadminister" bundle="taskadminurlscraperadminjsp" /></b></font>
                    </td>
            </TR>

  <tr>
    <td colspan="2">
<input type="HIDDEN" name="<dt:getName/>.page" size="-1" value="scraperAdminEdit">
    </td>
  </tr>
            <tr>
                    <td align="RIGHT" NOWRAP>
                    <font face="<%=fontFace1%>" color="#000000"><b><i18n:message key="basedns" bundle="taskadminurlscraperadminjsp" /></b>
                    </font>
                    </td>
                    <td><font face="<%=fontFace1%>" size="+0">
                        <SELECT NAME="<dt:getName/>.roleDN">
                            <jx:forEach var="node" items="$nodes">
                            <jx:declare id="node" type="java.lang.String"/>
                            <jx:choose>
                            <%
                                boolean isSelectedRole = node.equals(roleDN);
                                pageContext.setAttribute("isSelectedRole", new Boolean(isSelectedRole));
                            %>
                            <jx:when test="$isSelectedRole">
                            <OPTION SELECTED VALUE="<%=node%>">
                            </jx:when>
                            <jx:otherwise>
                            <OPTION VALUE="<%=node%>">
                            </jx:otherwise>
                            </jx:choose>
                            <dtadmin:getDNDisplayName dn="$node"/>
                            </OPTION>
                            </jx:forEach>
                        </SELECT>
                        </font>
        </TD>
    </TR>
    </table>
            </CENTER>
        </TD>
    </TR>

</TABLE>

</dtadmin:obtainChannelAdmin>
</dt:obtainChannel>



