<%--
  Copyright 2004 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%-- doDeleteUser.jsp  --%>
<%@ page import="com.sun.portal.providers.jsp.JSPProvider,
                 java.util.HashSet,
                 java.util.Set,
                 java.util.Iterator,
                 java.util.ResourceBundle, 
                 com.sun.portal.providers.context.ProviderContext"%>
                 
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ taglib uri="/tld/usertaskadmin.tld" prefix="dtuseradmin" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<dt:obtainChannel channel="$JSPProvider">
<i18n:setBundle baseName="TaskAdminUserChannelAdminJSP" var="taskadminuserchanneladminjsp" />
<dt:getName id="adminChannelName"/>
<jx:declare id="adminChannelName" type="java.lang.String"/>
<dtuseradmin:obtainUserAdmin>
<%
		 JSPProvider jspProvider = (JSPProvider)pageContext.getAttribute("JSPProvider");
		 ResourceBundle taskAdminBundle = jspProvider.getResourceBundle("SampleTaskAdminChannels");		 
		 String errorMsg = null;
		 try {
				int totalUsers = Integer.parseInt(request.getParameter(adminChannelName + ".totalUsers"));
				Set usersSetTobeDeleted = new HashSet();
				for(int i = 0; i < totalUsers; i++) {
					String paramValue = request.getParameter(adminChannelName + ".userName" + (i + 1));
					if(paramValue != null) {
						  boolean paramBooleanValue = (paramValue.equals("1")) ? true : false;
						  if(paramBooleanValue) {
								String userToBeDeleted = request.getParameter(adminChannelName + ".hidden.userName" + (i + 1));
								usersSetTobeDeleted.add(userToBeDeleted);				
						}
					} 
				}
				pageContext.setAttribute("usersSetTobeDeleted", usersSetTobeDeleted);
				if(usersSetTobeDeleted.size() > 0) {%>				 	
					<dtuseradmin:deleteUsers id="deletedUserNames" userDNs="$usersSetTobeDeleted"/>			
				<%}
		 } catch (Exception e) {
			errorMsg = e.getMessage();		 	
		 }
%>
<dtpc:getStringProperty key="fontFace1" id="fontFace1" scope="request"/>
<jx:declare id="fontFace1" type="java.lang.String"/>
<jx:declare id="ele" type="java.lang.String"/>

<form action="<dtpc:getDesktopURL/>" name="doDeleteUser" method="POST" enctype="application/x-www-form-urlencoded">
    <input type="HIDDEN" name="<dt:getName/>.page" size="-1" value="userManagement">
  	 <input type="HIDDEN" name="cName" size="-1" value="<dt:getName/>">
    <br>	 
    <CENTER>
		<font size="-1" face="<%=fontFace1%>">	 
	 <% if(errorMsg == null) {	 		
	 	 Set set = (Set)pageContext.getAttribute("usersSetTobeDeleted");
		 Iterator iterator = set.iterator();
		 StringBuffer sb = new StringBuffer(); 
		 int count = 0;
		 while(iterator.hasNext()) {
		 	pageContext.setAttribute("element", (String)iterator.next());
		 	%>
			 <dtuseradmin:getDNDisplayName id="uName" dn="$element"/>		 
			 <% 
			 sb.append((String)pageContext.getAttribute("uName"));
			 count++;
			 if(count != set.size())
			 	sb.append(", ");
		 }
		 %>
<%	 	 String successMsg = getMessageFromRB(taskAdminBundle, "message.deleteusers.success", new Object[] {sb.toString()});
	 %>
	 	<%=successMsg%>	 	
	 <% } else { %>
	 	<%=errorMsg%>
	 <% } %>
		</font>	 
    </CENTER>	 
    <br>
    <CENTER>
        <font size="+0" face="<%=fontFace1%>">
        <input type="SUBMIT" name="Submit" value="<i18n:message key="continue" bundle="taskadminuserchanneladminjsp" />" style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="#ffffff"/>'>
        </font>
    </CENTER>
    <br>
    <p>
</form>
</dtuseradmin:obtainUserAdmin>
</dt:obtainChannel>

<%!
  public String getMessageFromRB(java.util.ResourceBundle rb,
                                    java.lang.String key,
                                    java.lang.Object[] tokens) {

        String msg = rb.getString(key);

        if (tokens != null && tokens.length > 0) {
            java.text.MessageFormat mf = new java.text.MessageFormat("");
            mf.setLocale(rb.getLocale());
            mf.applyPattern(msg);
            return mf.format(tokens);
        } else {
            return msg;
        }
    }
%>
