<%
        %><ab:get property="numEntries" id="totalEntries"/><%
        %><jx:declare id="totalEntries" type="Integer"/><%
        %><dtpc:getIntegerProperty id="contactsPerPage" key="numberEntries"/><%
        %><jx:declare id="contactsPerPage" type="Integer"/><%
        // Build the previous/showing/next item if contactsPerPage is greater than zero
        //    1) Check for total number of pages
        //    2) See which page we are on
        //    3) If pages are greater than one, and we are on a page greater than one, create
        //        the "previous" link.
        //    4) If pages are greater than 2, create the select form for start-end.  
        //        Otherwise create text "Showing start-end of total (unread)"
        //    5) If pages are greater than one, and we are on a page less than total pages, create
        //        the "next" link.
    
        // Build the table 1 to total
        // Add an option for every breakpoint based on contacts displayed per page
        int cpp = contactsPerPage.intValue();
        // Get total from ab taglib.  If invalid set to zero
        int total=0;
        try {
            total = totalEntries.intValue();
        } catch (Exception e) {}
        
        if ((cpp <= 0)||(total <= 0)){
            // Just the digest
            %><%=total%> entries<%
            %><input type="hidden" name="abstart" value="1"><%
        } else {
            //    1) Check for total number of pages
            // pages start with 1 being the first page
            int pages=0;
            if (cpp > 0){
                pages=total/cpp;
                int leftover = total%cpp;
                if (leftover > 0)
                    pages++;
            }
            
            //    2) See which page we are on
            // Calculate starting page
            int pagestart=0;
            // abstart variable refers to the message number, starting at 1
            if (abstart>0){
                // abstart - 1 *should* always be a multiple of cpp
                // If not, change abstart to the be so.
                pagestart = (abstart - 1)/(cpp) + 1;  // because division rounds down
                abstart = (pagestart - 1)*(cpp) + 1;
            }
            // Make sure our pages aren't out of bounds
            if (pagestart > pages)
                pagestart = pages;
            
            
            //    3) If pages are greater than one, and we are on a page greater than one, create
            //        the "previous" link.
            if (pagestart > 1){
                %><div style="display:inline;"><a href="javascript:document.<%=jsChannelName%>.abstart.value = parseInt(document.<%=jsChannelName%>.abstart.value) - <%=cpp%>;document.<%=jsChannelName%>.submit();"  >Previous</a></div><%
                %><div style="padding:0 5px 0 5px;display:inline;">|</div><%
            }
            
            //    4) If pages are greater than 2, create the select form for start-end.  
            //        Otherwise create text "Showing start-end of total"
                %> <%
            if (pages > 1) {
                %><select name="abstart" onchange="document.<%=jsChannelName%>.submit();"><%
                // Loop for each
                for (int i=0; i<pages; i++){
                    // Insert selected code here
                    int start=i*cpp+1;
                    %><option value="<%=start%>" <%
                    if (abstart == start) {%> SELECTED<%}
                    int end = (i+1)*cpp;
                    if (end > total)
                        end = total;
                    %>><%=start%><%
                    if (end > start){
                        %> - <%=end%><%
                    }
                    %></option><%
            }
                %></select><%
            } else {
                %><input type="hidden" name="abstart" value="<%=abstart%>"><%
                %><%=abstart%><%
                int end = pagestart*cpp;
                if (end > total)
                    end = total;
                if (end > abstart){
                    %> - <%=end%><%
                }
            }
            %> of <%=total%><%
            
        
            //    5) If pages are greater than one, and we are on a page less than total pages, create
            //        the "next" link.
            if ((pages > 1) && (pagestart < pages)){
                %><div style="padding:0 5px 0 5px;display:inline;">|</div><%
                %><div id="command" style="display:inline;"><a href="javascript:document.<%=jsChannelName%>.abstart.value = parseInt(document.<%=jsChannelName%>.abstart.value) + <%=cpp%>;document.<%=jsChannelName%>.submit();" >Next</a></div><%
            }
        } // end of else (if (cpp < 0)) 
%> 
