<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/ssoadapter.tld" prefix="sso" %>
<%@ taglib uri="/tld/wireless_mail.tld" prefix="mail" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>


<dt:obtainChannel channel="$JSPProvider">
  <dtpc:providerContext>
<%--  desktop font --%><%
%><dtpc:getStringProperty key="fontFace1" id="fontFace1" scope="request"/><%
%><%String font = (String)pageContext.getAttribute("fontFace1",PageContext.REQUEST_SCOPE);%>



 <!-- Begin Channel Edit Title -->
<table cellpadding="0" cellspacing="0" border="0" width="100%" class="channelBackground">
  <tr>
    <td colspan="2"><img src="images/spacer.gif" alt="" width="1" height="5"></td>
  </tr>
  <tr>
    <td><div class="channelTitleText">Edit Mail</div></td>
    <td align="right" valign="bottom"></td>
  </tr>
</table>
<div><img src="images/spacer.gif" alt="" width="1" height="10"></div>
<!-- End Channel Edit Title -->


<!-- Begin channel content -->
<div id="AccountPrefs"><%
%><i18n:setBundle baseName="mailjspprovider"><%
%><dtpc:getBooleanProperty key="isSortable" id="sortable" /><%
%><jx:declare id="sortable" type="Boolean"/><%
%><dtpc:getStringProperty key="enableSort" id="enableSort" /><%
%><jx:declare id="enableSort" type="String"/>
<table cellpadding="0" cellspacing="0" border="0" >
<tr>
  <td valign="top" width="40%">
    <div class="Help">
    <span class="helpHeaderText"><i18n:message key="displaysettings_title"/>:</span><br>
    <span class="helpText">
        <i18n:message key="displaysettings_help_body"/><br>
        <% if (sortable.booleanValue()) { %>
        <br><i18n:message key="sortsettings_help_body"/><br>
        <% } %>
    </span>
    </div>
  </td>

  <td valign="top" align="right">
    <div class="Help">
    <table width="100%">
        <tr>
        </td>

<%

%><dtpc:getStringProperty key="ssoAdapter" id="ssoName"/>
<sso:adapter configname="$ssoName">
    <sso:getproperty key="enableProxyAuth" id="enableProxyAuth"/>
</sso:adapter><%
	//Normalize the string value, to take care of case differences e.g. false, FALSE, False
	String isEnableProxyAuth = (String)pageContext.getAttribute("enableProxyAuth");
        //Check for null and blank values of enableProxyAuth
        if ((isEnableProxyAuth == null) || (isEnableProxyAuth.trim().length() == 0)) {
            isEnableProxyAuth = "false";
        } else {
            isEnableProxyAuth = isEnableProxyAuth.toLowerCase();
        }
	pageContext.setAttribute("isEnableProxyAuth", isEnableProxyAuth);
%>   <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%" ALIGN="CENTER" >
      <TR>
        <TD VALIGN="TOP" >
          <FONT SIZE=+1 FACE="<%=font%>" class="helpHeaderText">
                <B><i18n:message key="accinfo_title"/></B></FONT></TD>
      </TR>
<jx:if test='$isEnableProxyAuth == "false"'>

      <TR>
        <TD>
		  <table width="90%">
		    <tr>
			  <td width="65%" align="center">
				<table width="100%">
<sso:adapter configname="$ssoName">
				  <tr>
					<td align="center" colspan=2>
                      <jx:declare id="ssoEditAttributes" type="java.util.Collection"/>
                      <dtpc:getLocalePropertiesFilters id="localeFilter"/>
                      <dtpc:getCollectionProperty key="ssoEditAttributes" id="ssoEditAttributes" pfList="$localeFilter"/>
					</td>
				  </tr>
<%	%><jx:forEach var="item" items="$ssoEditAttributes"><%
                        %><sso:editmapdata data="prop" id="prop" mapid="item"/><%
				  %><tr>
					<td align="right" width="40%">
						<label for="<jx:expr value="$prop"/>"><span class="helpText">
                                                        <sso:editmapdata data="name" mapid="item"/></span></label>
					</td>
					<td valign="middle" width="60%">
<%			%><sso:editmapdata data="type" id="type" mapid="item"/><%
			
			%><jx:if test="$type == 'password'"><%
%>						<input type="password" id="<jx:expr value="$prop"/>" name="<jx:expr value="$prop"/>" size="25" maxlength="40" value="********">
<%			%></jx:if><%
%>			<jx:if test="$type == 'string'"><%
%>						<input type="text" id="<jx:expr value="$prop"/>" name="<jx:expr value="$prop"/>" size="25" maxlength="50" value="<sso:getproperty key="$prop"/>">
<%			%></jx:if><%
%>					</td>
				  </tr>
<%	 %></jx:forEach>
</sso:adapter>
				</table>
			  </td>

		  </tr>
		</table>
	  </TD>
  </TR>
</jx:if>
<jx:if test='$isEnableProxyAuth == "true"'>
	<TR>
	<TD ALIGN="center" WIDTH="20%" HEIGHT="4" NOWRAP> <FONT FACE="<%=font%>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
	<span class="helpText"><i18n:message key="proxyauth_message"/></FONT></TD></span>
	</TR>
</jx:if>

  <TR>
      <TD VALIGN="TOP"  BGCOLOR="<dttheme:getAttribute name="bgColor"/>"  NOWRAP> &nbsp; </TD>
  </TR>

</TABLE>

    <BR/>

    <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" WIDTH="100%" ALIGN="CENTER">
      <TR>
        <TD VALIGN="TOP" COLSPAN="3">
            <FONT SIZE=+1 FACE="<%=font%>" class="helpHeaderText">
            <B><i18n:message key="displaysettings_title"/></B></FONT></TD>
      </TR>

      <TR>
        <TD>

		<table width="90%">
		<tr>
			<td width="65%" align="center">
				<table width="100%">
				<tr>
					<td align="right" width="40%">
                                            <label for="numHeaders"><span class="helpText"><i18n:message key="numheaders_title"/>:</span></label></td>
					<td valign="middle" width="60%">
					<INPUT TYPE="TEXT" id="numHeaders" NAME="numHeaders" SIZE="3" MAXLENGTH="3" VALUE="<%
						if (request.getParameter("headerValue") != null){
							%><%=request.getParameter("headerValue")%><%
						} else {
							%><dtpc:getIntegerProperty key="numberHeaders"/><%
						}%>"><%
					if (request.getParameter("headerError") != null){
						%><div style="display:inline;color:red">
							<i18n:message key="numheaders_validation_error"/> <dtpc:getIntegerProperty key="maxNumberHeaders"/>
						</div><%
					}%>
					</td>
				</tr><%
                                if (sortable.booleanValue()) { %>
				<tr>
					<td align="right" width="60%"><label for="enableSort"><span class="helpText">
                                        <i18n:message key="enableSort_title"/>:</span></label></td>
					<td valign="middle" width="40%"><%
                                        if (new Boolean(enableSort).booleanValue()){ %>
                                        <INPUT TYPE="checkbox" NAME="enableSort" id="enableSort" VALUE="sort" checked >
					<% } else { %>
					<INPUT TYPE="checkbox" NAME="enableSort" id="enableSort" VALUE="sort" >					
                                        <% } %>
					</td>
				</tr>	 
                               <% } %>				
				<tr>
					<td align="right" width="40%"><label for="sort"><span class="helpText">
                                                    <i18n:message key="sort_title"/>:</span></label></td>
					<td valign="middle" width="60%">
<dtpc:getStringProperty key="sortOrder" id="sortOrder"/>
<dtpc:getStringProperty key="sortBy" id="sortBy"/>
<%	String sortOrder = (String) pageContext.getAttribute("sortOrder");
	String sortBy = (String) pageContext.getAttribute("sortBy");
	boolean down=false;
	if (sortOrder.equals("down")){
		down=true;
	}
%>						<select id="sort" name="sort">
							<option value="DateD"<%
								if (down && sortBy.equals("date")){
									%> SELECTED<%
								}
							%>><i18n:message key="sort_option_1"/></option>
							<option value="DateA"<%
								if (!down && sortBy.equals("date")){
									%> SELECTED<%
								}
							%>><i18n:message key="sort_option_2"/></option>
						<% if (sortable.booleanValue()) { %>
							<option value="SubA"<%
								if (!down && sortBy.equals("subject")){
									%> SELECTED<%
								}
							%>><i18n:message key="sort_option_3"/></option>
							<option value="SubD"<%
								if (down && sortBy.equals("subject")){
									%> SELECTED<%
								}
							%>><i18n:message key="sort_option_4"/></option>
							<option value="FromA"<%
								if (!down && sortBy.equals("from")){
									%> SELECTED<%
								}
							%>><i18n:message key="sort_option_5"/></option>
							<option value="FromD"<%
								if (down && sortBy.equals("from")){
									%> SELECTED<%
								}
							%>><i18n:message key="sort_option_6"/></option>
						<% } %>
						</select>
					</td>
				</tr>
				<tr>
<dtpc:getStringProperty key="initialFolder" id="mailbox"/>
<jx:declare id="mailbox" type="String"/>
					<td align="right" width="40%"><label for="mailbox">
                                            <span class="helpText"><i18n:message key="initialfolder_title"/>:</span></label></td>
					<td valign="middle" width="60%"><%
%><mail:context config="${ssoName}" test="false">
	<select name="mailbox">
		<option value="INBOX"><i18n:message key="inbox"/></option>
	</select>
	<div style="display:inline;color:red"><i18n:message key="folder_error_message"/></div>
</mail:context><%
%><mail:context config="${ssoName}" test="true"><%
%>						<select id="mailbox" name="mailbox"><%
					%><mail:fetch collection="folders" sd="up" /><%
					%><mail:folders iterate="true"><%
						%><mail:folder><%
							%><mail:get property="name" id="mailFolder"/><%
							%><mail:get property="numMsgs" id="mailFolderMsgs"/><%
							%><jx:declare id="mailFolderMsgs" type="Integer"/><%
	//if (mailFolderMsgs.intValue()>0){
		String mailFolder = (String)pageContext.getAttribute("mailFolder");
							%><option value="<%= mailFolder%>"<%
		if (mailFolder.equalsIgnoreCase(mailbox)) {%> SELECTED<%}
						%>><%=mailFolder%></option><%
	//}
						%></mail:folder><%
					%></mail:folders><%
%>						</select>
</mail:context><%
%>					</td>
				</tr>
				</table>
			</td>

		</tr>
		</table>
      </TD>
    </TR>
    <TR>
        <TD  HEIGHT="4" NOWRAP> &nbsp; </TD>
    </TR>
</TABLE>


    <BR/>


    <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" WIDTH="100%" ALIGN="CENTER">
      <TR>
        <TD VALIGN="TOP" COLSPAN="3">
            <FONT SIZE=+1 FACE="<%=font%>"  class="helpHeaderText">
            <B><i18n:message key="othersettings_title"/></B></FONT></TD>
      </TR>
      <TR>
        <TD>
		  <table width="100%">
		    <tr>
		      <TD ALIGN="CENTER">
       			<INPUT style='background-color:<dttheme:getAttribute name="titleBarColor"/>;color:<dttheme:getAttribute name="titleFontColor"/>'
                               TYPE="submit"
                               NAME="MobileMail"
                               VALUE="<i18n:message key="mobilemail_title"/>">

    		      </TD>
    		    </tr>
	            <TR>
        	       <TD  HEIGHT="4" NOWRAP> &nbsp; </TD>
                    </TR>
    	          </table>
	</TD>
      </TR>
    </TABLE>
 
</i18n:setBundle><%

    %>
    </td></tr></table>
    </div>
  </td>
</tr>
</table><%

%></dtpc:providerContext>
</dt:obtainChannel>

