<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<%@ page import="
java.util.Hashtable,
java.util.HashMap,
java.util.Map,
java.util.regex.*"
%>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ taglib uri="/tld/desktopTable.tld" prefix="dttable" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>

<%@ page session="false" %>

<HTML>
  <HEAD>
      <%@ include file="meta.jsp" %>
      <jsp:include page="script.jsp" flush="true"/>
      <script src="<dt:scontent/>/close-windows.jsp" 
              language="JavaScript" 
              type="text/javascript"></script>
      <%@ include file="openURLInParent.js" %>
  </HEAD>

<dt:obtainContainer container="$JSPProvider">

<BODY onLoad="javascript:windowOpened(window.name);" 
      onUnload="javascript:windowClosed(window.name);" 
      BGCOLOR="#FFFFFF">
<%
    String leafChannel   = (String)request.getParameter("leafChannel");
    String containerName = (String)request.getParameter("provider");
    String title         = (String)request.getAttribute("title");
    String channelName   = leafChannel;
    boolean minimized    = false;
    boolean hasMaximized = false;

    if (leafChannel.indexOf("/") != -1) {
      int index   = leafChannel.indexOf("/");
      channelName = leafChannel.substring(index+1);
    }

    pageContext.setAttribute( "leafChannel", leafChannel );
%>
<dttable:tableContainerProvider>
  <dtcpc:obtainChannelFromContainer channel="$leafChannel">

    <!-- Begin Channel -->
    <div id="channel" class="channel">
      <!-- Begin channel title -->
      <table cellpadding="0" cellspacing="0" border="0" width="100%" class="channelBackground">
      <tr>
      <td colspan="2"><img src="<dt:scontent/>/enterprise/images/spacer.gif" alt="" width="1" height="5"></td>
      </tr>

      <tr>
      <td><div class="channelTitleText"><dtpc:getStringProperty key="title" /></div></td>
      <td align="right" valign="bottom">
      <%@ include file="popupChannelMenubar.jsp" %>
      </td>
      </tr>
      </table>
      <div><img src="<dt:scontent/>/enterprise/images/spacer.gif" alt="" width="1" height="10"></div>
      <!-- End channel title -->

      <!-- Begin channel content -->
      <div id="<%=channelName%>">      
      <% try { %>
           <dt:getContent/>
      <% } catch (Exception ex) { 
           pageContext.setAttribute( "ex", ex );
         }
      %>
      </div>
      <!-- End channel content -->
    </div>
    <!-- End Channel -->

    <script>
    if (window.menus) {
      var lm = window.menus[window.menus.length-1];
      lm.writeMenus();
    }
    </script>

    </dtcpc:obtainChannelFromContainer>
  </dttable:tableContainerProvider>

</dt:obtainContainer>

</BODY>
</HTML>
