<%@ page session="false" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ page import="com.sun.portal.providers.containers.jsp.single.JSPSingleContainerProvider, java.util.*"%>

<dt:obtainContainer container="$JSPProvider">

  <dtpc:getCollectionProperty key="topics" id="topicsMap"/>
  <jx:declare id="topicsMap" type="Map"/>

  <%-- Get topic from request and set current topic --%>
  <% 
  String topic = null;
  if (request.getParameter("topic") != null) {
  topic = (String)request.getParameter("topic");
  }
  %>

  <%-- Set *not* to include the loginInfo in the header's body.jsp --%>
  <% 
  pageContext.setAttribute("showLoginInfo", new Boolean(false), PageContext.REQUEST_SCOPE); 
  %>
  <jsp:include page="header.jsp" flush="true"/>
  
  <% if (!topic.equals("all")) { %>
  	<%-- Find topic passed in topicsMap and display content for topic --%>
	<% 
	Map topicMap = (Map)topicsMap.get(topic);
	String title = (String)topicMap.get("title");
	String doc = (String)topicMap.get("doc");
	Map relatedTopics = (Map)topicMap.get("relatedTopics");
	%>
	<div class="shortContainer">
	<div id="secondaryContainerNavigation" style="vertical-align: middle;">
	<a href="javascript:parent.closeHelpWindow(this);" title="Close" class="headerLink"><img src="<dt:scontent/>/enterprise/images/button-close.gif" alt="Close" width="19" height="19" hspace="5" border="0" align="middle"></a>
	<a href="javascript:parent.closeHelpWindow(this);" title="Close" class="headerLink">Close Window</a>
	</div>
	</div>

	<div class="fullPageContainer"><div id="channel" class="channel">
	<%-- Help title --%>
	<table cellpadding="0" cellspacing="0" border="0" width="100%" class="channelBackground">
	<tr><img src="<dt:scontent/>/enterprise/images/spacer.gif" alt="" width="1" height="5"></td></tr>
	<tr><td><div class="channelTitleText"><%=title%></div></td></tr>
	</table>
	<div><img src="<dt:scontent/>/enterprise/images/spacer.gif" alt="" width="1" height="10"></div>
	<div class="fullpageChannelText"><a href="<dtpc:getDesktopURL/>?provider=OnlineHelpContainer&topic=all&last=false">Help Topics</a></div>
	
	<%-- Include topic doc --%>
	<jsp:include page="channelFullPageContent.jsp" flush="true">
	<jsp:param name="doc" value="<%=doc%>"/>
	</jsp:include>
	<div><img src="<dt:scontent/>/enterprise/images/spacer.gif" alt="" width="1" height="10"></div>
	
	<%-- Related topics --%>
	<% if (relatedTopics != null && relatedTopics.size() > 0 ) { %>
		<div class="fullpageChannelText">Related Help Topics:
		<ul>
		<% 
		Iterator relatedTopicsItr = relatedTopics.keySet().iterator();
		while (relatedTopicsItr.hasNext()) {
			String relatedTopicsKey = (String)relatedTopicsItr.next();
			Map relatedTopicMap = (Map)topicsMap.get(relatedTopicsKey);
			String relatedTitle = (String)relatedTopicMap.get("title");
			String relatedDoc = (String)relatedTopicMap.get("doc");
			%><li><a href="<dtpc:getDesktopURL/>?provider=OnlineHelpContainer&topic=<%=relatedTopicsKey%>&last=false"><%=relatedTitle%></a></li><%
		}
		%></ul></div><%
	} %>
	<div class="fullpageChannelText"><a href="<dtpc:getDesktopURL/>?provider=OnlineHelpContainer&topic=all&last=false">Help Topics</a></div>
	</div></div>
	<% } else if (topic.equals("all")) {
		%>
		<div class="shortContainer">
		<div id="secondaryContainerNavigation" style="vertical-align: middle;">
		<a href="javascript:parent.closeHelpWindow(this);" title="Close" class="headerLink"><img src="<dt:scontent/>/enterprise/images/button-close.gif" alt="Close" width="19" height="19" hspace="5" border="0" align="middle"></a>
		<a href="javascript:parent.closeHelpWindow(this);" title="Close" class="headerLink">Close Window</a>
		</div>
		</div>
		
		<div class="fullPageContainer"><div id="channel" class="channel">
		<%-- Help all --%>
		<table cellpadding="0" cellspacing="0" border="0" width="100%" class="channelBackground">
		<tr><img src="<dt:scontent/>/enterprise/images/spacer.gif" alt="" width="1" height="5"></td></tr>
		<tr><td><div class="channelTitleText"><dt:getTitle/> Topics</div></td></tr>
		</table>
		<div><img src="<dt:scontent/>/enterprise/images/spacer.gif" alt="" width="1" height="10"></div>			
		<div class="fullpageChannelText"><ul>
		<%
		Iterator topicsMapItr = topicsMap.keySet().iterator();
		while (topicsMapItr.hasNext()) {
			String topicKey = (String)topicsMapItr.next();
			Map topicMap = (Map)topicsMap.get(topicKey);
			String title = (String)topicMap.get("title");
			%><li><a href="<dtpc:getDesktopURL/>?provider=OnlineHelpContainer&topic=<%=topicKey%>&last=false"><%=title%></a></li><%
		}
		%></ul></div></div><%
	  }
	%>
</dt:obtainContainer>
</body>
</html>

