<%
 /*
  * These are constants shared by content and process jsps and
  * refer to the state of the processing (saving) of page prefs
  */
String COMPLETE = "complete";
String INCOMPLETE = "incomplete";
String ERROR = "error";

 /*
  * Include a process page for the page prefs page being processed
  * ( ex., content/process.jsp) and at the end of these pages 
  * make sure to include a line which sets pagePrefsState attr to
  * one of the above.
  */
String container = (String)request.getParameter("container");
String pagePrefsPage = (String)request.getParameter("pagePrefsPage");
String pagePrefsPageProcess = pagePrefsPage + "/" + "process.jsp";
%>
<jsp:include page="<%=pagePrefsPageProcess%>" flush="true"/>

<%
session.setAttribute("pagePrefsPage", pagePrefsPage);
session.setAttribute("container", container);
response.sendRedirect((String)pageContext.getAttribute("url"));
%>
