<%@ page import="java.util.*, com.sun.portal.providers.*, com.sun.portal.providers.jsp.*"%>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%
// This JSP is responsible for displaying a list of links that display
// the content in the full page view of the portal desktop when a user
// selects a link.  The admin can specify that a link is of type
// external to identify content that is not managed by the portal desktop. 
//
// The channel type is "default".  The list of links is retrieved from
// a global display profile collection named the same as the channel.
// Within this collection there is an inner collection named "data" which 
// contains 1..N collections of data.
//
// Each collection has the following required properties:
//
// * title    : link display text
// * doc      : location of the complete content document
//
// the following properties are optional
//
// * doc_type : if the type is external, then the link is not
//              displayed within the portal desktop.
//
// For example,
//
// <Collection name="FooChannel">
//     <Collection name="data">
//         <Collection name="1">
//             <String name="title" value="Foo Link Title"/>
//             <String name="doc" value="FooChannelContent.html"/>
//          </Collection>
//      </Collection>
//  </Collection>
JSPProvider jp         = (JSPProvider)pageContext.getAttribute("JSPProvider");
String fullChannelName = jp.getName();
String channelName     = fullChannelName;
String desktopURL      = jp.getProviderContext().getDesktopURL(request);
int index              = channelName.indexOf("/");
if (index != -1) {
    channelName = channelName.substring(index+1);
}
// retrieve "data" collection from the global collection based on the
// channel name
Map globalChannelCollection = jp.getMapProperty(channelName);
Map data     = (Map)globalChannelCollection.get("data");
Iterator itr = data.keySet().iterator();
%>
<dt:obtainChannel channel="$JSPProvider">
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<%
while (itr.hasNext()) {
  String dataKey  = (String)itr.next();
  Map row         = (Map)data.get(dataKey);
  String title    = (String)row.get("title");
  String doc      = (String)row.get("doc");
  String docType  = (String)row.get("doc_type");
  StringBuffer query = new StringBuffer();

  if ((docType == null) || (!docType.equals("external"))) {
      query.append(desktopURL)
           .append("?action=content")
           .append("&channel=")
           .append(fullChannelName)
           .append("&provider=FullPageContainer")
           .append("&last=false")
           .append("&mode=full")
           .append("&doc=");
  } 
  query.append(doc);
%>
<tr valign="bottom"><td><a href="<%=query%>"><%=title%></a></td></tr>
<%}%>
</table>
</dt:obtainChannel>
