<%@ page session="false"
%><%@ taglib uri="/tld/jx.tld" prefix="jx" 
%><%@ taglib uri="/tld/desktop.tld" prefix="dt"
%><%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc"
%><%@ page import="
java.io.*,
java.util.*,
com.sun.portal.providers.*,
com.sun.portal.providers.jsp.*"
%>
<%
// This JSP is responsible for displaying the channel's summary and
// providing a "More" link that displays the complete channel content
// when the user selects it.
//  
// The channel type is "summary".  The summary content is retrieved from
// a global display profile collection named the same as the channel.
// Within this collection there is an inner collection named "data" which 
// contains 1..N collections of data.  
//
// Each collection has the following required properties:
//
// * title   : displayed  above the summary
// * summary : summary content
// * doc     : location of the complete content document
//
// the following properties are optional
//
// * current      : this is the only "current" data collection, all
//                  others will be ignored.
// * image        : an image to place next to the summary
// * image_width  : an image to place next to the summary
// * image_height : an image to place next to the summary
//
// For example,
//
//
// <Collection name="FooChannel">
//     <Collection name="data">
//         <Collection name="1">
//             <String name="title" value="Foo Channel Title"/>
//             <String name="summary" value="Foo Channel Summary"/>
//             <String name="doc" value="FooChannelContent.html"/>
//          </Collection>
//      </Collection>
//  </Collection>
String docroot            = "/enterprise/docs/";
String defaultImageWidth  = "97";
String defaultImageHeight = "145";
JSPProvider jp         = (JSPProvider)pageContext.getAttribute("JSPProvider");
String fullChannelName = jp.getName();
String channelName     = fullChannelName;
String desktopURL      = jp.getProviderContext().getDesktopURL(request);
int index              = channelName.indexOf("/");
if (index != -1) {
    channelName = channelName.substring(index+1);
}
// retrieve "data" collection from the global collection based on the
// channel name
Map globalChannelCollection = jp.getMapProperty(channelName);
Map data       = (Map)globalChannelCollection.get("data");
Iterator itr   = data.keySet().iterator();
// this is the list of summaries to display.  if a data collection
// is marked as current, then only 1 summary will be displayed.
ArrayList listToDisplay = new ArrayList(); 
while (itr.hasNext()) {
    String dataKey  = (String)itr.next();
    Map currentRow  = (Map)data.get(dataKey);
    // check for current, if found break 
    if (currentRow.containsKey("current")) {
        boolean current = ((Boolean)currentRow.get("current")).booleanValue();
        if (current) {
            listToDisplay.clear();
            listToDisplay.add(currentRow);
            break;
        }
    }
    listToDisplay.add(currentRow);
}
%>
<dt:obtainChannel channel="$JSPProvider">
  <dtpc:providerContext>
<%
// process the channel summaries to display.
Iterator displayItr = listToDisplay.iterator();
int cnt = listToDisplay.size();
while (displayItr.hasNext()) {
    Map row = (Map)displayItr.next();
    String title   = (String)row.get("title");
    String summary = (String)row.get("summary");
    String doc     = (String)row.get("doc");
    String image   = (String)row.get("image");

    StringBuffer query = new StringBuffer();
    query.append("?action=content")
         .append("&channel=")
         .append(fullChannelName)
         .append("&provider=FullPageContainer")
         .append("&last=false")
         .append("&mode=full")
         .append("&doc=")
         .append(doc);
%>
<table cellpadding="0" cellspacing="0" border="0">
<tr>
<% if ((image != null) && (image.length() > 0)) { 
    String imageWidth  = (String)row.get("image_width");
    String imageHeight = (String)row.get("image_height");

    if (imageWidth == null) {
       imageWidth = defaultImageWidth;
    }
    if (imageHeight == null) {
       imageHeight = defaultImageHeight;
    }
%>
    <td valign="top">
        <div class="leftsideImage">
        <img src="<dt:scontent/><%=docroot%><%=image%>" 
             alt="<%=title%>" 
             width="<%=imageWidth%>" 
             height="<%=imageHeight%>">
        </div>
    </td>
<% } %>
    <td valign="top"><div class="channelHeaderText"><%=title%></div>
	<div><%=summary%> <br> 
        [&nbsp;<a href="<dtpc:getDesktopURL/><%=query%>">More</a>&nbsp;]
        </div>
    </td>
</tr>
</table>

  <%-- add a break if there's more than one  element to display --%>
  <% 
  cnt--;
  if (cnt > 0) {
    %><br><%
  }
	%>

<% } //end while %>
  </dtpc:providerContext>
</dt:obtainChannel>
