<!DOCTYPE HTML PUBLIC "-//W3C//DTD Compact HTML 1.0 Draft//EN">
<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%>
<%@ page errorPage="/jsp/default/errorpage.jsp" %>
<%@ page session="false" %>

<%@ taglib uri="/WEB-INF/wireless_ab.tld" prefix="ab" %>
<%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %>


<util:nocache/><util:content type="text/html"/>
<util:catalog resource="ab" id="i18n" />
<ab:context/>

<%-- Create new group --%>
<% if(request.getParameter("addmembers") != null) { %>
   <ab:entry id="new" elementtype="group" >
     <ab:set property="cn" value="$(cn)"/>
     <ab:addgroupmembers members="$(addmembers)"/>
   </ab:entry>
<% } else { %>
   <ab:entry id="new" elementtype="group">
     <ab:set property="cn" value="$(cn)"/>
     <ab:setgroupmembers members="$(members)"/>
   </ab:entry>
<% } %>

<html>
<title><util:msg name="i18n" key="addgroup"/></title>

<%-- Add pab --%>
<ab:add name="new">
<%-- add fail --%>
  <util:msg name="i18n" key="addgroupfail"/><br><%

  %><%-- Any error message? --%><%
  %><ab:context><%
    %><util:if property="errorCode" value="AB_001"><%
    %><util:msg name="i18n" key="AB_001"/><%
    %></util:if><%
  %></ab:context>
  <p></p>

  <util:link tagstart="<a" tagend=">"><%
    %><util:attr attr="href"><%
	%><util:url file="add.jsp" comp="ab"><%
	%><util:parm name="cn"><util:get eval="$(cn)"/></util:parm><%
	%><util:parm name="op"><util:get eval="$(op)"/></util:parm><%
	%></util:url><%
    %></util:attr><%
  %></util:link><%
  %><util:msg name="i18n" key="back"/>...</a><br>
  <util:link tagstart="<a" tagend=">"><%
    %><util:attr attr="href"><%
    %><util:url file="abHome.jsp" comp="ab"/><%
    %></util:attr><%
  %></util:link><%
  %><util:msg name="i18n" key="abhome"/>...</a><br>
</body>
</html>

</ab:add>
<%-- succeed --%>
<%-- 
Set timer to go back to ab Home
<card ontimer="abHome.jsp">
--%><%

%><util:msg name="i18n" key="addedgroup"/>
<p></p>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
  %><util:url file="abHome.jsp" comp="ab"/><%
  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="abhome"/>...</a><br>
</body>
</html>

