<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_cal.tld" prefix="cal" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%

%><util:content /><%
%><util:catalog resource="cal" id="i18n" /><%
%><cal:context/><%

	// User selects back link when command fails
	String back = request.getParameter("back");
	

%><%-- set character entity escaping and truncation to 25 characters --%><%
%><%-- truncation is for summary --%><%
%><util:edit id="edit1"><%
  %><util:set property="truncation" value="$/SunMobileAppCalendarService:sunMobileAppCalendarJspSummaryLength:25/"/><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%




%><%-- set character entity escaping and truncation to 300 characters --%><%
%><%-- truncation is for description --%><%
%><util:edit id="edit2"><%
  %><util:set property="truncation" value="$/SunMobileAppCalendarService:sunMobileAppCalendarJspDescLength:300/"/><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%




%><%-- Calendar edit fields --%><%
%><util:session id="new" attribute="new"/>
<cal:task name="new"><%


  %><%-- summary --%>
  <AmlText text="<util:msg name="i18n" key="title"/>:"/><AmlBr/>
  <AmlInput type="text" name="sum"<%

  %><%-- Use postdata --%><%
  %><% if (back != null) { %><%
    %> value="<util:get  eval="$(sum)" edit="edit1"/>"<%

  %><% } else { %><%

      %> value="<cal:get  property="summary" edit="edit1"/>"<%

  %><% } %><%

    %>/><%
  %><AmlBr/><%


  %><%-- due date --%>
  <AmlText text="<util:msg name="i18n" key="dueStr"/>"/><AmlBr/>
  <AmlText text="<util:msg name="i18n" key="datefmtlabel"/>:"/><AmlBr/>
  <AmlInput type="text" name="ddate" width="8" maxchars="8" format="numeric"<%

  %><%-- Use postdata --%><%
  %><% if (back != null) { %><%
    %> value="<util:get  eval="$(ddate)"/>"<%

  %><% } else { %><%

      %><util:if property="validDueDate"><%
        %><cal:get id="ddate" property="dueDate"/><%
        %> value="<cal:dateformat name="ddate" format="$[i18n:parsedatefmt]"/>"<%
      %></util:if><%

      %><util:ifnot property="validDueDate"><%
            %> value=""<%
      %></util:ifnot><%

  %><% } %><%-- end else --%><%

    %>/><%
  %><AmlBr/><%


  %><%-- due time --%>
  <AmlText text="<util:msg name="i18n" key="dueTime"/>:"/><AmlBr/>
  <AmlInput type="text" name="dtime" width="4" maxchars="4" format="numeric"<%

  %><%-- Use postdata --%><%
  %><% if (back != null) { %><%
    %> value="<util:get  eval="$(dtime)"/>"<%

  %><% } else { %><%

      %><util:if property="validDueDate"><%
        %><cal:get id="dtime" property="dueDate"/><%
        %> value="<cal:dateformat name="dtime" format="$[i18n:timefmtedit]"/>"<%
      %></util:if><%

      %><util:ifnot property="validDueDate"><%
        %> value=""<%
      %></util:ifnot><%

  %><% } %><%

    %>/><%
  %><AmlBr/><%

  %><%-- description --%>
  <AmlText text="<util:msg name="i18n" key="details"/>:"/><AmlBr/>
    <AmlTextArea name="des" height="4" width="20" <%

  %><%-- Use postdata --%><%
  %><% if (back != null) { %><%
    %>value="<util:get eval="$(des)" edit="edit2"/>"<%

  %><% } else { %><%
      %>value="<cal:get  property="description" edit="edit2"/>"<%
  %><% } %><%

    %>/><%
  %><AmlBr/><%


    %><%-- status choice --%><%
    %><AmlText text="<util:msg name="i18n" key="cmphdr"/>"/><AmlBr/><%

    %><% if (back != null) { %><%
        %><% if (request.getParameter("iscmp").equals("1")) { %><%
		    %><AmlCheckbox name="iscmp" text="<util:msg name="i18n" key="ncmp"/>"/><AmlBr/><%

        %><% }  else { %><%
		    %><AmlChoice value="" name="iscmp"><%
                %><AmlOption text="<util:msg name="i18n" key="cmp"/>" value="1" /><%
                %><AmlOption text="<util:msg name="i18n" key="ncmp"/>" value="0" selected="true"/><%
		    %></AmlChoice><AmlBr/><%

        %><% } %><%

    %><% } else { %><%
        %><util:if property="completed"><%
		    %><AmlChoice value="" name="iscmp"><%
                %><AmlOption text="<util:msg name="i18n" key="cmp"/>" value="1" selected="true"/><%
                %><AmlOption text="<util:msg name="i18n" key="ncmp"/>" value="0"/><%
		    %></AmlChoice><AmlBr/><%
        %></util:if><%

        %><util:ifnot property="completed"><%
		    %><AmlChoice value="" name="iscmp"><%
                %><AmlOption text="<util:msg name="i18n" key="cmp"/>" value="1" /><%
                %><AmlOption text="<util:msg name="i18n" key="ncmp"/>" value="0" selected="true"/><%
		    %></AmlChoice><AmlBr/><%
        %></util:ifnot><%

    %><% } %><%

%></cal:task>
