<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_mail.tld" prefix="mail" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%

%><util:content /><%
%><util:catalog resource="mail" id="i18n" /><%
%><util:catalog resource="mailFolderNames" id="folderNames" /><%
%><mail:context/><%

      String op = request.getParameter("op");

%> 
<AmlDocument title="<util:msg name="i18n" key="folders"/>">
<AmlPage menu_pos="bottom">
  <AmlControlMenu>
    <util:link tagstart="<AmlURL" tagend="/>"><%
      %><util:attr attr="action"><%
        %><util:url file="summary.jsp" comp="mail"><%
        %></util:url><%
      %></util:attr><%
    %></util:link><%
    %><AmlText text="<util:msg name="i18n" key="mailhome"/>"></AmlText>
  </AmlControlMenu><%

  %><%-- New Folder link and parent directory --%><%
	// If this is not top directory, we display the [..] link for
        // user to go up one level.
	String parent = request.getParameter("r");
	if (parent != null && parent.length() > 0) {
	  int index = parent.lastIndexOf('/');
	  parent = (index == -1) ? "" : parent.substring(0, index);
  %><%

  %><%-- only if folder is READ_WRITE, we can create new folder --%><%
  %><mail:folder id="new" foldername="$(r)"><%
  %><util:if property="readwrite"><%
  %><AmlLink><%
    %><util:link tagstart="<AmlURL" tagend="/>"><%
      %><util:attr attr="action"><%
        %><util:url file="newFd.jsp" comp="mail"><%
          %><util:parm name="r"><util:get eval="$(r)"/></util:parm><%
        %></util:url><%
      %></util:attr><%
    %></util:link><%
    %><AmlText text="<util:msg name="i18n" key="newfolder"/>..."></AmlText>
  %></AmlLink><AmlBr/><%
  %></util:if><%
  %></mail:folder><%

  %><AmlLink><%
  %><util:link tagstart="<AmlURL" tagend="/>"><%
    %><util:attr attr="action"><%
      %><util:url file="getfolders.jsp" comp="mail"><%
        %><util:parm name="r"><%= parent %></util:parm><%
          if (op != null) {
            %><util:parm name="op"><util:get eval="$(op)"/></util:parm><%
            %><util:parm name="mid"><util:get eval="$(mid)"/></util:parm><%
            %><util:parm name="of"><util:get eval="$(of)"/></util:parm><%
          }
      %></util:url><%
    %></util:attr><%
  %></util:link><%
  %><AmlText text="<util:msg name="i18n" key="upfolder"/>"></AmlText><%
  %></AmlLink><AmlBr/><%

  %><% } else { %><%
  %><%-- new folder link --%><%
  %><AmlLink><%
    %><util:link tagstart="<AmlURL" tagend="/>"><%
      %><util:attr attr="action"><%
        %><util:url file="newFd.jsp" comp="mail"><%
          %><util:parm name="r"><util:get eval="$(r)"/></util:parm><%
        %></util:url><%
      %></util:attr><%
    %></util:link><%
    %><AmlText text="<util:msg name="i18n" key="newfolder"/>..."></AmlText>
  %></AmlLink><AmlBr/><%
  %><% } %><%

%><mail:folders id="folderlist"><%
  %><mail:set property="start" value="$(start)"/><%
  %><mail:set property="count" value="$/SunMobileAppMailService:sunMobileAppMailJspNumFolders:10/"/><%
%></mail:folders><%


%><mail:folders name="folderlist" iterate="true"><%
  %><mail:folder><%
  %><mail:get id="folderName" property="name"/><%

  %><util:if property="holdmessages"><%

  if (op != null) {
     %><util:if property="readwrite"><%
       %><AmlLink><%
       %><util:link tagstart="<AmlURL" tagend="/>"><%
         %><util:attr attr="action"><%
 	   %><util:url file="moveMsg.jsp" comp="mail"><%
           %><util:parm name="op"><%= op %></util:parm><%
           %><util:parm name="mid"><util:get eval="$(mid)"/></util:parm><%
           %><util:parm name="f"><mail:get property="fullName"/></util:parm><%
           %><util:parm name="of"><util:get eval="$(of)"/></util:parm><%
           %></util:url><%
         %></util:attr><%
         %></util:link><%
         %><AmlText text="<util:msg name="folderNames" key="${folderName}" default="${folderName}"/>"></AmlText><%
      %></AmlLink><AmlBr/><%
    %></util:if><%

  } else {
    %><AmlLink><%
    %><util:link tagstart="<AmlURL" tagend="/>"><%
      %><util:attr attr="action"><%
        %><util:url file="folderMenu.jsp" comp="mail"><%
          %><util:parm name="f"><mail:get property="fullName"/></util:parm><%
          %><util:parm name="r"><util:get eval="$(r)"/></util:parm><%
	  %><util:parm name="n"><mail:get property="name"/></util:parm><%
        %></util:url><%
      %></util:attr><%
    %></util:link><%
    %><AmlText text="<util:msg name="folderNames" key="${folderName}" default="${folderName}"/>"></AmlText><%
    %></AmlLink><AmlBr/><%
  } 


 %></util:if><%
 %><util:ifnot property="holdmessages"><%
   %><AmlText text="<mail:get property="name"/>"></AmlText><AmlBr/><%
 %></util:ifnot><%

 %><util:if property="holdfolders"><%
    %><util:ifnot property="numFolders" value="0"><%
    %><AmlSpace size="2"/><%
    %><AmlLink>
      <util:link tagstart="<AmlURL" tagend="/>"><%
        %><util:attr attr="action"><%
          %><util:url file="getfolders.jsp" comp="mail"><%
            %><util:parm name="r"><mail:get property="fullName"/></util:parm><%

          if (op != null) {
            %><util:parm name="op"><util:get eval="$(op)"/></util:parm><%
            %><util:parm name="mid"><util:get eval="$(mid)"/></util:parm><%
            %><util:parm name="of"><util:get eval="$(of)"/></util:parm><%
          }

          %></util:url><%
        %></util:attr><%
      %></util:link><%
      %><AmlText text="<util:msg name="i18n" key="subfolders"/>..."></AmlText>
    </AmlLink>
    <AmlBr/><%
    %></util:ifnot><%
  %></util:if><%


  %></mail:folder><%
%></mail:folders><%
  %><mail:folders name="folderlist"><%
    %><util:if property="nextPage"><%
      %>
      <AmlLink>
        <util:link tagstart="<AmlURL" tagend="/>"><%
          %><util:attr attr="action"><%
            %><util:url file="folders.jsp" comp="mail"><%
              %><util:parm name="start"><util:get property="nextStart"/></util:parm><%
              %><util:parm name="r"><util:get eval="$(r)"/></util:parm><%

            if (op != null) {
              %><util:parm name="op"><util:get eval="$(op)"/></util:parm><%
              %><util:parm name="mid"><util:get eval="$(mid)"/></util:parm><%
              %><util:parm name="of"><util:get eval="$(of)"/></util:parm><%
            }

            %></util:url><%
          %></util:attr><%
        %></util:link><%
        %><AmlText text="<util:msg name="i18n" key="more"/>"></AmlText>
    </AmlLink>
    <AmlBr/><%
      %></util:if><%
  %></mail:folders>

</AmlPage>
</AmlDocument>


