<!DOCTYPE HTML PUBLIC "-//W3C//DTD Compact HTML 1.0 Draft//EN"><%
%><%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%> 
<%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_mail.tld" prefix="mail" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%

%><util:nocache/><util:content type="text/html"/><%
%><util:catalog resource="mail" id="i18n" /><%
%><mail:context/><%

      String op = request.getParameter("op");

%><%-- 
	List all folders  
--%>
<html>
  <title><util:msg name="i18n" key="folders"/></title>
<body><%

  %><%-- 
	New Folder 
  --%><%

  %><util:link tagstart="<a" tagend=">"><%
    %><util:attr attr="href"><%
      %><util:url file="newFd.jsp" comp="mail"><%
	%><util:parm name="r"><util:get eval="$(r)"/></util:parm><%
      %></util:url><%
    %></util:attr><%
  %></util:link><%
  %><util:msg name="i18n" key="newfolder"/>...</a><br><%

%><%--
        Mail Home - back to summary page
--%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
  %><util:url file="summary.jsp" comp="mail"><%
  %></util:url><%
  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="mailhome"/>...</a>

<hr><%
%><%-- 
	The folder UI looks like this:
	[Dir1]                     
	  [subfolders...]
	[Dir2]
	  [subfolders...]
	[Folder1]
	[Folder2]
	[More...]

	Where Dir1 and Dir2 are folders that hold messages and subfolders. We provide
	a link to open the folders and another link to list subfolders. 

--%><%


%><mail:folders id="folderlist"><%
  %><mail:set property="start" value="$(start)"/><%
  %><mail:set property="count" value="$/SunMobileAppMailService:sunMobileAppMailJspNumFolders:10/"/><%      
%></mail:folders><%


%><mail:folders name="folderlist" iterate="true"><%
  %><mail:folder><%

  %><%--
	If this is Move/Copy To, just execute. Otherwise, provide
        a View, Rename and Delete menu.
  --%><%

  %><util:link tagstart="<a" tagend=">"><%
    %><util:attr attr="href"><%

    if (op != null) {
      %><util:url file="moveMsg.jsp" comp="mail"><%
        %><util:parm name="op"><%= op %></util:parm><%
        %><util:parm name="mid"><util:get eval="$(mid)"/></util:parm><%
        %><util:parm name="f"><mail:get property="fullName"/></util:parm><%
        %><util:parm name="of"><util:get eval="$(of)"/></util:parm><%
      %></util:url><%

    } else {
      %><util:url file="folderMenu.jsp" comp="mail"><%
        %><util:parm name="f"><mail:get property="fullName"/></util:parm><%
        %><util:parm name="r"><util:get eval="$(r)"/></util:parm><%
      %></util:url><%

    } 

    %></util:attr><%
  %></util:link><%
  %><mail:get property="name"/></a><br><%

  %><%--
           If folder holds subfolders, and it has more than one subfold
er,
           add a link to list subfolders.
  --%><%

  %><util:if property="holdfolders"><%
    %><util:ifnot property="numFolders" value="0"><%
      %>&nbsp;&nbsp;<%
      %><util:link tagstart="<a" tagend=">"><%
        %><util:attr attr="href"><%
        %><util:url file="getfolders.jsp" comp="mail"><%
	  %><util:parm name="r"><mail:get property="fullName"/></util:parm><%

          if (op != null) {
             %><util:parm name="op"><util:get eval="$(op)"/></util:parm><%
             %><util:parm name="mid"><util:get eval="$(mid)"/></util:parm><%
             %><util:parm name="of"><util:get eval="$(of)"/></util:parm><%
          } 

        %></util:url><%
        %></util:attr><%
      %></util:link><%
      %><util:msg name="i18n" key="subfolders"/>...</a><br><%
    %></util:ifnot><%
  %></util:if><%


  %></mail:folder><%
%></mail:folders><%

  %><%--
        If there are more folders
  --%><%

  %><mail:folders name="folderlist"><%

    %><util:if property="nextPage"><%

      %><util:link tagstart="<a" tagend=">"><%
        %><util:attr attr="href"><%
          %><util:url file="folders.jsp" comp="mail"><%
            %><util:parm name="start"><util:get property="nextStart"/></util:parm><%
            %><util:parm name="r"><util:get eval="$(r)"/></util:parm><%

            %><%
                if (op != null) {
            %><%
                %><util:parm name="op"><util:get eval="$(op)"/></util:parm><%
                %><util:parm name="mid"><util:get eval="$(mid)"/></util:parm><%
                %><util:parm name="of"><util:get eval="$(of)"/></util:parm><%
            %><%    } %><%

          %></util:url><%
        %></util:attr><%
      %></util:link><%
      %><util:msg name="i18n" key="more"/></a><br><%

      %></util:if><%

  %></mail:folders>

</body>
</html>


