<!DOCTYPE HTML PUBLIC "-//W3C//DTD Compact HTML 1.0 Draft//EN"><%
%><%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_mail.tld" prefix="mail" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%

%><util:nocache/><util:content type="text/html"/><%
%><util:catalog resource="mail" id="i18n" /><%
%><mail:context/><%

%><%-- unset parameter separator entity escaping --%><%
%><util:context><%
  %><util:set property="urlAmpEntity" value="false"/><%
%></util:context><%

%><%-- set character entity escaping --%><%
%><util:edit id="emsg1"><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%

%><%-- 
    View a message and perform tasks on the message (menu): 
    reply, delete, forward, add to address book and view message headers
--%>

<%-- 
   If the message contains HTML body the request is forwarded to 
   message.jsp present in  aml folder. This is required as the
   HTML body needs to be converted to wml. By forwarding to 
   aml, the HTML contents get converted to AMl and subsequently
   it is converted to wml by aligo rendering enine.
--%><%
%><mail:message index="$(mid)"><%
  %><util:if property="hasHtmlBody"><%
       %><util:forward path="/jsp/default/mail/aml/message.jsp"><%
       %></util:forward><%
  %></util:if><%
%></mail:message>

<html>
  <title><util:msg name="i18n" key="viewtitle"/></title>
<body><%
%><%-- 
    Message Details
    subject, message body, attachment

--%><%

  %><mail:message index="$(mid)"><%
  
    %><%-- subject --%><%
    %> <b> <%
      %><util:msg name="i18n" key="subject"/>: <%
      %><mail:get property="subject" edit="emsg1"/><br><%
    %> </b> <%

      %><%-- message body --%><%
      %><mail:lines id="msgtxt"><%
        %><mail:set property="start" value="$(start)"/><%
        %><mail:set property="count" value="$/SunMobileAppMailService:sunMobileAppMailJspMsgNumLines:11/"/><%
      %></mail:lines><%
      %><mail:lines name="msgtxt" iterate="true"><%
        %><mail:line><%
          %><mail:get property="text" edit="emsg1"/><br><%
        %></mail:line><%
      %></mail:lines><%

  %></mail:message><%

  %><%-- if there is no more content and there are attachment(s) --%><%
  %><mail:lines name="msgtxt"><%
    %><util:ifnot property="nextPage"><%
      %><mail:message index="$(mid)"><%
      %><util:if property="hasattachments"><%
        %><util:link tagstart="<a" tagend=">"><%
          %><util:attr attr="href"><%
            %><util:url file="attach.jsp" comp="mail"><%
              %><util:parm name="mid"><util:get eval="$(mid)"/></util:parm><%
              %><util:parm name="f"><util:get eval="$(f)"/></util:parm><%                 
            %></util:url><%                                                     
          %></util:attr><%                                                      
        %></util:link><%                           
        %><util:msg name="i18n" key="listattach"/>...</a><br/><%           
      %></util:if><%
      %></mail:message><%
    %></util:ifnot><%

    %><%-- more --%><%
    %><util:if property="nextPage"><%
      %><util:link tagstart="<a" tagend=">"><%
        %><util:attr attr="href"><%
        %><util:url file="message.jsp" comp="mail"><%
        %><util:parm name="start"><util:get property="nextStart"/></util:parm><%
        %><util:parm name="mid"><util:get eval="$(mid)"/></util:parm><%
        %><util:parm name="f"><util:get eval="$(f)"/></util:parm><%
        %></util:url><%
        %></util:attr><%
      %></util:link><%
      %><util:msg name="i18n" key="more"/></a><br><%
    %></util:if><%
  %></mail:lines><%

  %><%-- next --%><%
  %><mail:context><%
  %><util:ifnot property="atmsgend">
    <util:link tagstart="<a" tagend=">"><%
      %><util:attr attr="href"><%
      %><util:url file="getmsg.jsp" comp="mail"><%
      %><util:parm name="mid"><mail:get property="nextmsgidx"/></util:parm><%
      %><util:parm name="f"><util:get eval="$(f)"/></util:parm><%
      %></util:url><%
      %></util:attr><%
    %></util:link><%
    %><util:msg name="i18n" key="next"/></a><br><%
  %></util:ifnot><%
  %></mail:context><%
  
%><%-- menu --%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
  %><util:url file="menu.jsp" comp="mail"><%
  %><util:parm name="mid"><util:get eval="$(mid)"/></util:parm><%
  %><util:parm name="f"><util:get eval="$(f)"/></util:parm><%
  %></util:url><%
%></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="menu"/>...</a>
</body>
</html>
