<!DOCTYPE HTML PUBLIC "-//W3C//DTD Compact HTML 1.0 Draft//EN">
<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_mail.tld" prefix="mail" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%

%><util:nocache/><util:content type="text/html"/><%
%><util:catalog resource="mail" id="i18n" /><%
%><mail:context/><%

%><%-- send message command --%>
<html>
  <title><util:msg name="i18n" key="send"/></title>
<body><%

%><%-- set character entity escaping --%><%
%><util:edit id="emsg1"><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%


%><%-- check to see if user chose to cancel --%><%
%><% if (request.getParameter("cncl") != null) { %>
  <util:msg name="i18n" key="sendcancel"/><br>
  <p></p>
  <util:link tagstart="<a" tagend=">"><%
    %><util:attr attr="href"><%
    %><util:url file="doInbox.jsp" comp="mail"><%
    %></util:url><%
    %></util:attr><%
  %></util:link><%
  %><util:msg name="i18n" key="inbox"/>...</a><br>
  <util:link tagstart="<a" tagend=">"><%
    %><util:attr attr="href"><%
    %><util:url file="summary.jsp" comp="mail"><%
    %></util:url><%
    %></util:attr><%
  %></util:link><%
  %><util:msg name="i18n" key="mailhome"/>...</a><br>
  </body>
  </html><%

%><% } else { %><%
  
  %><%-- retrieve action type --%><%
  %><%
      String act  = request.getParameter("act");
      act         = (act == null) ? "" : act;
  %><%
  
  %><%-- message population --%>
  <mail:message id="new">
    <mail:set property="to" value="$(to)"/>
    <mail:set property="subject" value="$(sub)"/>
    <mail:set property="cc" value="$(cc)"/>
    <mail:set property="text" value="$(text)"/>
  </mail:message><%
  
  
  %><%-- forward --%>
  <% if (act.equals("fwd")) { %><%
      %><mail:sendmessage msgname="new" fwdindex="$(mid)"><%
      %><%-- message failed --%>
      <util:msg name="i18n" key="sendfail"/><br><%

      %><%-- Any error message? --%><%
      %><mail:context><%
        %><util:if property="errorCode" value="MAIL_001"><%
          %><util:msg name="i18n" key="MAIL_001"/><br><%
        %></util:if><%
        %><util:if property="errorCode" value="MAIL_002"><%
          %><util:msg name="i18n" key="MAIL_002"/><br><%
        %></util:if><%

      %></mail:context>
      <p></p><%

      %><%-- Provide a back button so data can be retained --%><%
      %><form name="form1"<%
        %><util:link tagstart="" tagend=""><%
          %><util:attr attr="action"><%
            %><util:url file="compose.jsp" comp="mail"><%
            %></util:url><%
          %></util:attr><%
       %></util:link><%
       %> method="post">

       <input type="hidden" name="back" value="true">
       <input type="hidden" name="act" value="<util:get eval="$(act)"/>">
       <input type="hidden" name="mid" value="<util:get eval="$(mid)"/>">
       <input type="hidden" name="to" value="<util:get eval="$(to)" edit="emsg1"/>">
       <input type="hidden" name="sub" value="<util:get eval="$(sub)" edit="emsg1"/>">
       <input type="hidden" name="text" value="<util:get eval="$(text)" edit="emsg1"/>">
       <input type="submit" name="submit" value="<util:msg name="i18n" key="back"/>">
     </form>

     <form name="form2"<%
       %><util:link tagstart="" tagend=""><%
         %><util:attr attr="action"><%
           %><util:url file="doInbox.jsp" comp="mail"><%
           %></util:url><%
         %></util:attr><%
       %></util:link><%
       %>>
       <input type="submit" name="submit" value="<util:msg name="i18n" key="inbox"/>">
     </form>

     <form name="form3"<%
       %><util:link tagstart="" tagend=""><%
         %><util:attr attr="action"><%
           %><util:url file="summary.jsp" comp="mail"><%
           %></util:url><%
         %></util:attr><%
       %></util:link><%
       %>>
       <input type="submit" name="submit" value="<util:msg name="i18n" key="mailhome"/>">
     </form>

      </body>
      </html><%
    %></mail:sendmessage><%
  
  %><%-- reply to sender --%>
  <% } else if (act.equals("rs")) { %><%
      %><mail:sendmessage msgname="new" replyindex="$(mid)"><%
      %><%-- message failed --%>
      <util:msg name="i18n" key="sendfail"/><br><%

      %><%-- Any error message? --%><%
      %><mail:context><%
        %><util:if property="errorCode" value="MAIL_001"><%
          %><util:msg name="i18n" key="MAIL_001"/><br><%
        %></util:if><%
        %><util:if property="errorCode" value="MAIL_002"><%
          %><util:msg name="i18n" key="MAIL_002"/><br><%
        %></util:if><%

      %></mail:context>
      <p></p><%

      %><%-- Provide a back button so data can be retained --%><%
      %><form name="form1"<%
        %><util:link tagstart="" tagend=""><%
          %><util:attr attr="action"><%
            %><util:url file="compose.jsp" comp="mail"><%
            %></util:url><%
          %></util:attr><%
       %></util:link><%
       %> method="post">

       <input type="hidden" name="back" value="true">
       <input type="hidden" name="act" value="<util:get eval="$(act)"/>">
       <input type="hidden" name="mid" value="<util:get eval="$(mid)"/>">
       <input type="hidden" name="to" value="<util:get eval="$(to)" edit="emsg1"/>">
       <input type="hidden" name="sub" value="<util:get eval="$(sub)" edit="emsg1"/>">
       <input type="hidden" name="text" value="<util:get eval="$(text)" edit="emsg1"/>">
       <input type="submit" name="submit" value="<util:msg name="i18n" key="back"/>">
     </form>

     <form name="form2"<%
       %><util:link tagstart="" tagend=""><%
         %><util:attr attr="action"><%
           %><util:url file="doInbox.jsp" comp="mail"><%
           %></util:url><%
         %></util:attr><%
       %></util:link><%
       %>>
       <input type="submit" name="submit" value="<util:msg name="i18n" key="inbox"/>">
     </form>

     <form name="form3"<%
       %><util:link tagstart="" tagend=""><%
         %><util:attr attr="action"><%
           %><util:url file="summary.jsp" comp="mail"><%
           %></util:url><%
         %></util:attr><%
       %></util:link><%
       %>>
       <input type="submit" name="submit" value="<util:msg name="i18n" key="mailhome"/>">
     </form>

      </body>
      </html><%
    %></mail:sendmessage><%
  
  %><%-- reply to all --%>
  <% } else if (act.equals("ra")) { %><%
      %><mail:sendmessage msgname="new" replyindex="$(mid)"><%
      %><%-- message failed --%>
      <util:msg name="i18n" key="sendfail"/><br><%

      %><%-- Any error message? --%><%
      %><mail:context><%
        %><util:if property="errorCode" value="MAIL_001"><%
          %><util:msg name="i18n" key="MAIL_001"/><br><%
        %></util:if><%
        %><util:if property="errorCode" value="MAIL_002"><%
          %><util:msg name="i18n" key="MAIL_002"/><br><%
        %></util:if><%

      %></mail:context>
      <p></p><%

      %><%-- Provide a back button so data can be retained --%><%
      %><form name="form1"<%
        %><util:link tagstart="" tagend=""><%
          %><util:attr attr="action"><%
            %><util:url file="compose.jsp" comp="mail"><%
            %></util:url><%
          %></util:attr><%
       %></util:link><%
       %> method="post">

       <input type="hidden" name="back" value="true">
       <input type="hidden" name="act" value="<util:get eval="$(act)"/>">
       <input type="hidden" name="mid" value="<util:get eval="$(mid)"/>">
       <input type="hidden" name="to" value="<util:get eval="$(to)" edit="emsg1"/>">
       <input type="hidden" name="sub" value="<util:get eval="$(sub)" edit="emsg1"/>">
       <input type="hidden" name="text" value="<util:get eval="$(text)" edit="emsg1"/>">
       <input type="submit" name="submit" value="<util:msg name="i18n" key="back"/>">
     </form>

     <form name="form2"<%
       %><util:link tagstart="" tagend=""><%
         %><util:attr attr="action"><%
           %><util:url file="doInbox.jsp" comp="mail"><%
           %></util:url><%
         %></util:attr><%
       %></util:link><%
       %>>
       <input type="submit" name="submit" value="<util:msg name="i18n" key="inbox"/>">
     </form>

     <form name="form3"<%
       %><util:link tagstart="" tagend=""><%
         %><util:attr attr="action"><%
           %><util:url file="summary.jsp" comp="mail"><%
           %></util:url><%
         %></util:attr><%
       %></util:link><%
       %>>
       <input type="submit" name="submit" value="<util:msg name="i18n" key="mailhome"/>">
     </form>

      </body>
      </html><%
    %></mail:sendmessage><%
  
  %><% } else { %>
    <mail:sendmessage msgname="new"><%
      %><%-- message failed --%>
      <util:msg name="i18n" key="sendfail"/><br><%

      %><%-- Any error message? --%><%
      %><mail:context><%
        %><util:if property="errorCode" value="MAIL_001"><%
          %><util:msg name="i18n" key="MAIL_001"/><br><%
        %></util:if><%
        %><util:if property="errorCode" value="MAIL_002"><%
          %><util:msg name="i18n" key="MAIL_002"/><br><%
        %></util:if><%

      %></mail:context>
      <p></p><%

      %><%-- Provide a back button so data can be retained --%><%
      %><form name="form1"<%
        %><util:link tagstart="" tagend=""><%
          %><util:attr attr="action"><%
            %><util:url file="compose.jsp" comp="mail"><%
            %></util:url><%
          %></util:attr><%
       %></util:link><%
       %> method="post">

       <input type="hidden" name="back" value="true">
       <input type="hidden" name="to" value="<util:get eval="$(to)" edit="emsg1"/>">
       <input type="hidden" name="sub" value="<util:get eval="$(sub)" edit="emsg1"/>">
       <input type="hidden" name="text" value="<util:get eval="$(text)" edit="emsg1"/>">
       <input type="submit" name="submit" value="<util:msg name="i18n" key="back"/>">
     </form>

     <form name="form2"<%
       %><util:link tagstart="" tagend=""><%
         %><util:attr attr="action"><%
           %><util:url file="doInbox.jsp" comp="mail"><%
           %></util:url><%
         %></util:attr><%
       %></util:link><%
       %>>
       <input type="submit" name="submit" value="<util:msg name="i18n" key="inbox"/>">
     </form>

     <form name="form3"<%
       %><util:link tagstart="" tagend=""><%
         %><util:attr attr="action"><%
           %><util:url file="summary.jsp" comp="mail"><%
           %></util:url><%
         %></util:attr><%
       %></util:link><%
       %>>
       <input type="submit" name="submit" value="<util:msg name="i18n" key="mailhome"/>">
     </form>

      </body>
      </html><%
    %></mail:sendmessage><%
  %><% } %><%
  
  
  %><%-- message sent --%>
  <util:msg name="i18n" key="sent"/><br>
  <p></p>
  <util:link tagstart="<a" tagend=">"><%
    %><util:attr attr="href"><%
    %><util:url file="doInbox.jsp" comp="mail"><%
    %></util:url><%
    %></util:attr><%
  %></util:link><%
  %><util:msg name="i18n" key="inbox"/>...</a><br>
  <util:link tagstart="<a" tagend=">"><%
    %><util:attr attr="href"><%
    %><util:url file="summary.jsp" comp="mail"><%
    %></util:url><%
    %></util:attr><%
  %></util:link><%
  %><util:msg name="i18n" key="mailhome"/>...</a><br>
  </body>
  </html> <%
%><% } %>
