<!-- CommunityParentContainer/single.jsp -->
<%@ page session="false"%><%
%><%@ taglib uri="/tld/desktop.tld" prefix="dt"%><%
%><%@ taglib uri="/tld/i18n.tld" prefix="i18n"%><%
%><%@ taglib uri="/tld/jx.tld" prefix="jx"%><%

%><%@ page import="
com.sun.portal.providers.containers.jsp.single.*,
com.sun.portal.providers.*,
com.sun.portal.providers.error.*,
com.sun.portal.providers.context.*"
%><%

%><dt:obtainContainer container="$JSPProvider"><%

%><i18n:setBundle baseName="CommunitySamplePortal" var="CommunitySamplePortalRB"/><%
%><jx:declare id="CommunitySamplePortalRB" type="java.util.ResourceBundle"/><%

%><%

JSPSingleContainerProvider communityParentContainer = null;

  communityParentContainer = (JSPSingleContainerProvider)pageContext.getAttribute("JSPProvider");

  // Set pagecontext attributes used to determine page to render and what header and breadcrumb should render.

  Boolean isAuthless = new Boolean(true);
  if (!communityParentContainer.getProviderContext().isAuthless(request)) {
    isAuthless = new Boolean(false);
  }

  Boolean isCommunity = new Boolean(false);
  Boolean isHome = new Boolean(false);
  String selectedChannel = null;

  // Catch authless user to show anonymous container w/login channel.
 
  try {

    if (communityParentContainer.getSelectedChannel(request) != null) { 
      selectedChannel = (String)communityParentContainer.getSelectedChannel(request);
      if (selectedChannel.equals("CommunityHomeContainer")) {
        // Check if user got error page because session expired. If so, show anononymous page.
        if (isAuthless.booleanValue()) {
          selectedChannel = "CommunityAnonymousContainer";
        } else {
          isHome = new Boolean(true);
        }
      } else {
        isCommunity = new Boolean(true);
      }
    }
  } catch (Exception e) { 
    if (isAuthless.booleanValue()) {
      selectedChannel = "CommunityAnonymousContainer";
    } else {
      selectedChannel = "CommunityHomeContainer";
      isHome = new Boolean(true);
    }
  }

  pageContext.setAttribute("isAuthless", isAuthless, PageContext.REQUEST_SCOPE);
  pageContext.setAttribute("isHome", isHome, PageContext.REQUEST_SCOPE);
  pageContext.setAttribute("isCommunity", isCommunity, PageContext.REQUEST_SCOPE);

  // Catch if selected community container is unavailable.

  Provider selectedCommunityContainer = (Provider)communityParentContainer.getContainerProviderContext().getProvider(
    request, communityParentContainer.getName(), selectedChannel);

  String name = selectedCommunityContainer.getName();
  pageContext.setAttribute("name", name, PageContext.REQUEST_SCOPE);

  String title = selectedCommunityContainer.getTitle();
  pageContext.setAttribute("title", title, PageContext.REQUEST_SCOPE);

  String description = selectedCommunityContainer.getDescription();
  pageContext.setAttribute("description", description, PageContext.REQUEST_SCOPE);

  boolean isEditable = selectedCommunityContainer.isEditable();
  pageContext.setAttribute("isEditable", new Boolean(isEditable), PageContext.REQUEST_SCOPE);

  %>

  <jsp:include page="header.jsp" flush="true"/>
  <% out.println(selectedCommunityContainer.getContent(request, response).toString()); %>
  <%@ include file="footer.html"%>

</dt:obtainContainer>
