<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
 --%>
<%-- @(#)viewDiscussionHeader.jsp --%>
<%@page language= "java" import="com.sun.portal.search.util.Encoder,
				com.sun.portal.search.util.DateParser, 
				com.sun.portal.search.soif.SOIF, 
				com.sun.portal.discussions.providers.Comments,
				com.sun.portal.search.providers.SearchContext,
				java.lang.*, java.util.*, java.text.*" %>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<dt:obtainChannel channel="$JSPProvider">
<i18n:setBundle baseName="DiscussionsJSP" var="discussionsjsp" />
</dt:obtainChannel>

<jx:declare id="tTitleBarColor" type="java.lang.String"/>
<jx:declare id="channelHighlightColor" type="java.lang.String"/>
<jx:declare id="channelName" type="java.lang.String"/>
<jx:declare id="dbname" type="java.lang.String"/>
<jx:declare id="locale" type="java.util.Locale"/>
<jx:declare id="dpurl" type="java.lang.String"/>
<jx:declare id="discussionsjsp" type="java.util.ResourceBundle"/>

<%
// Get first element which is the main item for this subtree
// Display main item 
Comments comments = (Comments)pageContext.findAttribute("comments");
SOIF s = new SOIF();
if (comments != null) {
    s = (SOIF)comments.getRootSOIF();
    if (s == null) return;
}
%>

<%-- Include navigation bar which has links to other related pages --%>
<jsp:include page="viewDiscussionNavigation.jsp" flush="true"/>




<%-- Display Title --%>
<tr>
<th id="discTitle" align=left class="TblColHdr"><span class="TblHdrTxt"><i18n:message key="discussionTitle" bundle="discussionsjsp" /></span></th>
<th id="discAuthor" align=left class="TblColHdr"><span class="TblHdrTxt"><i18n:message key="discussionAuthor" bundle="discussionsjsp" /></span></th>
<th id="discDate" align=left class="TblColHdr"><span class="TblHdrTxt"><i18n:message key="discussionDate" bundle="discussionsjsp" /></span></th>
<th id="discRating" align=left class="TblColHdr"><span class="TblHdrTxt"><i18n:message key="discussionRating" bundle="discussionsjsp" /></span></th>
</tr>
<tr bgcolor="<%=channelHighlightColor%>">
<td headers="discTitle" class="TblActTd" align="left">
<% if (s.getValue("title") != null) { %>
    <a href="<%=dpurl%>?<%=channelName%>_dmode=vl&did=<%=Encoder.urlEncode(s.getURL())%>"><span class="TblTdTxt"><%=s.getValue("title")%></span></a>
<% } %>
</td>

<%-- Display Author and Date --%>
<td headers="discAuthor" class="TblActTd"  align="left">
<% String author = s.getValue("author"); %>
<% 
if ((author == null) || author.equals("") || author.equals("authlessanonymous")) 
   author = (String)pageContext.findAttribute("anonymousAuthor"); 
%>
<span class="TblTdTxt"><i18n:message key="postedBy" bundle="discussionsjsp" /> <%=author%></span>
</td>
<td headers="discDate" class="TblActTd" align="left"><% 
String lastPost = s.getValue("rd-last-changed"); 
if (lastPost != null) {
    DateFormat df = DateFormat.getDateTimeInstance(DateFormat.MEDIUM, DateFormat.SHORT, locale); %>
    <% try {
        Date d = DateParser.parse(lastPost); %>
	<span class="TblTdTxt">on <%=df.format(d)%></span>
    <% } catch (Exception e) { } %>
<% } %>
</td>
<td headers="discRating" class="TblActTd" align="left">
<jx:set var="rating">
    <%=s.getValue("rd-rating")%>
</jx:set>
<jx:set var="rid">
    <%=s.getURL()%>
</jx:set>
<% String did = request.getParameter("did"); %>
<span class="TblTdTxt"><%@include file="rating.jsp"%></span>
</td>
</tr>


<%-- Display description --%>
<tr bgcolor="<%=channelHighlightColor%>">
<th align="left" class="TblTdLyt" colspan="4">
<% if (s.getValue("description") != null) {
    String hd = (s.getValue("htmldesc") != null) ? s.getValue("htmldesc").toString() : null;
    if (hd != null && hd.length() > 0) { %>
       <span class="TblTdTxt"><%=hd%></span>
    <% } else { %>
       <span class="TblTdTxt"><%=SearchContext.htmlEncode(s.getValue("description"))%></span>
    <% } %>
<% } %>
</th>
</tr>
