<!-- JSPMenuContainerProvider/menumain.jsp -->
<%@ page session="false"%><%

%><%@ page import="
java.net.URL,
com.sun.portal.providers.containers.jsp.menu.JSPMenuContainerProvider,
com.sun.portal.providers.context.ProviderContext,
com.sun.portal.providers.*,
com.sun.portal.providers.error.*,
com.sun.portal.providers.context.*"  
%><%

%><%@ taglib uri="/tld/desktop.tld" prefix="dt"%><%
%><%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc"%><%
%><%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc"%><%
%><%@ taglib uri="/tld/desktopTab.tld" prefix="tab"%><%
%><%@ taglib uri="/tld/i18n.tld" prefix="i18n"%><%
%><%@ taglib uri="/tld/jx.tld" prefix="jx"%><%

%><%!
// This scriptlet gets the url for editing the right-side selected provider/portlet.
public URL getEditURL(HttpServletRequest request, JSPMenuContainerProvider provider, String targetProvider) {
  URL redirectURL =null;
  try {
    ProviderContext pc =provider.getProviderContext();
    redirectURL =new URL( pc.getDesktopURL(request)
      + "?action=edit"
      + "&provider=" + pc.getStringProperty(provider.getName(), "editContainerName")
      + "&targetprovider=" + targetProvider
      + "&containerName=" + provider.getName());
  } catch (Exception e) { }
  return redirectURL;
}

public String getHelpURL(HttpServletRequest request, JSPMenuContainerProvider provider, String targetProvider) {
  String helpURLPropertyValue ="";
  try {
    ProviderAdapter p = (ProviderAdapter)provider.getContainerProviderContext().getProvider(request, provider.getName(), targetProvider);
    helpURLPropertyValue = (String)p.getProviderContext().getStringProperty(targetProvider, "helpURL"); 
  } catch (Exception e) { }
  return helpURLPropertyValue.trim();
}
%>
<dt:obtainContainer container="$JSPProvider">

  <i18n:setBundle baseName="CommunitySamplePortal" var="CommunitySamplePortalRB"/>
  <jx:declare id="CommunitySamplePortalRB" type="java.util.ResourceBundle"/>

  <tab:tabContainerProvider>
    <tab:getSelectedTabs id="selectedTabs" scope="request"/>
    <tab:getSelectedTabName id="selectedTabName" scope="request"/>

    <table cellpadding="0" cellspacing="0" class="menucontainer">
    <tr>

      <!-- left-side navigation menu -->
      <td class="navcontainer" valign="top" nowrap>
        <%@ include file="menu.jsp"%>
      </td>

      <!-- right-side selected provider/portlet -->
      <td class="servicecontainer" valign="top" nowrap>

        <dtcpc:obtainChannelFromContainer channel="$selectedTabName">

          <!-- right-side selected provider/portlet titlebar w/options -->
          <table title="" cellspacing="0" cellpadding="0" width="100%" class="titlebar">
          <tr>
            <td class="title"><dt:getTitle/></td>
            <td class="links" align="right">

              <dt:getName id="targetProvider"/>
              <jx:declare id="targetProvider" type="String"/>

              <%-- show edit link if provider/portlet isEditable --%>
              <dtpc:getBooleanProperty key="isEditable" id="isEditable"/>
              <jx:if test="$isEditable == true"> 
                <%
                  URL editURL = getEditURL(request, (JSPMenuContainerProvider)pageContext.getAttribute("JSPProvider"), targetProvider);
                  if (editURL != null) {
                    %><a href="<%=editURL%>" title="<i18n:message key="edit.options.link.description" bundle="CommunitySamplePortalRB"/>"><i18n:message key="edit.options.link" bundle="CommunitySamplePortalRB"/></a><%
                  }
                %>
              </jx:if>
              <%-- show help link if provider/portlet has help url --%>
              <%
                String helpURL = getHelpURL(request, (JSPMenuContainerProvider)pageContext.getAttribute("JSPProvider"), targetProvider);
                if ( !helpURL.equals("") && (helpURL.indexOf("helpURL") == -1) ) {
                %><a id="last" href="<%=helpURL%>" title="<i18n:message key="view.help.link.description" bundle="CommunitySamplePortalRB"/>" target="ps_help"><i18n:message key="view.help.link" bundle="CommunitySamplePortalRB"/></a><%
                }
              %>
            </td>
          </tr>
          </table>

          <!-- right-side selected provider/portlet content -->
          <dt:getContent/>

        </dtcpc:obtainChannelFromContainer>

      </td>

    </tr>
    </table> 

    <div class="clearall"></div>
  </tab:tabContainerProvider>
</dt:obtainContainer> 
