<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
 --%>
<%-- @(#)basicSearch.jsp --%>

<%@page language="java" import="com.sun.portal.search.providers.*,
				java.util.*" %>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<%-- declare all UI related variables --%>
<jx:declare id="tFontColor" type="java.lang.String"/>
<jx:declare id="tFontFace" type="java.lang.String"/>
<jx:declare id="tBgColor" type="java.lang.String"/>
<jx:declare id="tTitleBarColor" type="java.lang.String"/>
<jx:declare id="tTitleFontColor" type="java.lang.String"/>
<jx:declare id="dpSearchChannelUrl" type="java.lang.String"/>

<dt:obtainChannel channel="$JSPProvider">
<i18n:setBundle baseName="SearchJSP" var="searchjsp" />
</dt:obtainChannel>

<jsp:useBean id="formbean" scope="request" class="SearchRequestBean">
<jsp:setProperty name="formbean" property= "*"/>
</jsp:useBean>

<INPUT TYPE=HIDDEN NAME="browseCategory" VALUE="<%=SearchContext.htmlEncode(formbean.getBrowseCategory())%>">
<INPUT TYPE=HIDDEN NAME="mode" VALUE="<%=formbean.getMode()%>">

	<LABEL for="searchbox"><i18n:message key="find" bundle="searchjsp" /></LABEL>&nbsp;<INPUT TYPE="text" ID="searchbox" NAME="scope" size="20"
	<% if (formbean.getScope() != null) { %>
	    VALUE="<%= SearchContext.htmlEncode(formbean.getScope()) %>"
	<% } %>
	>
	<% String e = (String) request.getParameter("edit");
	if (e != null) {
	%>
	    <INPUT TYPE="hidden" ID="edit" NAME="edit" VALUE="<%=e%>">
	<% }
        String f = (String) request.getParameter("filter");
        if (f != null) {
        %>
	    <INPUT TYPE="hidden" ID="filter" NAME="filter" VALUE="<%=f%>">
	<% } 
	java.util.Map dbs = (java.util.Map)pageContext.findAttribute("availableDatabases");
	if (dbs != null && dbs.size()>0 ) {
	    java.util.Iterator it = dbs.keySet().iterator();
	    while(it.hasNext()) {
		String dbname = (String)it.next();
	    %>
		<INPUT TYPE="hidden" ID="database" NAME="database" value="<%=dbname%>"/>
		<INPUT TYPE="hidden" ID="description" NAME="description" value="full"/>
	    <%
	    }
	}
	%>
	<BR>
	<BR>
	<INPUT class="Btn2" TYPE=SUBMIT NAME="Submit" VALUE="<i18n:message key="search" bundle="searchjsp" />"> &nbsp;&nbsp;
	<a href="<%=dpSearchChannelUrl%>?mode=adv"><i18n:message key="advancedSearch" bundle="searchjsp" /></a><BR>
