<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
 --%>
<%-- @(#)browseSearch.jsp  --%>

<%@page language="java" import="com.sun.portal.search.providers.*, 
				com.sun.portal.search.util.Encoder,
				java.util.*,
				java.text.*" %>

<%@page errorPage="error.jsp" %>

<%@ taglib uri="/tld/search.tld" prefix="search" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>

<jsp:useBean id="formbean" scope="request" class="SearchRequestBean">
<jsp:setProperty name="formbean" property= "*"/>
</jsp:useBean>

<!-- Beginning of Main search section -->
<search:searchContext>
<search:setQueryLanguage ql= "search"/>
<search:setRDMType rdmType= "taxonomy-request"/>
<search:setRDMServer rdmServer= "$searchServer"/>
<search:setViewHits viewHits= "$hitNumber"/>
<search:setViewAttributes viewAttributes= "id,subclassification-count,Parent-Id,Taxonomy-Id"/>
<search:setCategory category= "<%=formbean.getBrowseCategory()%>"/>
<search:setSessionID sessionID="$accessToken"/>
<search:setPage page= "<%=new Integer(formbean.getPage()).toString()%>"/>

<% if (formbean.getMode().equals("adv")) { %>
   <jsp:include page="advQuery.jsp" flush="true" />
<% } else { %>
	<search:setQuery query='<%="(category <contains> (<or> "+formbean.getScope()+")) <and> (<or> "+formbean.getScope()+")"%>'/>
<% } %>

<% if (formbean.getScat().equals("cat")) { %>
    <search:setSearchAll searchAll="false"/>
<% } %>

<search:executeSearch/>
<!-- End Main search section -->

<jsp:include page="browseSearchResults.jsp" flush="true" />
</search:searchContext>
