<!-- header.jsp -->
<%@ page session="false" %><%

%><%@ taglib uri="/tld/desktop.tld" prefix="dt"%><%
%><%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc"%><%
%><%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc"%><%
%><%@ taglib uri="/tld/i18n.tld" prefix="i18n"%><%
%><%@ taglib uri="/tld/jx.tld" prefix="jx"%><%
%><%@ taglib uri="/tld/portletSetupTags.tld" prefix="pui"%><%

%><dt:obtainContainer container="$JSPProvider"><%

%><i18n:setBundle baseName="CommunitySamplePortal" var="CommunitySamplePortalRB"/><%
%><i18n:setBundle baseName="JSPSingleContainerJSP" var="jspsinglecontainerjsp" /><%
%><jx:declare id="CommunitySamplePortalRB" type="java.util.ResourceBundle"/><%

%><%
Boolean isAuthless = new Boolean(false);
if (pageContext.getAttribute("isAuthless", PageContext.REQUEST_SCOPE) != null) {
  isAuthless = (Boolean)pageContext.getAttribute("isAuthless", PageContext.REQUEST_SCOPE);
}
Boolean isHome = new Boolean(false);
if (pageContext.getAttribute("isHome", PageContext.REQUEST_SCOPE) != null) {
  isHome = (Boolean)pageContext.getAttribute("isHome", PageContext.REQUEST_SCOPE);
}
Boolean isCommunity = new Boolean(false);
if (pageContext.getAttribute("isCommunity", PageContext.REQUEST_SCOPE) != null) {
  isCommunity = (Boolean)pageContext.getAttribute("isCommunity", PageContext.REQUEST_SCOPE);
}

String selectedChannel = "";
if (pageContext.getAttribute("selectedChannel", PageContext.REQUEST_SCOPE) != null) {
  selectedChannel = (String)pageContext.getAttribute("selectedChannel", PageContext.REQUEST_SCOPE);
}
%><%

%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
<meta name="description" content="Sun Java System Portal Server 7 Community Sample" />
<meta name="keywords" content="Sun, Java, System, Portal, Portal Server, 7, Community, Community Sample" />
<meta name="author" content="Sun Microsystems, Inc." />
<title>Sun Java&#8482; System Portal Server: <%=CommunitySamplePortalRB.getString("portal.title")%></title>
<script src="<dt:scontent/>/community/js/util.js" language="JavaScript" type="text/javascript"></script>
<script src="<dt:scontent/>/community/js/channelmenu.js" language="JavaScript" type="text/javascript"></script>
<script src="<dt:scontent/>/close-windows.jsp" language="JavaScript" type="text/javascript"></script>
<noscript>
<span id="javascript_noscript"><i18n:message key="javascript_noscript" bundle="CommunitySamplePortalRB"/></span>
</noscript>
<pui:setupTheme themeName="defaulttheme" supportedLocales="en,en_US" sessionDataStrategyClass="com.sun.web.ui.portletSetup.PSSessionDataStrategy"/>
<link rel="stylesheet" type="text/css" href="<dt:scontent/>/community/css/desktop.css" />
</head>

<body>

  <div id="container">

    <!-- header -->
    <table width="100%" id="header" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td id="logo"><span>logo</span></td>
      <td id="title"><div id="welcome"><%=CommunitySamplePortalRB.getString("welcome.to")%></div><div id="sample"><%=CommunitySamplePortalRB.getString("portal.title.caps")%></div></td>
      <td id="info">
        <% if (!isAuthless.booleanValue()) { %>
          <a class="MstLnk" href="<dtpc:getLogoutURL/>?goto=<dtpc:getDesktopURL/>" title="<i18n:message key="logout.description" bundle="CommunitySamplePortalRB"/>" onclick="return confirmLogout('<i18n:message key="logout.confirm.message" bundle="CommunitySamplePortalRB"/>');"><i18n:message key="logout" bundle="CommunitySamplePortalRB"/></a>
        <% } %>
          <a class="MstLnk" href="<dt:scontent/>/community/content/Help/index.html" target="ps_help" title="<i18n:message key="help.description" bundle="CommunitySamplePortalRB"/>"><i18n:message key="help" bundle="CommunitySamplePortalRB"/></a> 
        <div id="username">
        <% if (isAuthless.booleanValue()) { %>
          &nbsp;
        <% } else if (isHome.booleanValue()) { %>
          <i18n:message key="welcome" bundle="CommunitySamplePortalRB"/> <a title="<i18n:message key="accountpreferences.description" bundle="CommunitySamplePortalRB"/>" href="<dtpc:getDesktopURL/>?provider=AccountPreferencesContainer&action=content"><dtpc:getStringAttribute key="cn"/></a>
        <% } else { %>
          <i18n:message key="welcome" bundle="CommunitySamplePortalRB"/> <dtpc:getStringAttribute key="cn"/>
        <% } %>
        </div>
        <div id="datetime">
          <jsp:include page="datetime.jsp" flush="true"/>
        </div>
      <td>
    </tr>
    </table> 

    <!-- breadcrumb -->
    <table width="100%" id="breadcrumb" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td id="crumb">
        <jsp:include page="breadcrumb.jsp" flush="true"/>
      </td>
      <td id="pageactions">
	<a href="<dtpc:getDesktopURL />"><i18n:message key="home" bundle="jspsinglecontainerjsp" /></a>&nbsp;
        <% if (pageContext.getAttribute("isEditable", PageContext.REQUEST_SCOPE) != null &&
               pageContext.getAttribute("name", PageContext.REQUEST_SCOPE) != null) {

          boolean b = ((Boolean) pageContext.getAttribute("isEditable", PageContext.REQUEST_SCOPE)).booleanValue();

          if (b) {
            String  c = (String) pageContext.getAttribute("name", PageContext.REQUEST_SCOPE);
            %>
            <a href="<dtpc:getDesktopURL/>?provider=PagePreferencesContainer&container=<%=c%>&action=content" title="<i18n:message key="pagepreferences.description" bundle="CommunitySamplePortalRB"/>"><i18n:message key="pagepreferences" bundle="CommunitySamplePortalRB"/></a>
          <%
          }
        } %>
      </td>
    </tr>
    </table>

    <!-- Anchor used to skip repetitive navigation links for users of screen readers -->
    <div><a name="main" id="main"></a></div> 

</dt:obtainContainer> 
