<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
 --%> 
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.HashMap" %>
<%@ page import="java.util.Map" %>
<%@ page import="com.sun.portal.providers.jsp.JSPProvider" %>
<%@ page import="com.sun.portal.providers.context.ProviderContext" %>
<%@ page import="com.sun.portal.wireless.taglibs.mail.MailContext"%>
<%@ page import="com.sun.ssoadapter.SSOAdapter"%>
<%@ page import="com.iplanet.sso.SSOToken"%>
<%@ page import="com.iplanet.sso.SSOTokenEvent"%>
<%@ page import="com.sun.addressbook.Element"%>

<%@ page errorPage="error.jsp"%>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/wireless_ab.tld" prefix="ab" %>
<%@ taglib uri="/tld/wireless_util.tld" prefix="util" %>
<%@ taglib uri="/tld/ssoadapter.tld" prefix="sso" %>
<%@ taglib uri="/tld/urlBuilder.tld" prefix="buildurl" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<dt:obtainChannel channel="$JSPProvider"><%
  %><dtpc:providerContext><%
	%><dtpc:getStringProperty key="ssoAdapter" id="ssoName"/><%
	%><i18n:setBundle baseName="abjspprovider"><%
        %><ab:context config="${ssoName}" test="false"><%
%>		<div style="text-align:left;color:red">
				<i18n:message key="error"/>
		</div><%
	%></ab:context><%
	%><ab:context config="${ssoName}" test="true"><%
		%><sso:adapter configname="$ssoName" id="ssoAdapter"><%
%><dt:getName id="jsChannelName"/><%
%><jx:declare id="jsChannelName" type="java.lang.String"/><%
	// Make the formName safe for javascript
	jsChannelName = jsChannelName.replace('/','_');
%>
<%@ include file="contentJSFunctions.jsp"%>

<form action="<dtpc:getDesktopURL/>" method="GET" name="<%=jsChannelName%>">
	<input type="hidden" name="channel" value="<%=jsChannelName%>">
    <%@ include file="contentStateAttrs.jsp"%>
    <buildurl:session>
    <div id="summary" style="padding: 5px 0 5px 0;border-bottom: 2px solid #999;">
			<table width="100%" cellpadding="0" cellspacing="0" style="font-family: sans-serif;font-size: 10pt;">
			<tr><td>
				<label for="abview"><i18n:message key="currentView"/></label>
                <%@ include file="contentNavigationMenu.jsp"%>
			</td>
			<td align="right" nowrap><%
// Fetch the desired list of contacts
if ((abview.equals("all")) || (abview.equals("group")) || (abview.equals("entry"))) {
	// Fetch without groupid
	%><ab:fetch elementtype="${abview}" sb="${absortby}" sd="${absortdir}"/><%
} else {
	// Fetch with groupid
	%><ab:fetch groupid="${abview}" elementtype="all" sb="${absortby}" sd="${absortdir}"/><%
}
%>
<%@ include file="contentNavigation.jsp"%>
</td></tr>
			</table>
		</div>
		<div id="summary" style="padding: 5px 0 5px 0;border-bottom: 2px solid #999;">
<%



		if (total==0){
%><i18n:message key="noentries"/><%
		} else {
pageContext.setAttribute("abstart",Integer.toString(abstart-1));
%>
<input type="hidden" name="absortby" value="<%=absortby%>">
<input type="hidden" name="absortdir" value="<%=absortdir%>">
<TABLE CELLPADDING=2 CELLSPACING=0 WIDTH="100%" style="font-family:sans-serif;font-size:10pt;">
	<thead>
	<TR>
		<TD style="border-bottom:#999 1px solid;">
		&nbsp;
		</TD>
		<TD style="border-bottom:#999 1px solid;">
			<a href="javascript:abSort('cn')"  ><i18n:message key="name"/>
<%			 if (absortdir.equals("dsc")){
                %><IMG SRC="<dt:scontent/>/ps/images/add_vert.gif" border=0 height="12" width="18" alt="<i18n:message key="sort"/>"><%
             } else {
                %><IMG SRC="<dt:scontent/>/ps/images/remove_vert.gif" border=0 height="12" width="18" alt="<i18n:message key="sort"/>"><%
			}
		%></a>
		</TD>
	</TR>
	</thead>
	<tbody><%
%><ab:entries id="ablist"><%
	%><ab:set property="start" value="${abstart}"/><%
	%><ab:set property="count" value="${contactsPerPage}"/><%      
%></ab:entries><%
// Variable used for alternating row colors
boolean stripe=false;
	%><ab:entries name="ablist" iterate="true"><%
		%><ab:entry> <%
	%><TR<%
if (stripe) {
	%> style="background-color:#EFE"<%
}
stripe = !stripe;
	%>>
		<TD>
			<div id="command">
            <util:if property="elementType" value="${ENTRY}">
                <img src="<dt:scontent/>/ps/images/pab-entry.gif" alt="<i18n:message key="entry"/>">
            </util:if>
            <util:if property="elementType" value="${GROUP}">
                <img src="<dt:scontent/>/ps/images/pab-group.gif" alt="<i18n:message key="groupEntry"/>">
			</util:if>
			</div>
		</TD>
		<TD>
			<div id="command"><util:if property="elementType" value="${ENTRY}"><%
                %><a href="mailto:<ab:get property="em"/>"><ab:get property="cn"/></a><%
                %></util:if><%
                %><util:if property="elementType" value="${GROUP}"><%
                %><ab:get property="cn"/><%
                %></util:if>
			</div>
		</TD>
</TR><%
%></ab:entry><%
%></ab:entries><%
%></tbody>
</TABLE><%
    }
%></div>
<buildurl:allowsStart>
<a href="<buildurl:start/>" target="abchanwin" ><i18n:message key="launch"/></a>
</buildurl:allowsStart>
</buildurl:session>
</sso:adapter>
</form>
</ab:context>
</i18n:setBundle>
</dtpc:providerContext>
</dt:obtainChannel>
