<%
		//	abview - Select view of addressbook
		String abview = null;

		//	abstart - contact with which to start
		int abstart = 1;

        // absortby - Attribute to sort by - set to cn because display name is
        // currently the only column.
        String absortby = "cn";

		//	absortdir - Which direction to sort - must be dsc or up
		String absortdir = null;

		// Pull the session state from the pageContext as attribute jsChannelName:
		Map state = (Map) pageContext.getAttribute(jsChannelName,PageContext.SESSION_SCOPE);
		if (state != null){
			abview=(String) state.get("abview");
			absortdir=(String) state.get("absortdir");
			try {
				abstart = Integer.parseInt((String)state.get("abstart"));
			} catch (Exception e){}
		} else {
			state = new HashMap(5);
		}

		// Create attributes for the type of entries
		pageContext.setAttribute("GROUP",Integer.toString(Element.GROUP));
		pageContext.setAttribute("ENTRY",Integer.toString(Element.ENTRY));

		// Make sure the params were meant for this channel
		if ((request.getParameter("channel") != null)&&(request.getParameter("channel").equals(jsChannelName))){
			// Yes, they were
			absortdir = request.getParameter("absortdir");
			abview = request.getParameter("abview");
			// Which entry to start with, default to 1
			try {
				abstart = Integer.parseInt(request.getParameter("abstart"));
			} catch (Exception e){}
		}

		// absortdir quality check, just has to be non-null.  The taglib only sets dsc if string
		// is "dsc".  All other strings sort upwards.
		if (absortdir == null) {
			// Bad absortdir parameter string
			%><dtpc:getStringProperty key="sortOrder" id="absortdir"/><%
			absortdir = (String) pageContext.getAttribute("absortdir");
		} else {
			pageContext.setAttribute("absortdir",absortdir);
		}
		state.put("absortdir",absortdir);

		// abview quality check - can be all, group, or entry
		if ( abview == null ) {
		// No abview parameter, use user preference
		%><dtpc:getStringProperty key="initialView" id="abview"/><%
			abview = (String) pageContext.getAttribute("abview") ;
		} else {
			pageContext.setAttribute("abview",abview);
		}
		state.put("abview",abview);

		state.put("abstart",Integer.toString(abstart));
		pageContext.setAttribute(jsChannelName, state, PageContext.SESSION_SCOPE);

%>