<%@ page session="false" %>

<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<%@ page import="com.sun.portal.wireless.providers.containers.jsp.rendering.JSPRenderingContainerProvider"%>
<%@ page import="java.util.Set"%>
<%@ page import="java.util.List"%>
<%@ page import="java.util.Map"%>
<%@ page import="java.util.HashMap"%>

<%
  // Counter for iteration
  int	  count		= 0;

  // Get the container
  JSPRenderingContainerProvider wcp = (JSPRenderingContainerProvider)pageContext.getAttribute("JSPProvider");

  // Desktop channel list
  List orderedChannelList = null;

  // Get the minimized flag and store it
  boolean channelsAreMinimized = wcp.getBooleanProperty("defaultChannelIsMinimized");
  pageContext.setAttribute("channelsAreMinimized", new Boolean(channelsAreMinimized));

  // Get the maximized channel
  String maximizedChannel = wcp.getMaximizedChannel(request);
  boolean hasMaximizedChannel = (maximizedChannel != null);
  pageContext.setAttribute("hasMaximizedChannel", new Boolean(hasMaximizedChannel));

  if (hasMaximizedChannel) {
      pageContext.setAttribute("maximizedChannel", maximizedChannel);
  }
  else {
      // Get the ordered channel list and store it
      orderedChannelList = wcp.getWrappedOrderedSelectedChannels(request);
      if ((orderedChannelList != null) && (orderedChannelList.size() > 0)) {
          pageContext.setAttribute("orderedChannelList", orderedChannelList);
	  pageContext.setAttribute("channelsEmpty", new Boolean("false"));
      } else {
	  pageContext.setAttribute("channelsEmpty", new Boolean("true"));
      }

  }

    String imageName = "";
    Set ccppAccepts =
            wcp.getProviderContext().getClientTypeProperties(
                    wcp.getProviderContext().getClientType(),
                    "CcppAccept");

    if ((ccppAccepts != null) &&
            (ccppAccepts.contains("image/gif") || ccppAccepts.contains("*/*"))) {
        imageName = "logo.gif";
    } else if ((ccppAccepts != null) && ccppAccepts.contains("image/vnd.wap.wbmp")) {
        imageName = "logo.wbmp";
    }

%>

