<%--
    PROPRIETARY/CONFIDENTIAL. Use of this product is subject to license terms.
    Copyright 2003 Sun Microsystems, Inc. All rights reserved.
--%>

<%@ include file="contentSetup.jsp" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<dt:obtainContainer container="$wireless">
<i18n:setBundle baseName="ChannelsContentJSP" var="channels.contentjsp" />

  <%-- The presentation of content edit page --%>
  <AmlDocument>
   <jx:choose>
    <jx:when test="$hasAvailableChannels == true" >

        <AmlPage  id="contentPage" bold="true" title="<i18n:message key="selectContentChannels" bundle="channels.contentjsp"/>" menu_pos="bottom">

            <AmlForm method="post" url="<dtpc:getDesktopURL/>" submit_label="<i18n:message key="done" bundle="channels.contentjsp"/>">
                <AmlChoice  value="" name="content" 
                            mode="multiple" 
                            wml_select_label="<i18n:message key="done" bundle="channels.contentjsp"/>" 
                            scroll_size="<%=numChannels%>" >

                    <jx:forEach var="channel" items="$availableChannels">
                        <jx:set var="stat" value="false"/>
                        <% if(((List) pageContext.getAttribute("selectedChannels")).
                                contains(pageContext.getAttribute("channel"))) { 
                        %>
                            <jx:set var="stat" value="true"/>

			            <% } %>

                        <dtcpc:obtainChannelFromContainer channel="$channel">
                            <AmlOption  selected="<%=pageContext.getAttribute("stat")%>" 
                                        value="<dt:getName/>" 
                                        text="<dt:getTitle/>"/>
                        </dtcpc:obtainChannelFromContainer>
                    </jx:forEach>
                </AmlChoice>

                <AmlInput name="action"    view="hidden" value="process"/>
                <AmlInput name="container" view="hidden" value="<%=container%>"/>
                <AmlInput name="provider"  view="hidden" value="JSPRenderingContentChannel"/>
            </AmlForm>
      </AmlPage>
    </jx:when>  
    <jx:otherwise>
      <AmlPage  id="empty_content" bold="true" menu_pos="bottom" title="<i18n:message key="selectContentChannels" bundle="channels.contentjsp"/>">
          <AmlBr/>
          <AmlText bold="true" text="<i18n:message key="noSelectableChannels" bundle="channels.contentjsp"/>"/>
          <AmlControlMenu type="accept" url="<dtpc:getDesktopURL/>" label="<i18n:message key="channelsHm" bundle="channels.contentjsp"/>"/>
      </AmlPage>
    </jx:otherwise>
   </jx:choose>
  </AmlDocument>
</dt:obtainContainer>
