<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc" %>
<%@ taglib uri="/tld/desktopTab.tld" prefix="tab" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ page import="java.util.List"%>
<%@ page session="false" %>
<%-- tab.jsp  --%>

<jsp:include page="header.jsp" flush="true"/>
<dt:obtainContainer container="$JSPProvider">
	<tab:tabContainerProvider>
		<tab:getSelectedTabs id="selectedTabs"/>
		<%
			List selected_Tabs = (List)pageContext.getAttribute("selectedTabs");
			pageContext.setAttribute( "hasChannel", new Boolean(selected_Tabs.size()>0));
		%>

		<jx:choose>
			<jx:when test="$hasChannel == false">
				<table border=0 width="100%" cellspacing=0 cellpadding=0>
				      <tr><td><img src="<dt:scontent/>/desktop/images/nothing.gif" height="8" width="0" border="0" alt=""></td>
				      </tr>
				</table>
			</jx:when>
			<jx:otherwise>
				<tab:getSelectedTabName id="containedChannel" scope="request"/>
				<tab:getSelectedTab id="selectedTab" scope="request"/>

				<dtpc:getStringProperty key="fontFace1" id="fontFace1" scope="request"/>
				<%
				String fontFace1 = (String)pageContext.getAttribute("fontFace1",PageContext.REQUEST_SCOPE);
				%>

				<img src="<dt:scontent/>/desktop/images/nothing.gif" height="8" width="0" border="0" alt=""><br>
				    <table border=0 width="100%" cellspacing=0 cellpadding=0>
				      <tr>
						<%@ include file="availableTabs.jsp" %>
						<td width="100%">&nbsp;</td>
					  </tr>
					</table>

				    <dtcpc:getContent channel="$containedChannel"/>

			</jx:otherwise>
		</jx:choose>
	</tab:tabContainerProvider>
</dt:obtainContainer>
<jsp:include page="menubar.jsp" flush="true"/>
<%@ include file="footer.html" %>
