<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%@ taglib uri="/tld/wireless_commprefs.tld" prefix="cp" %>
<%@ taglib uri="/tld/wireless_util.tld" prefix="util" %>

<util:log msg1="ENTER JSP process-pop-edit.jsp"/>

<%-- Process the edit of a pop config --%>

<cp:mailcontext>

  <% if ((request.getParameter("name") == null) ||
	 (request.getParameter("name").equals(""))) {
  
       pageContext.setAttribute("error", "errEmptyConfig");
  
     } else if (! request.getParameter("oldName").equals(request.getParameter("name"))) { %>
  
       <%-- Rename mode: check to make sure there is no config 
	    with this name, then save to new bean --%>
        <cp:popconfigs iterate="true" beanid="item">
          <cp:popconfig>
            <util:if property="name" value="$(name)">
              <util:set name="*PAGE*" property="error" value="errRenameCollision"/>
            </util:if>
          </cp:popconfig>
        </cp:popconfigs>
  	
        <% if (pageContext.getAttribute("error") == null) { %>
          <cp:popconfig id="config"/>
          <util:set name="config" property="oldName" value="$(oldName)"/>
        <% } %>

  <% } else { %>

      <%-- Edit mode: find the named bean and save to page context --%>
      <cp:popconfigs iterate="true" beanid="item">
        <cp:popconfig>
          <util:if property="name" value="$(name)">
            <% pageContext.setAttribute("config", pageContext.getAttribute("item")); %>
          </util:if>
        </cp:popconfig>
      </cp:popconfigs>
  
    <% }; %>

  <%@ include file="process-pop-common.jsp" %>

  <util:ifnot name="*PAGE*" property="error">
    <util:set name="config" property="name" value="$(name)"/>
    <util:set name="config" property="host" value="$(host)"/>
    <util:set name="config" property="port" value="$(port)"/>
    <util:set name="config" property="uid" value="$(uid)"/>
    <util:set name="config" property="password" value="$(password)"/>
    <util:set name="config" property="popDelete" value="$(popDelete)"/>
  </util:ifnot>
  
</cp:mailcontext>
<util:log msg1="EXIT JSP process-pop-edit.jsp"/>
