<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%@ taglib uri="/tld/wireless_commprefs.tld" prefix="cp" %>
<%@ taglib uri="/tld/wireless_util.tld" prefix="util" %>

<util:log msg1="ENTER JSP process-view-add.jsp"/>

<%-- Process the add of a view bean --%>
<%-- Add mode: create a new view bean and save to page context --%>

<cp:mailcontext>

  <util:if name="*REQUEST*" property="name" value="">
    <util:set name="*PAGE*" property="error" value="errEmptyView"/>
  </util:if>
  <util:ifnot name="*REQUEST*" property="name" value="">

    <%-- Check to make sure there is no view 
	 with this name, then save to new bean --%>
    <cp:views iterate="true" beanid="item">
      <cp:view>
        <util:if property="name" value="$(name)">
          <util:set name="*PAGE*" property="error" value="errRenameCollisions"/>
        </util:if>
      </cp:view>
    </cp:views>
  	
    <util:ifnot name="*PAGE*" property="error">
      <cp:view id="view"/>
      <%@ include file="process-view-common.jsp" %>     
    </util:ifnot>

  </util:ifnot>

</cp:mailcontext>

<util:log msg1="EXIT JSP process-view-add.jsp"/>
