<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" "http://www.wapforum.o
rg/DTD/wml_1.1.xml">

<%@ include file="layoutSetup.jsp" %>

<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<dt:obtainContainer container="$wireless"> 

<i18n:setBundle baseName="ChannelsLayoutJSP" var="channels.layoutjsp" />

<%-- The presentation of layout edit page --%>
<wml>
  <jx:choose>
  <jx:when test="$hasMovableChannels == true" >

  <card id="layoutSelection" title="<i18n:message key="layoutSelection" bundle="channels.layoutjsp"/>">
    <onevent type="onenterforward">
      <refresh>
        <setvar name="movingChannel" value=""/>
      </refresh>
    </onevent>

    <p><b><i18n:message key="arrangeChannels" bundle="channels.layoutjsp"/></b></p>
    <p align="left">
      <select name="movingChannel" value="">
        <jx:forEach var="channel" items="$orderedChannelList">
          <dtcpc:obtainChannelFromContainer channel="$channel">
            <option value="<dt:getName/>"><dt:getTitle/></option>
          </dtcpc:obtainChannelFromContainer>
        </jx:forEach>
      </select>
    </p>

    <do type="accept" label="<i18n:message key="done" bundle="channels.layoutjsp"/>">
      <go href="<%=desktopURL%>"/>
    </do>
    <do type="options" label="<i18n:message key="moveUp" bundle="channels.layoutjsp"/>">
      <go href="<%=desktopURL%>" method="post">
        <postfield name="action" value="process"/>
        <postfield name="provider" value="WirelessJSPLayoutChannel"/>
        <postfield name="container" value="<%=container%>"/>
        <postfield name="moveUp" value="$(movingChannel)"/>
        <postfield name="nextURL" value="<dtpc:getDesktopURL/>?action=edit&amp;provider=WirelessJSPLayoutChannel&amp;container=<%=container%>"/>
      </go>
    </do>
  </card>
  </jx:when>

    <jx:otherwise>
        <card id="LayoutEmpty" title="<i18n:message key="arrangeChannels" bundle="channels.layoutjsp"/>">

            <do type="prev" label="<i18n:message key="back" bundle="channels.layoutjsp"/>">
                <prev/>
            </do>

            <p align="left" mode="nowrap">
                <b><i18n:message key="noChannelsMove" bundle="channels.layoutjsp"/></b>
            </p>

            <do type="accept" label="<i18n:message key="channelsHm" bundle="channels.layoutjsp"/>">
                <go href="<dtpc:getDesktopURL/>"/>
            </do>
        </card>
    </jx:otherwise>

</jx:choose>
    

</wml>

</dt:obtainContainer>
