<%--
  Copyright 2004 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%-- doAddChannel.jsp  --%>
<%@ page session="false" %>
<%@ page import="com.sun.portal.providers.jsp.JSPProvider,
                 com.sun.portal.providers.context.ProviderContext,
                 java.util.List,
                 java.util.ArrayList,
                 java.util.Map,
                 java.util.HashMap,
                 java.util.ResourceBundle"%>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/channeltaskadmin.tld" prefix="dtadmin" %>

<dt:obtainChannel channel="$JSPProvider">
<dt:getName id="adminChannelName"/>
<jx:declare id="adminChannelName" type="java.lang.String"/>
<dtpc:getDesktopURL id="desktopURL"/>
<jx:declare id="desktopURL" type="java.lang.String"/>
<dtpc:getStringProperty key="roleDN" id="roleDN"/>
<jx:declare id="roleDN" type="java.lang.String"/>
<%
       JSPProvider jp = (JSPProvider)pageContext.getAttribute("JSPProvider");
       String containerName = request.getParameter(adminChannelName + ".containerName");
       String channelName = request.getParameter(adminChannelName + ".channelName");
       pageContext.setAttribute("channelName", channelName);
       pageContext.setAttribute("containerName", containerName);
       String remove = request.getParameter(adminChannelName + ".removable");
       String maximize = request.getParameter(adminChannelName + ".maximizable");
       String minimize = request.getParameter(adminChannelName + ".minimizable");
       Boolean removable = (remove != null && remove.equals("1")) ? Boolean.TRUE : Boolean.FALSE;
       Boolean maximizable = (maximize != null && maximize.equals("1")) ? Boolean.TRUE : Boolean.FALSE;
       Boolean minimizable = (minimize != null && minimize.equals("1")) ? Boolean.TRUE : Boolean.FALSE;
%>

<% try { %>
<dtadmin:obtainChannelAdmin baseDN="$roleDN">
<%-- add channel to tab container --%>
<dtadmin:getAvailableChannels container="$containerName" id="available"/>
<dtadmin:getSelectedChannels container="$containerName" id="selected"/>
<dtadmin:getMapProperty channel="$containerName" key="channelsIsRemovable" id="removableMap"/>
<dtadmin:getMapProperty channel="$containerName" key="channelsIsMaximizable" id="maximizableMap"/>
<dtadmin:getMapProperty channel="$containerName" key="channelsIsMinimizable" id="minimizableMap"/>
<%
       List available = (List)pageContext.getAttribute("available");
       List selected = (List)pageContext.getAttribute("selected");
       available.add(channelName);
       selected.add(channelName);
       pageContext.setAttribute("availableChannels", available);
       pageContext.setAttribute("selectedChannels", selected);
       Map removableMap = (Map)pageContext.getAttribute("removableMap");
       removableMap.put(channelName, removable);
       pageContext.setAttribute("newRemovableMap", removableMap);
       Map maximizableMap = (Map)pageContext.getAttribute("maximizableMap");
       maximizableMap.put(channelName, maximizable);
       pageContext.setAttribute("newMaximizableMap", maximizableMap);
       Map minimizableMap = (Map)pageContext.getAttribute("minimizableMap");
       minimizableMap.put(channelName, minimizable);
       pageContext.setAttribute("newMinimizableMap", minimizableMap);

%>
<dtadmin:setAvailableChannels available="$availableChannels" container="$containerName"/>
<dtadmin:setSelectedChannels selected="$selectedChannels" container="$containerName"/>
<dtadmin:setMapProperty channel="$containerName" key="channelsIsRemovable" value="$newRemovableMap"/>
<dtadmin:setMapProperty channel="$containerName" key="channelsIsMaximizable" value="$newMaximizableMap"/>
<dtadmin:setMapProperty channel="$containerName" key="channelsIsMinimizable" value="$newMinimizableMap"/>
</dtadmin:obtainChannelAdmin>

<% } catch (Exception ex) {
String errorMsg = ex.getMessage();
String queryString = adminChannelName + ".errorMsg=" + jp.getProviderContext().encodeURLParameter(errorMsg);
String url = jp.getProviderContext().getDesktopURL(request, queryString, false);
response.sendRedirect(url);
return;
}
%>
</dt:obtainChannel>

