	<%--
	  Copyright 2004 Sun Microsystems, Inc. All rights reserved
	  Use is subject to license terms.
	 --%>
	<%-- doCreateChannel.jsp  --%>
	<%@ page import="com.sun.portal.providers.jsp.JSPProvider,
					 java.util.List,
					 java.util.Set,
					 java.util.ArrayList,
					 com.sun.portal.providers.context.ProviderContext,
    				  java.util.ResourceBundle" %>
	
	<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
	<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
	<%@ taglib uri="/tld/channeltaskadmin.tld" prefix="dtadmin" %>
	<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
	<%@ taglib uri="/tld/portlettaskadmin.tld" prefix="dtportletadmin" %>
		
	<dt:obtainChannel channel="$JSPProvider">
	<dt:getName id="adminChannelName"/>
	<jx:declare id="adminChannelName" type="java.lang.String"/>
	
	<dtpc:getStringProperty key="roleDN" id="roleDN"/>
	<jx:declare id="roleDN" type="java.lang.String"/>
	<dtportletadmin:obtainPortletAdmin baseDN="$roleDN">
	<dtportletadmin:getExistingPortlets id="ExistingPortlets"/>
    </dtportletadmin:obtainPortletAdmin>

	<%
		   String adminPageID = request.getParameter(adminChannelName + ".page");
		   if (adminPageID != null) {
			   pageContext.setAttribute("adminPageID", adminPageID, PageContext.REQUEST_SCOPE);
		   } else {
			   pageContext.setAttribute("adminPageID", "", PageContext.REQUEST_SCOPE); 
		   }
		   JSPProvider tcp = (JSPProvider)pageContext.getAttribute("JSPProvider");
		  ResourceBundle bundle = tcp.getResourceBundle("SampleTaskAdminChannels");
			String newChannelName = request.getParameter(adminChannelName + ".newChannelName");
            String providerName = request.getParameter(adminChannelName + ".providerName");
            pageContext.setAttribute("providerName", providerName, PageContext.REQUEST_SCOPE);
			pageContext.setAttribute("newChannelName", newChannelName, PageContext.REQUEST_SCOPE);
            String queryString = "";
            String redirectURL = "";
		   if (newChannelName == null || newChannelName.trim().length() == 0) {
			   String errorMsg = bundle.getString("nullChannelName");
			   queryString = adminChannelName + ".errorMsg=" + tcp.getProviderContext().encodeURLParameter(errorMsg);
               redirectURL = tcp.getProviderContext().getDesktopURL(request, queryString, false);
               response.sendRedirect(redirectURL);
               return;
		   }	else { 
				Set existingportlets = (Set)pageContext.getAttribute("ExistingPortlets");
     %>
                <% try {
			    if(existingportlets.contains(providerName)) {
	 %>	
					<dtportletadmin:obtainPortletAdmin baseDN="$roleDN">
       					<dtportletadmin:createPortletChannel channelName="$newChannelName" portletName="$providerName"/>
					</dtportletadmin:obtainPortletAdmin>
				<% } else { %>
					<dtadmin:obtainChannelAdmin baseDN="$roleDN">
       					<dtadmin:createChannel providerName="$providerName" channelName="$newChannelName"/>
					</dtadmin:obtainChannelAdmin>
				<% } %>
				<% } catch (Exception ex) {
						ex.printStackTrace();
						String errorMsg = ex.getMessage();
						queryString = adminChannelName + ".errorMsg=" + tcp.getProviderContext().encodeURLParameter(errorMsg);			  
					    redirectURL = tcp.getProviderContext().getDesktopURL(request, queryString, false);
                        response.sendRedirect(redirectURL);
                        return;
                    }
			}
           queryString = adminChannelName + ".channel=" + newChannelName + "&" + adminChannelName + ".page=setProperties";
	       redirectURL = tcp.getProviderContext().getDesktopURL(request, queryString, false);
           response.sendRedirect(redirectURL);
           %>
	</dt:obtainChannel>

