	<%--
	  Copyright 2004 Sun Microsystems, Inc. All rights reserved
	  Use is subject to license terms.
	 --%>
	<%-- doCreateChannelAdmin.jsp  --%>
	<%@ page import="com.sun.portal.providers.jsp.JSPProvider,
					 java.util.List,
					 java.util.ArrayList,
					 com.sun.portal.providers.context.ProviderContext,
						  java.util.ResourceBundle" %>
	
	<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
	<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
	<%@ taglib uri="/tld/channeltaskadmin.tld" prefix="dtadmin" %>
	<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
	
	<dt:obtainChannel channel="$JSPProvider">
	<dt:getName id="adminChannelName"/>
	<jx:declare id="adminChannelName" type="java.lang.String"/>
	
	<dtpc:getStringProperty key="roleDN" id="roleDN"/>
	<jx:declare id="roleDN" type="java.lang.String"/>
	<%
		   String adminPageID = request.getParameter(adminChannelName + ".page");
		   if (adminPageID != null) {
			   pageContext.setAttribute("adminPageID", adminPageID, PageContext.REQUEST_SCOPE);
		   } else {
			   pageContext.setAttribute("adminPageID", "", PageContext.REQUEST_SCOPE); 
		   }
	%>
	<dtpc:getDesktopURL id="desktopURL"/>
	<jx:declare id="desktopURL" type="java.lang.String"/>
	<jx:choose>
	<jx:when test="$adminPageID == 'showMessage'">
	<%
	response.sendRedirect(desktopURL);
	%>
	</jx:when>
	<jx:when test="$adminPageID == 'createChannelAdminEdit'">
	<jsp:include page="doCreateChannelAdminEdit.jsp" flush="true"/>
	<%
	response.sendRedirect(desktopURL);
	%>
	</jx:when>
    <jx:when test="$adminPageID == 'setProperties'">
	<jsp:include page="doSetProperties.jsp" flush="true"/>
	</jx:when>
    <jx:when test="$adminPageID == 'addChannel'">
	<jsp:include page="doAddChannel.jsp" flush="true"/>
	</jx:when>
	<jx:otherwise>
    <jsp:include page="doCreateChannel.jsp" flush="true"/>
	</jx:otherwise>
	</jx:choose>
	</dt:obtainChannel>
