<%--
Copyright 2004 Sun Microsystems, Inc. All rights reserved
Use is subject to license terms.
--%>
<%-- doDeleteChannel.jsp  --%>
<%@ page import="com.sun.portal.providers.jsp.JSPProvider,
                   com.sun.portal.providers.context.ProviderContext, 
                   java.util.ResourceBundle,
                   java.util.Iterator"%>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/channeltaskadmin.tld" prefix="dtadmin" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>

<dt:obtainChannel channel="$JSPProvider"><dtpc:getUserID id="userID" scope="request"/>
<jx:declare id="userID" type="java.lang.String"/><dt:getName id="adminChannelName"/>
<jx:declare id="adminChannelName" type="java.lang.String"/>
<dtpc:getStringProperty key="roleDN" id="roleDN"/>
<jx:declare id="roleDN" type="java.lang.String"/>

<dtadmin:obtainChannelAdmin baseDN="$roleDN">
<%
String queryStr = null;
JSPProvider jspProvider = (JSPProvider)pageContext.getAttribute("JSPProvider");
String channelName = request.getParameter(jspProvider.getName() + ".channelName");
%>
<% 
ResourceBundle taskAdminBundle = jspProvider.getResourceBundle("psTaskAdmin");
try {
  int value1 = channelName.lastIndexOf("\\");
  int value2 = channelName.lastIndexOf("/");
  String parentContainer = null;
  if(value1 != -1) {
	parentContainer = channelName.substring(0, value1);
	pageContext.setAttribute("channelName", channelName.substring(value1 + 1)); 	
  } else if(value2 != -1) {
	parentContainer = channelName.substring(0, value2);	
	pageContext.setAttribute("channelName", channelName.substring(value2 + 1)); 			
  } else {
	pageContext.setAttribute("channelName", channelName);   
  }
  if(parentContainer != null) {
	  pageContext.setAttribute("parentContainer", parentContainer);  
  %>
	<dtadmin:deleteChannel channelName="$channelName" parentContainer="$parentContainer"/>		
   <% } else { %>
	<dtadmin:deleteChannel channelName="$channelName"/>		
<% 
	}
} catch (Exception ex) {
		ex.printStackTrace();
      String errorMsg = ex.getMessage();
      queryStr = adminChannelName + ".errorMsg=" + jspProvider.getProviderContext().encodeURLParameter(errorMsg)      
        + "&" + adminChannelName + ".channelName=" + channelName  + "&" + adminChannelName + ".page=deleteChannel";        
} catch (Error err) {
      String errorMsg = err.toString();
      queryStr = adminChannelName + ".errorMsg=" + jspProvider.getProviderContext().encodeURLParameter(errorMsg)      
        + "&" + adminChannelName + ".channelName=" + channelName  + "&" + adminChannelName + ".page=deleteChannel";        
}
if(queryStr == null) {
  Object[] tokens = { channelName };
  queryStr = adminChannelName + ".successMsg=" + getMessageFromRB(taskAdminBundle, "message.delete.success", tokens)
  + "&" + adminChannelName + ".page=showMessage";
}
pageContext.setAttribute("queryString", queryStr);
%>

<dtpc:getDesktopURL id="desktopURL"/>
<jx:declare id="desktopURL" type="java.lang.String"/>
<dtpc:getDesktopURL id="redirectURL" querystring="$queryString"/>
<jx:declare id="redirectURL" type="java.lang.String"/>
  <%
  if (redirectURL != null) {
  response.sendRedirect(redirectURL);
  } else {
  %>
	
  <%
  response.sendRedirect(desktopURL);
  }
  %>
</dtadmin:obtainChannelAdmin>
</dt:obtainChannel>

<%!
  public String getMessageFromRB(java.util.ResourceBundle rb,
                                    java.lang.String key,
                                    java.lang.Object[] tokens) {

        String msg = rb.getString(key);

        if (tokens != null && tokens.length > 0) {
            java.text.MessageFormat mf = new java.text.MessageFormat("");
            mf.setLocale(rb.getLocale());
            mf.applyPattern(msg);
            return mf.format(tokens);
        } else {
            return msg;
        }
    }
%>
