<%@ page session="false" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<%
   JSPSingleContainerProvider scp = (JSPSingleContainerProvider)pageContext.getAttribute("JSPProvider");
   String container = (String)request.getParameter("container");
   String parentContainer = scp.getProviderContext().getDefaultChannelName();
   String parentContainerProvider = scp.getProviderContext().getProviderName(parentContainer);
   JSPTableContainerProvider tcp = (JSPTableContainerProvider)scp.getContainerProviderContext().getProvider(request, scp.getName(), container);
   pageContext.setAttribute( "tableProvider", tcp );
   String fontFace1 = (String)pageContext.getAttribute("fontFace1", PageContext.REQUEST_SCOPE);
%>

<dt:obtainContainer container="$tableProvider">
  <dtcpc:containerProviderContext>
   <i18n:setBundle baseName="JSPCreateChannelContainerJSP">
<%-- createchannelui.jsp --%>
<%-- Show the ui to create a channel. --%>
<SCRIPT LANGUAGE="JavaScript1.2">
function validate() {
	SELECT_A_CHANNEL_TYPE = "<i18n:message key="channel_option"/>"
	SELECT_A_CHANNEL_CATEGORY = "<i18n:message key="category_option"/>"
	alerts =new Array()
	valid =true
	key =document.createChannelForm.channelTitle.name
	val =document.createChannelForm.channelTitle.value
	if (val ==null || val =="") {
		alerts[alerts.length] ="<i18n:message key="title_invalid"/>" 
	}
	key =document.createChannelForm.channelDescription.name
	val =document.createChannelForm.channelDescription.value
	if (val ==null || val =="") {
		alerts[alerts.length] ="<i18n:message key="desc_invalid"/>" 
	}
  key =document.createChannelForm.providerName.selectedIndex
  if (key == -1) {
  	alerts[alerts.length] ="<i18n:message key="channel_not_selected"/>"
  } else {
  	val =document.createChannelForm.providerName.options[key].value
    if (val ==null || val =="" || val == SELECT_A_CHANNEL_TYPE) {
    	alerts[alerts.length] ="<i18n:message key="channel_not_selected"/>"
    }
  }
  key =document.createChannelForm.category.selectedIndex
  if (key == -1) {
  	alerts[alerts.length] ="<i18n:message key="channel_not_selected"/>"
  } else {
  	val =document.createChannelForm.category.options[key].value
    if (val ==null || val =="" || val == SELECT_A_CHANNEL_CATEGORY) {
    	alerts[alerts.length] ="<i18n:message key="category_not_selected"/>"
    }
  }
	if (alerts.length > 0) { 
		showAlerts(alerts)

		valid =false
	}
	return valid
}
function showAlerts(alerts) {
	msg ="<i18n:message key="errors_message"/>" +"\n\n"
	for (i =0; i <alerts.length; i++)
		msg += alerts[i] + "\n"
	alert(msg)
}
</SCRIPT>

<%@ page import="com.sun.portal.providers.containers.jsp.single.JSPSingleContainerProvider,
                 com.sun.portal.providers.containers.jsp.table.JSPTableContainerProvider,
                 java.util.Map,
                 java.util.Iterator,
                 java.util.Collections,
                 java.util.List"
%>


<%
if ( parentContainer.equals("FrameTabContainer") ) {
%>
<jsp:include page="framePreferenceHeader.jsp" flush="true"/>
<%
} else if ( parentContainerProvider.equals("JSPTabContainerProvider") ) {
%>
<jsp:include page="tabPreferenceHeader.jsp" flush="true"/>
<%
} else if (parentContainerProvider.equals("JSPTableContainerProvider") ){
%>
<jsp:include page="tablePreferenceHeader.jsp" flush="true"/>
<%
} else if (parentContainerProvider.equals("JSPSingleContainerProvider") ) {
%>
<jsp:include page="singlePreferenceHeader.jsp" flush="true"/>
<%
} else {
%>
<jsp:include page="defaultHeader.jsp" flush="true"/>
<%
}
%>

<FONT SIZE="+0" FACE="<%= fontFace1 %>">
<table cellspacing="0" cellpadding="4" bgcolor="#FFFFFF">
<tr><td align=left BGCOLOR="<dttheme:getAttribute name="tabColor" default="#cccccc"/>"><b><i18n:message key="create_channel_message"/></b></blockquote></td></tr>
<tr><td align=left>
<FORM ACTION="dt" TARGET="_parent" METHOD="POST" NAME="createChannelForm" ENCTYPE="application/x-www-form-urlencoded" onSubmit="return validate(this)">
<INPUT TYPE=HIDDEN NAME="action" SIZE=-1 VALUE="process">
<INPUT TYPE=HIDDEN NAME="provider" SIZE=-1 VALUE="JSPCreateChannelContainer">
<INPUT TYPE=HIDDEN NAME="container" SIZE=-1 VALUE="<%=container%>">
<INPUT TYPE=HIDDEN NAME="type" SIZE=-1 VALUE="create">
<table cellspacing="4" cellpadding="4">
<tr><td align="right"><i18n:message key="channel_title"/>:</td>
<td align="left"><input type="text" name="channelTitle" value="" maxlength="40" size="40"></td></tr>
<tr><td align="right"><i18n:message key="channel_desc"/>:</td>
<td align="left"><input type="text" name="channelDescription" value="" maxlength="100" size="40"></td></tr>
<tr><td align="right"><i18n:message key="channel_type"/>:</td>
<td align=left><select name="providerName" size="1">
<option value=""><i18n:message key="channel_option"/></option>
<% 
	Map pMap =tcp.getProviderContext().getCollectionProperty(scp.getName(),"availableProviders");
	Iterator pItr = pMap.keySet().iterator();
	while(pItr.hasNext()) {
		String pEntry = (String)pItr.next();
		String pValue = (String)pMap.get(pEntry);
%>
		<option value="<%= pEntry %>"><%= pValue %></option>
<% 
	}
%>
</select></td></tr>
<tr><td align="right"><i18n:message key="channel_category"/>:</td>
<td align=left><select name="category" size="1">
<option value=""><i18n:message key="category_option"/></option>
<% 
	Map cMap =tcp.getProviderContext().getCollectionProperty(container,"categories",true);
	Iterator cItr = cMap.keySet().iterator();
	while(cItr.hasNext()) {
		String cEntry = (String)cItr.next();
%>
		<option value="<%= cEntry %>"><%= cEntry %></option>
<% 
	}
%>
</select></td></tr>
<tr><td align="right"><i18n:message key="display_channel"/>:</td>
<td align="left"><input type="radio" name="autoSelectChannel" value="true" CHECKED> <i18n:message key="yes"/> &nbsp;&nbsp;
<input type="radio" name="autoSelectChannel" value="false"> <i18n:message key="no"/> </td></tr>
<tr><td align=left colspan=2>
<font size="-1"><blockquote>
<i18n:message key="display_help"/>
</blockquote></font></td></tr>
<tr><td align=center colspan=2>
<br><font size=+0 face="<%=fontFace1%>">
<input type="submit" name="Submit" value="<i18n:message key="create"/>" style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="#ffffff"/>'>
&nbsp;&nbsp;
<input type=BUTTON onClick="top.document.location.href='<dtpc:getDesktopURL/>'" value="<i18n:message key="cancel"/>" style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="#ffffff"/>'>
</font></td></tr>
</table>
</form>
</td></tr>
</table>

<%
if ( parentContainer.equals("FrameTabContainer") ) {
%>
<jsp:include page="framePreferenceMenubar.jsp" flush="true"/>
<%
} else if ( parentContainerProvider.equals("JSPTabContainerProvider") ) {
%>
<jsp:include page="tabPreferenceMenubar.jsp" flush="true"/>
<%
} else if (parentContainerProvider.equals("JSPTableContainerProvider") ){
%>
<jsp:include page="tablePreferenceMenubar.jsp" flush="true"/>
<%
} else if (parentContainerProvider.equals("JSPSingleContainerProvider") ) {
%>
<jsp:include page="singlePreferenceMenubar.jsp" flush="true"/>
<%
} else {
%>
<jsp:include page="defaultMenubar.jsp" flush="true"/>
<%
}
%>
<%@ include file="footer.html" %>
  </i18n:setBundle>
  </dtcpc:containerProviderContext>
</dt:obtainContainer>
