<%-- deletechannelui.jsp --%>
<%@ page import="com.sun.portal.providers.containers.jsp.single.JSPSingleContainerProvider,
                 com.sun.portal.providers.containers.jsp.table.JSPTableContainerProvider,
                 java.util.Map,
                 java.util.Iterator,
                 java.util.Collections,
                 java.util.List"
%>

<%@ page session="false" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<%
	// Get the container context this ui is operating in.
   JSPSingleContainerProvider scp = (JSPSingleContainerProvider)pageContext.getAttribute("JSPProvider");
   String container = (String)request.getParameter("container");
   String parentContainer = scp.getProviderContext().getDefaultChannelName();
   String parentContainerProvider = scp.getProviderContext().getProviderName(parentContainer);
   JSPTableContainerProvider tcp = (JSPTableContainerProvider)scp.getContainerProviderContext().getProvider(request, scp.getName(), container);
   pageContext.setAttribute( "tableProvider", tcp );
   String fontFace1 = (String)pageContext.getAttribute("fontFace1", PageContext.REQUEST_SCOPE);
%>


<dt:obtainContainer container="$tableProvider">
  <dtcpc:containerProviderContext>
  <i18n:setBundle baseName="JSPCreateChannelContainerJSP">
<%
if ( parentContainer.equals("FrameTabContainer") ) {
%>
<jsp:include page="framePreferenceHeader.jsp" flush="true"/>
<%
} else if ( parentContainerProvider.equals("JSPTabContainerProvider") ) {
%>
<jsp:include page="tabPreferenceHeader.jsp" flush="true"/>
<%
} else if (parentContainerProvider.equals("JSPTableContainerProvider") ){
%>
<jsp:include page="tablePreferenceHeader.jsp" flush="true"/>
<%
} else if (parentContainerProvider.equals("JSPSingleContainerProvider") ) {
%>
<jsp:include page="singlePreferenceHeader.jsp" flush="true"/>
<%
} else {
%>
<jsp:include page="defaultHeader.jsp" flush="true"/>
<%
}
%>
<FONT SIZE="+0" FACE="<%=fontFace1%>">
<table cellspacing="0" cellpadding="4" width="100%">
<tr><td align=left BGCOLOR="<dttheme:getAttribute name="tabColor" default="#cccccc"/>">
<b><i18n:message key="delete_channels_message"/></b>
</td></tr>
</table>
<p>
<center>
<FORM ACTION="dt" TARGET="_parent" METHOD="POST" NAME="deleteChannelForm" ENCTYPE="application/x-www-form-urlencoded">
<INPUT TYPE=HIDDEN NAME="action" SIZE=-1 VALUE="process">
<INPUT TYPE=HIDDEN NAME="provider" SIZE=-1 VALUE="JSPCreateChannelContainer">
<INPUT TYPE=HIDDEN NAME="container" SIZE=-1 VALUE="<%=container%>">
<INPUT TYPE=HIDDEN NAME="type" SIZE=-1 VALUE="delete">
<table cellspacing=0 cellpadding=3 border=0>
<tr>
<th align=left>&nbsp;</th>
<th align=left><i18n:message key="title"/></th>
<th align=left><i18n:message key="desc"/></th>
</tr>
<% 
	Map pMap =tcp.getProviderContext().getCollectionProperty(scp.getName(),"userDefinedChannels");
	Iterator pItr = pMap.keySet().iterator();
	while(pItr.hasNext()) {
		String channelName = (String)pItr.next();
		pageContext.setAttribute("channelName", channelName);
		List availableChannels = tcp.getAvailableChannels();
		int size =availableChannels.size();
		for (int i = 0; i < size; i++) {
			String availableChannelName = (String)availableChannels.get(i);
			if (channelName.equals(availableChannelName)) {


%>
<dtcpc:obtainChannelFromContainer channel="$channelName">
	<dt:getTitle id="title" silentException="true"/>
	<dt:getDescription id="desc" silentException="true"/>
	<jx:declare id="title" type="String"/>
	<jx:declare id="desc" type="String"/>
<tr>
<td align=center><input type=checkbox name="<%=channelName%>"></td>
<td align=left><%=title%></td>
<td align=left><font size"-1"><%=desc%></font></td>
</tr>
</dtcpc:obtainChannelFromContainer>
<% 
			}
		}
	}
%>
</table>
<p>
<font size=+0 face="<%=fontFace1%>">
<input type="submit" name="Submit" value="<i18n:message key="delete"/>" style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="#ffffff"/>'>
&nbsp;&nbsp;
<input type=BUTTON onClick="top.document.location.href='<dtpc:getDesktopURL/>'" value="<i18n:message key="cancel"/>" style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="#ffffff"/>'>
</font>
</form>
</center>

<%
if ( parentContainer.equals("FrameTabContainer") ) {
%>
<jsp:include page="framePreferenceMenubar.jsp" flush="true"/>
<%
} else if ( parentContainerProvider.equals("JSPTabContainerProvider") ) {
%>
<jsp:include page="tabPreferenceMenubar.jsp" flush="true"/>
<%
} else if (parentContainerProvider.equals("JSPTableContainerProvider") ){
%>
<jsp:include page="tablePreferenceMenubar.jsp" flush="true"/>
<%
} else if (parentContainerProvider.equals("JSPSingleContainerProvider") ) {
%>
<jsp:include page="singlePreferenceMenubar.jsp" flush="true"/>
<%
} else {
%>
<jsp:include page="defaultMenubar.jsp" flush="true"/>
<%
}
%>
<%@ include file="footer.html" %>
  </i18n:setBundle>
  </dtcpc:containerProviderContext>
</dt:obtainContainer>

