<%-- layoutedit.jsp --%>

<%@ page import="com.sun.portal.providers.containers.jsp.single.JSPSingleContainerProvider,
                 com.sun.portal.providers.containers.jsp.table.JSPTableContainerProvider,
                 com.sun.portal.providers.Provider,
                 com.sun.portal.providers.util.Layout,
                 com.sun.portal.providers.containers.jsp.tab.UnmodifiableTab,
                 java.util.List,
                 java.util.Map,
                 java.util.ArrayList"
%>

<%@ page session="false" %>

<%@ taglib uri="/tld/desktopTable.tld" prefix="dttable" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<%
   String editpage = request.getParameter("page");
   if( editpage != null ) {
     pageContext.setAttribute( "page", editpage );
   } else {
     pageContext.setAttribute( "page", "");
   }

   String container = (String)request.getParameter("containerName");
   if( container != null )
     pageContext.setAttribute( "container", container );
%>

<%
   
   JSPTableContainerProvider tcp = (JSPTableContainerProvider)pageContext.getAttribute("JSPProvider");
   String parentContainer = tcp.getProviderContext().getDefaultChannelName();
   String parentContainerProvider = tcp.getProviderContext().getProviderName(parentContainer);
   String selectedTabName = request.getParameter("selected");
   if( tcp != null )
     pageContext.setAttribute( "tcp", tcp );
   String editMode = (String)request.getParameter("editMode"); 
   String editContainerName = (String)request.getParameter("provider");
%>

<dt:obtainContainer container="$tcp">
<dttable:tableContainerProvider>
<i18n:setBundle baseName="JSPTableContainerProviderJSP" var="jsptablecontainerproviderjsp" />
 
  
<%
if ( parentContainer.equals("FrameTabContainer") ) { 
%>
<jsp:include page="framePreferenceHeader.jsp" flush="true"/>
<%
} else if ( parentContainerProvider.equals("JSPTabContainerProvider") ) { 
%>
<jsp:include page="tabPreferenceHeader.jsp" flush="true"/>
<%
} else if (parentContainerProvider.equals("JSPTableContainerProvider") ){
%>
<jsp:include page="tablePreferenceHeader.jsp" flush="true"/>
<%
} else if (parentContainerProvider.equals("JSPSingleContainerProvider") ) {
%>
<jsp:include page="singlePreferenceHeader.jsp" flush="true"/>
<%
} else {
%>
<jsp:include page="defaultHeader.jsp" flush="true"/>
<%
}
%>
  
    <dtpc:getIntegerProperty key="layout" id="layout"/>
    <dtpc:getStringProperty key="fontFace1" id="fontFace1" scope="request"/>
    <dttable:getColumns id="leftColumn" column="left"/>
    <dttable:getColumns id="rightColumn" column="right"/>
    <dttable:getColumns id="centerColumn" column="center"/>
    <dttable:getColumns id="top" column="top"/>
    <dttable:getColumns id="bottom" column="bottom"/>
    
    <jx:declare id="top" type="List"/>
    <jx:declare id="bottom" type="List"/>
    <jx:set var="topSize">
    <%=top.size()%>
    </jx:set>
    <jx:set var="bottomSize">
    <%=bottom.size()%>
    </jx:set>


<%
   String layoutOneChecked = "";
   String layoutTwoChecked = "";
   String layoutThreeChecked = "";
   String fontFace1 = (String)pageContext.getAttribute("fontFace1", PageContext.REQUEST_SCOPE);  
%>
        <jx:choose>
          <jx:when test="$layout == 1">
<%
            layoutOneChecked = "checked";
%>
          </jx:when>
          <jx:when test="$layout == 2">
<%
            layoutTwoChecked = "checked";
%>
          </jx:when>
          <jx:when test="$layout == 3">
<%
            layoutThreeChecked = "checked";
%>
          </jx:when>
        </jx:choose>

<%@ include file="contentLayoutBarCombined.jsp" %>

<%@ include file="arrangeProvider.js" %>
<%@ include file="performSubstitution.js" %>
<%@ include file="performColumnSubstitution.js" %>
<%@ include file="selectAll.js" %>
<%@ include file="switchColumns.js" %>
<%@ include file="detectCheckedRadioButton.js" %>
	
<center>


<form action="<dtpc:getDesktopURL/>" TARGET="_parent" method="POST" name="layoutForm" onSubmit="selectAll()" enctype="application/x-www-form-urlencoded" >
<input type=HIDDEN name="action" size=-1 value="process">
<input type=HIDDEN name="provider" size=-1 value="<%=tcp.getName()%>">
<input type=HIDDEN name="containerName" size=-1 value="<%=container%>">
<INPUT TYPE=HIDDEN NAME="editMode" SIZE=-1 VALUE="<%=editMode%>">
<input type=HIDDEN name="temp1" value="">
<input type=HIDDEN name="temp2" value="">
<input type=HIDDEN name="temp3" value="">
<%
	if (selectedTabName != null) {
%>
<input type=HIDDEN name="selected" value="<%=selectedTabName%>">
<%	}
%>

    <table border=0 cellpadding=2 cellspacing=0 width="100%">
    <tr><td bgcolor="<dttheme:getAttribute name="tabColor" default="#FFFFFF"/>"><img src="<dt:scontent/>/images/spacer.gif" width="100%" height="4" alt="<i18n:message key="spacerImage" bundle="jsptablecontainerproviderjsp" />"></td></tr>        

    <tr>
        <td bgcolor="<dttheme:getAttribute name="tabColor" default="#CCCCCC"/>"><font color="<dttheme:getAttribute name="tabFontColor" default="#000000"/>" size="+0" face="Verdana"><b><i18n:message key="selectLayout" bundle="jsptablecontainerproviderjsp" /></b></font></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
      </tr>
      <tr>
        <td><%@ include file="selectLayout.jsp" %></td>
      </tr>
      <tr>
        <td>
          <p>

        <jx:choose>
          <jx:when test="$layout == 1">
            <%@ include file="layout1.jsp" %>
          </jx:when>
          <jx:when test="$layout == 2">
            <%@ include file="layout2.jsp" %>
          </jx:when>
          <jx:when test="$layout == 3">
            <%@ include file="layout3.jsp" %>
          </jx:when>
        </jx:choose>

<br>
            <br>

            <center>
              <font face="<%=fontFace1%>">
              <input type=SUBMIT name="Submit" value="<i18n:message key="finished" bundle="jsptablecontainerproviderjsp" />" style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="#FFFFFF"/>'>
              <input type=BUTTON onClick="top.document.location.href='<dtpc:getDesktopURL/>'" value="<i18n:message key="cancel" bundle="jsptablecontainerproviderjsp" />" style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="FFFFFF"/>'>
              </font>
            </center>
        </td>
      </tr>
    </table>
</form>

<!-- this script will establish which radio button is already checked.  This must appear after the </form> tag -->
<script language="javascript">setCheckedValue(document.forms[0].layout)</script>

</center>
<%
if ( parentContainer.equals("FrameTabContainer") ) {
%>
<jsp:include page="framePreferenceMenubar.jsp" flush="true"/>
<%
} else if ( parentContainerProvider.equals("JSPTabContainerProvider") ) { 
%>
<jsp:include page="tabPreferenceMenubar.jsp" flush="true"/>
<%
} else if (parentContainerProvider.equals("JSPTableContainerProvider") ){
%>
<jsp:include page="tablePreferenceMenubar.jsp" flush="true"/>
<%
} else if (parentContainerProvider.equals("JSPSingleContainerProvider") ) {
%>
<jsp:include page="singlePreferenceMenubar.jsp" flush="true"/>
<% 
} else {
%>
<jsp:include page="defaultMenubar.jsp" flush="true"/>
<%
}
%>
<%@ include file="footer.html" %>
    </dttable:tableContainerProvider>

</dt:obtainContainer>
