<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>
<%-- doSetChannels.jsp  --%>

<%@ page import="com.sun.portal.providers.jsp.JSPProvider,
                 java.util.List,
                 java.util.ArrayList,
                 java.util.Arrays,
                 java.util.Map,
                 java.util.HashMap,
                 com.sun.portal.providers.containers.ContainerProvider" %>
<%@ page session="false" %>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/channeltaskadmin.tld" prefix="dtadmin" %>

<dt:obtainChannel channel="$JSPProvider">
<dt:getName id="adminChannelName"/>
<jx:declare id="adminChannelName" type="java.lang.String"/>
<dtpc:getStringProperty key="roleDN" id="roleDN"/>
<jx:declare id="roleDN" type="java.lang.String"/>
<%
       List channels = new ArrayList();
       String containerName = request.getParameter(adminChannelName + ".containerName");
       pageContext.setAttribute("containerName", containerName);
%>
<dtadmin:obtainChannelAdmin baseDN="$roleDN">
<dtadmin:getAssignableChannels id="assignablechannels" container="$containerName"/>
<jx:declare id="assignablechannels" type="java.util.Set"/>
<%--filter out all the containers and build the list of leaf channels. We will not want deladmins to add containers. --%>

<jx:forEach var="channel" items="$assignablechannels">
<jx:declare id="channel" type="java.lang.String"/>
<dtadmin:getClassName id="channelclassname" channel="$channel"/>
<%
String classname = (String)pageContext.getAttribute("channelclassname");
if ( classname == null ) {
    continue;
}
try {
Class channelClass = Class.forName(classname);
if (!ContainerProvider.class.isAssignableFrom(channelClass)) {
      String checkBoxValue = request.getParameter(channel);
      if (checkBoxValue != null && checkBoxValue.equals( "1" )) {
          channels.add(channel);
      }
}
} catch (NoClassDefFoundError e) {
}
%>
</jx:forEach>
<%
       pageContext.setAttribute("channels", channels);
       %>
<dtadmin:setAvailableChannels available="$channels" container="$containerName"/>
<dtadmin:setSelectedChannels selected="$channels" container="$containerName"/>
</dtadmin:obtainChannelAdmin>
</dt:obtainChannel>

