<%--
  Copyright 2004 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>
<%-- doScraperAdmin.jsp  --%>
<%@ page import="com.sun.portal.providers.jsp.JSPProvider,
                 java.util.List,
                 java.util.ArrayList,
                 com.sun.portal.providers.context.ProviderContext" %>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/channeltaskadmin.tld" prefix="dtadmin" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>

<dt:obtainChannel channel="$JSPProvider">
<dt:getName id="adminChannelName"/>
<jx:declare id="adminChannelName" type="java.lang.String"/>
<dtpc:getStringProperty key="roleDN" id="roleDN"/>
<jx:declare id="roleDN" type="java.lang.String"/>
<%
       JSPProvider jp = (JSPProvider)pageContext.getAttribute("JSPProvider");
       ProviderContext pc = jp.getProviderContext();
       String adminPageID = request.getParameter(adminChannelName + ".page");
       if (adminPageID != null) {
           pageContext.setAttribute("adminPageID", adminPageID, PageContext.REQUEST_SCOPE);
       } else {
           pageContext.setAttribute("adminPageID", "", PageContext.REQUEST_SCOPE); 
       }
%>
<dtpc:getDesktopURL id="desktopURL"/>
<jx:declare id="desktopURL" type="java.lang.String"/>
<jx:choose>
<jx:when test="$adminPageID == 'setChannelURL'">
<jsp:include page="doSetChannelURL.jsp" flush="true"/>
</jx:when>
<jx:when test="$adminPageID == 'scraperAdminEdit'">
<jsp:include page="doScraperAdminEdit.jsp" flush="true"/>
</jx:when>
<jx:otherwise>
<%
       String scraperChannel = request.getParameter(adminChannelName + ".scraperChannel");
       String clientType = request.getParameter(adminChannelName + ".clientType");
       boolean defaultURL = clientType.equalsIgnoreCase("default");
       pageContext.setAttribute("defaultURL", new Boolean(defaultURL));
       pageContext.setAttribute("scraperChannel", scraperChannel);
       String queryString = adminChannelName + ".scraperChannel=" 
           + scraperChannel + "&" + adminChannelName + ".page=setChannelURL&"
           + adminChannelName + ".clientType=" + clientType;
       try {
%>
<dtadmin:obtainChannelAdmin baseDN="$roleDN">
<jx:choose>
<jx:when test="$defaultURL">
<dtadmin:getStringProperty id="scraperURL" key="url" channel="$scraperChannel"/>
</jx:when>
<jx:otherwise>
<%
List pflist = pc.getClientPropertiesFilters(clientType);
pageContext.setAttribute("pflist", pflist);
%>
<dtadmin:getStringProperty id="scraperURL" key="url" channel="$scraperChannel" pflist="$pflist"/>
</jx:otherwise>
</jx:choose>
</dtadmin:obtainChannelAdmin>
<%
} catch (Exception ex) {
String errorMsg = ex.getMessage();
queryString = adminChannelName + ".errorMsg=" + jp.getProviderContext().encodeURLParameter(errorMsg);
}
pageContext.setAttribute("queryString", queryString);
%>
<dtpc:getDesktopURL id="redirectURL" querystring="$queryString"/>
<jx:declare id="redirectURL" type="java.lang.String"/>
<%
if (redirectURL != null) {
response.sendRedirect(redirectURL);
} else {
%>
<%
response.sendRedirect(desktopURL);
}
%>
</jx:otherwise>
</jx:choose>
</dt:obtainChannel>




