<%--
  Copyright 2004 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%-- deleteUser.jsp  --%>
<%@ page import="com.sun.portal.providers.jsp.JSPProvider,
                 java.util.Set,
                 com.sun.portal.providers.context.ProviderContext,
                 java.util.ResourceBundle" %>
                 
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ taglib uri="/tld/usertaskadmin.tld" prefix="dtuseradmin" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<%@ include file="trim.js" %>	
<dt:obtainChannel channel="$JSPProvider">
<i18n:setBundle baseName="TaskAdminUserChannelAdminJSP" var="taskadminuserchanneladminjsp" />

<script language="javascript">
		function searchSubmit(thisform){
		with (thisform)
		{		
			var searchUserStrValue = window.document.deleteUser.elements['UserChannelAdmin.searchExp'].value;
			if (searchUserStrValue == null || trim(searchUserStrValue) == "") {
				alert("<i18n:message key="entervalidsearchuserstring" bundle="taskadminuserchanneladminjsp" />");
				return false;
			}		
			document.deleteUser.target="_self";			 
			var page = document.deleteUser.elements['UserChannelAdmin.page'];
			page.value = "deleteUser";
			document.deleteUser.submit();				 
		}
		}

		function deleteSubmit(thisform){
		with (thisform)
		{		
			 var atleastOneUserIsSelected = "false";			 
			 var usersListSize1 = document.deleteUser.elements['UserChannelAdmin.usersListSize'];
			 var uSize = -1;
			 uSize = usersListSize1.value;
			 for(k = 0; k < uSize; k++) {
				var checkBox = document.deleteUser.elements['UserChannelAdmin.userName' + (k + 1)];
				if(checkBox.checked){
					atleastOneUserIsSelected = "true";
					break;
				}
			 }
			 if(atleastOneUserIsSelected == "true") {			 
				 if(!confirm("<i18n:message key="deleteruserconfirmation" bundle="taskadminuserchanneladminjsp" /> ")) {
			 		return false;
				 }			 
				 var page = document.deleteUser.elements['UserChannelAdmin.page'];
				 page.value = "doDeleteUser";				 
			    document.deleteUser.target="_self";
			    document.deleteUser.submit();				 				 
			 } else {
			 	 alert("<i18n:message key="selectusertodeleted" bundle="taskadminuserchanneladminjsp" />");
				 return false;				 
			 }
		}			 
		}
		
</script>

<dt:getName id="adminChannelName"/>
<jx:declare id="adminChannelName" type="java.lang.String"/>
<jx:declare id="taskadminuserchanneladminjsp" type="java.util.ResourceBundle"/>
<dtpc:getStringProperty key="fontFace1" id="fontFace1" scope="request"/>
<jx:declare id="fontFace1" type="java.lang.String"/>

<dtuseradmin:obtainUserAdmin>
<form action="<dtpc:getDesktopURL/>" name="deleteUser" method="POST" enctype="application/x-www-form-urlencoded" onsubmit="return searchSubmit(this)">
<INPUT TYPE="hidden" NAME="<dt:getName/>.page" VALUE="deleteUser"/>

    <table border="0" cellpadding="0" cellspacing="3" width="100%">
        <tr>
            <td width="100%" align="CENTER">
                <table border="0" cellspacing="2" cellpadding="2" width="100%">
					 <tr nowrap>
						  <td align="right" width="30%"><font face="<%=fontFace1%>" size="-1">
						  <b><i18n:message key="searchuser" bundle="taskadminuserchanneladminjsp" /> </b></font></td>
						  
						  <td align="left" width="30%"><font face="<%=fontFace1%>" size="-1">
						  <% String searchExp = request.getParameter(adminChannelName + ".searchExp");
						  	  if(searchExp != null && searchExp.trim().length() > 0) {
						  %>
								  <input type="text" name="<dt:getName/>.searchExp" size="30" value="<%=searchExp%>"/>
							  <% } else { %>
								  <input type="text" name="<dt:getName/>.searchExp" size="30" value=""/>
							  <% } %>
						  </font>
						  </td>						  
						  
						  <td align="left" width="40%"><font face="<%=fontFace1%>" size="-1">
							  <input type=BUTTON onClick="searchSubmit(this)" value="<i18n:message key="search" bundle="taskadminuserchanneladminjsp" />" style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="#ffffff"/>'/>
						  </font>
						  </td>						  						  
					 </tr>
					 <tr>
					 </tr>
					  <% if(searchExp != null && searchExp.trim().length() > 0) {
						  pageContext.setAttribute("searchExp", searchExp);							  
						%>					 
							<tr>
							  <td width="100%" align="CENTER" colspan="3">
									<%@ include file="users.jsp" %>
							  </td>
							</tr>
						<% } %>
                </table>
            </TD>
        </TR>
    </TABLE>
</form>
</dtuseradmin:obtainUserAdmin>
</dt:obtainChannel>

