<%
// abview - Select view of addressbook - all group or entry
String abview = null;

// abgroup - Group to show - * for all or a user's group
String abgroup = null;

// abstart - contact with which to start
int abstart = 1;
        
// absortby - Attribute to sort by - must be cn or em (display name or email)
String absortby = null;

// absortdir - Which direction to sort - must be dsc or up
String absortdir = null;
        
// Pull the session state from the pageContext as attribute jsChannelName:
Map state = (Map) pageContext.getAttribute(jsChannelName,PageContext.SESSION_SCOPE);
if (state != null){
    abview=(String) state.get("abview");
    abgroup=(String) state.get("abgroup");
    absortdir=(String) state.get("absortdir");
    absortby=(String) state.get("absortby");

    try {
        abstart = Integer.parseInt((String)state.get("abstart"));
    } catch (Exception e){}
} else {
    state = new HashMap(5);
}
        
// Create attributes for the type of entries
pageContext.setAttribute("GROUP",Integer.toString(Element.GROUP));
pageContext.setAttribute("ENTRY",Integer.toString(Element.ENTRY));
        
// Make sure the params were meant for this channel
if ((request.getParameter("channel") != null)&&(request.getParameter("channel").equals(jsChannelName))){
    // Yes, they were
    absortby = request.getParameter("absortby");
    absortdir = request.getParameter("absortdir");
    abview = request.getParameter("abview");
    abgroup = request.getParameter("abgroup");
    // Which entry to start with, default to 1
    try {
        abstart = Integer.parseInt(request.getParameter("abstart"));
    } catch (Exception e){}
}        
        
// absortby quality check
if ((absortby == null) || !(absortby.equals("cn")||absortby.equals("em"))){
    // Bad absortby parameter string
    %><dtpc:getStringProperty key="sortBy" id="absortby"/><%
        absortby = (String) pageContext.getAttribute("absortby");
} else {
    pageContext.setAttribute("absortby",absortby);
}
state.put("absortby",absortby);
        
// absortdir quality check, just has to be non-null.  The taglib only sets dsc if string
// is "dsc".  All other strings sort upwards.
if (absortdir == null) {
    // Bad absortdir parameter string
    %><dtpc:getStringProperty key="sortOrder" id="absortdir"/><%
    absortdir = (String) pageContext.getAttribute("absortdir");
} else {
    pageContext.setAttribute("absortdir",absortdir);
}
state.put("absortdir",absortdir);
        
        
// abview quality check - can be all, group, or entry
if ( abview == null ) {
    // default abview from channel
    %><dtpc:getStringProperty key="initialView" id="abview"/><%
    abview = (String) pageContext.getAttribute("abview") ;
} else {
    pageContext.setAttribute("abview",abview);
}
state.put("abview",abview);
        
// abgroup quality check - passed directly into fetch tag 
if ((abgroup == null) || (abgroup.length() == 0)){
    // No abgroup parameter, use user preference
    %><dtpc:getStringProperty key="initialGroup" id="abgroup"/><%
    abgroup = (String) pageContext.getAttribute("abgroup") ;
} else {
    pageContext.setAttribute("abgroup",abgroup);
}

state.put("abgroup",abgroup);
state.put("abstart",Integer.toString(abstart));
pageContext.setAttribute(jsChannelName, state, PageContext.SESSION_SCOPE);
%>
