<%
%><%@ page import="java.util.*;" %><%
%><%@ taglib uri="/tld/jx.tld" prefix="jx" %><%
%><%@ taglib uri="/tld/desktop.tld" prefix="dt" %><%
%><%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %><%
%><%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %><%
%><%@ taglib uri="/tld/ssoadapter.tld" prefix="sso" %><%
%><%@ taglib uri="/tld/wireless_cal.tld" prefix="cal" %><%
%><%@ taglib uri="/tld/wireless_socs.tld" prefix="socs" %><%

%><%
// list of views supported by the calendar channel.
Map viewList = new HashMap();
viewList.put("dayView", "Day");
viewList.put("dayWeekView", "Day and Week");
viewList.put("monthView", "Month");
viewList.put("weekView", "Week");
viewList.put("summary", "Summary");
%><%

%><dt:obtainChannel channel="$JSPProvider"><%
%><dtpc:providerContext><%
%><dtpc:getStringProperty key="fontFace1" id="fontFace1" scope="request"/><%
%><dtpc:getStringProperty key="ssoAdapter" id="ssoadapter"/><%
%><sso:adapter configname="$ssoadapter"><%
    %><sso:getproperty key="enableProxyAuth" id="enableProxyAuth"/><%
%></sso:adapter><%
%><jx:declare id="subType" type="String" /><%
%><jx:declare id="ssoEditAttributes" type="java.util.Collection"/><%
%><%

// font
String font = (String)pageContext.getAttribute("fontFace1",PageContext.REQUEST_SCOPE);

//Normalize the string value, to take care of case differences e.g. false, FALSE, False
boolean isEnableProxyAuth = Boolean.valueOf((String)pageContext
                              .getAttribute("enableProxyAuth")).booleanValue();
pageContext.setAttribute("isEnableProxyAuth", isEnableProxyAuth);
%><%

%><%-- retrieve channel 'ssoAdapter' property --%><%
%><sso:adapter configname="$ssoadapter"><%
%><jx:declare id="ssoadapter" type="String" /><%

%><%-- retrieve SSO adapter 'subType' for use in the display options --%><%
%><sso:getproperty key="subType" id="subType" /><%

%><%-- retrieve channel 'ssoEditAttributes' property --%><%
%><dtpc:getCollectionProperty key="ssoEditAttributes" id="ssoEditAttributes"/><%
%>
<!-- Begin Channel Edit Title -->
<table cellpadding="0" cellspacing="0" border="0" width="100%" class="channelBackground">
  <tr>
    <td colspan="2"><img src="images/spacer.gif" alt="" width="1" height="5"></td>
  </tr>
  <tr>
    <td><div class="channelTitleText">Edit Calendar </div></td>
    <td align="right" valign="bottom"></td>
  </tr>
</table>
<div><img src="images/spacer.gif" alt="" width="1" height="10"></div>
<!-- End Channel Edit Title -->

<!-- Begin channel content -->
<div id="AccountPrefs">

<table cellpadding="0" cellspacing="0" border="0" >
<tr>
  <td valign="top" width="25%">
    <div class="Help">
    <span class="helpHeaderText">Help:</span><br>
    <span class="helpText"> This information is used to personalize display of the
            calendar on your desktop.  Click the Save Changes button to submit your changes.<br>
            [&nbsp;<a href="javascript:alert('This feature is currently not available on this page.');"
            title="Click to view additional help">More Help</a>&nbsp;]</span>
    </div>
  </td>
  <td valign="top" align="right">
    <div class="Help">
    <table cellpadding="0" cellspacing="0" border="0"><%

    // Account Settings

    %><jx:if test='$isEnableProxyAuth == false'>
    <tr>
      <td colspan="2" align="left"><span class="helpHeaderText">Account Settings</span></td>
    </tr><%

    %><%-- iterate through the 'ssoEditAttributes' collection --%><%

    %><jx:forEach var="item" items="$ssoEditAttributes"><%
    %><sso:editmapdata data="type" id="type" mapid="item"/><%
    %><sso:editmapdata data="prop" id="prop" mapid="item"/>
    <tr>
      <td><div class="labelText"><LABEL for="id<jx:expr value="$prop"/>">
        <sso:editmapdata data="name" mapid="item"/> </LABEL></div></td>

      <td><div class="labelForm"><%
      %><jx:if test="$type == 'string'">
        <input type="text" name="<jx:expr value="$prop"/>" size="25"
               maxlength="50" value="<sso:getproperty key="$prop"/>" id="id<jx:expr value="$prop"/>"><%
      %></jx:if><%
      %><jx:if test="$type == 'password'">
        <input type="password" name="<jx:expr value="$prop"/>" size="25"
               maxlength="40" value="********" id<jx:expr value="$prop"/>"><%
      %></jx:if></div></td><%

      %><%-- track 'uid' field for use in process.jsp --%><%
      %><jx:if test="$prop == 'uid'"><%
        %><input type="hidden" name="originalUid" size="-1" value="<sso:getproperty key="$prop"/>"><%
      %></jx:if>
    </tr><%
    %></jx:forEach><%
    %></jx:if>
    <jx:if test='$isEnableProxyAuth == true'>
      <tr>
    <td>The account settings have been configured by the administrator.</td>
    </tr>
    </jx:if>

    <tr>
    <td colspan="2"><img src="images/spacer.gif" alt="" width="1" height="10"></td>
    </tr>
    <%

    // Display Settings

    %>
    <tr>
      <td colspan="2" align="left"><span class="helpHeaderText">Display Settings</span></td>
    </tr><%

    %><%--  calendar to view.  this is presented to the user as a choice 
            menu.  the choice menu is populated via the "viewList" Map.
            the SELECTED choice menu item is determined by the channel's
            "view" property --%><%
    %>
    <tr>
      <td><div class="labelText"><LABEL for="idview">Calendar View: </LABEL></div></td>
      <td><div class="labelForm">
        <SELECT name="view" id="idview"><% 
        %><dtpc:getStringProperty key="view" id="view" scope="request"/><%
        %><%
        String view = (String)pageContext.getAttribute("view", PageContext.REQUEST_SCOPE);

        for (Iterator iter = viewList.keySet().iterator(); iter.hasNext(); ) {
            String key   = (String)iter.next();
            String value = (String)viewList.get(key);

            if ((view != null) && (view.equals(key))) {%>
                <option value="<%=key%>" SELECTED><%=value%></option>
          <%} else {%>
                <option value="<%=key%>"><%=value%></option>
          <%} 
        }%>
        </SELECT></td>
    </tr>

    <%-- for calendar channels based on sun-one or java systems calendar
         servers, allow the user to change the calendar to display --%><%

    %><%
    subType = (String) pageContext.getAttribute("subType");

    if ((subType != null) && (subType.equals("sun-one"))) { %>
    <dtpc:getStringProperty  key="initialCalendar" id="initialCalendar" />
    <jx:declare id="initialCalendar" type="String" />
    <%
        String calendarToView = (String) pageContext.getAttribute("initialCalendar");
        try{
            %><cal:context config="${ssoadapter}" test="false">
              <tr>
                <td><div class="labelText">
                  <LABEL FOR="idcalendar">Calendar to Display:</LABEL></td>
                <td><div class="labelForm"> 
                  <SELECT name="calendar" id="idcalendar">
                  </SELECT>
                  <div style="display:inline;color:red">Error reading Subscribed Calendars </div>
                </td>
              </tr>
            </cal:context><%
        }catch(Exception ex){
        }
        try{
        %><cal:context config="${ssoadapter}" test="true"><%
        %><socs:context/><%
        %><socs:fetchcalid/><%
        %><socs:calids id="callist"/>
        <tr>
          <td><div class="labelText">
            <LABEL FOR="idcalendar">Calendar to Display:</LABEL></td>
          <td><div class="labelForm">
            <SELECT name="calendar" id="idcalendar">
              <socs:calids name="callist" iterate="true">
                <socs:calid>
                  <cal:get property="value" id="scal"/>
                    <%
                      String scal = (String) pageContext.getAttribute("scal");
                      if (scal.equals(calendarToView)) { 
                        %> <option value="<%=scal%>" SELECTED><cal:get property="value" /></option> <%
                      } else {
                        %> <option value="<%=scal%>"><cal:get property="value" /></option> <%
                      }%>
                </socs:calid>
              </socs:calids>
            </SELECT></TD>
        </tr><%
        %></cal:context><%
        }catch(Exception ex ) {
        }
    } %>
    </table>
    </div>
  </td>
</tr>
</table><%
%></sso:adapter><%
%></dtpc:providerContext><%
%></dt:obtainChannel>
