<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
 --%> 
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.HashMap" %>
<%@ page import="java.util.Map" %>
<%@ page import="com.sun.portal.providers.jsp.JSPProvider" %>
<%@ page import="com.sun.portal.providers.context.ProviderContext" %>
<%@ page import="com.sun.portal.wireless.taglibs.mail.MsgBean"%>
<%@ page import="javax.mail.Message"%>
<%@ page import="com.sun.ssoadapter.SSOAdapter"%>
<%@ page import="com.iplanet.sso.SSOToken"%>
<%@ page import="com.iplanet.sso.SSOTokenEvent"%>

<%@ page errorPage="error.jsp"%>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/wireless_mail.tld" prefix="mail" %>
<%@ taglib uri="/tld/wireless_util.tld" prefix="util" %>
<%@ taglib uri="/tld/ssoadapter.tld" prefix="sso" %>
<%@ taglib uri="/tld/urlBuilder.tld" prefix="buildurl" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>


<dt:obtainChannel channel="$JSPProvider"><%
  %><dtpc:providerContext><%
	%><dtpc:getStringProperty key="ssoAdapter" id="ssoName"/><%
        %><dtpc:getBooleanProperty key="isSortable" id="sortable"/><%
        %><jx:declare id="sortable" type="Boolean"/><%
        %><dtpc:getStringProperty key="enableSort" id="enableSort"/><% 
        %><jx:declare id="enableSort" type="String"/><%
        //Override user preference for sorting if admin set channel sortable value to false
        if (!sortable.booleanValue()) { 
          enableSort = "false";
        }
	%><i18n:setBundle baseName="mailjspprovider"><%
        %><mail:context config="${ssoName}" test="false"><%
%>			<div style="display:inline;color:red">
				<i18n:message key="error"/>
			</div><%
	%></mail:context><%
	%><mail:context config="${ssoName}" test="true"><%
		%><sso:adapter configname="$ssoName" id="ssoAdapter"><%
%><dt:getName id="jsChannelName"/><%
%><jx:declare id="jsChannelName" type="java.lang.String"/><%
	// Make the formName safe for javascript
	jsChannelName = jsChannelName.replace('/','_');
	
%><script>
function mailSort_<%=jsChannelName%>(field){
	var sortby = document.<%=jsChannelName%>.mailsortby;
	var sortdir = document.<%=jsChannelName%>.mailsortdir;
	if (sortby.value == field){
		(sortdir.value == "down")? (sortdir.value="up"):(sortdir.value="down");
	} else {
		sortby.value = field;
		sortdir.value = "down";
	}
	document.<%=jsChannelName%>.submit();
}
</script>
<noscript>
<font color="red"><i18n:message key="javascript_noscript"/></font>
</noscript>
<form action="<dtpc:getDesktopURL/>" method="GET" name="<%=jsChannelName%>"><%
	%><input type="hidden" name="channel" value="<%=jsChannelName%>"><%
  		// Todos:
		//	Allow for sub-folders
		
		// Params used:
		//	mailbox - mailbox to display headers from
		String mailbox = null;

		//	mailstart - message with which to start
		int	mailstart = 1;
		
		//	mailsortby - Attribute to sort by - must be subject, from, or date
		String mailsortby = null;

		//	mailsortdir - Which direction to sort - must be down or up
		String mailsortdir = null;
		
		// Pull the session state from the pageContext as attribute jsChannelName:
		Map state = (Map) pageContext.getAttribute(jsChannelName,PageContext.SESSION_SCOPE);
		if (state != null){
			mailbox=(String) state.get("mailbox");
			mailsortby=(String) state.get("mailsortby");
			mailsortdir=(String) state.get("mailsortdir");
			try {
				mailstart = Integer.parseInt((String)state.get("mailstart"));
			} catch (Exception e){}
		} else {
			state = new HashMap(4);
		}
		
		// Make sure the params were meant for this channel
		if ((request.getParameter("channel") != null)&&(request.getParameter("channel").equals(jsChannelName))){
			// Yes, they were
			mailsortby = request.getParameter("mailsortby");
			mailsortdir = request.getParameter("mailsortdir");
			mailbox = request.getParameter("mailbox");
			try {
				mailstart = Integer.parseInt(request.getParameter("mailstart"));
			} catch (Exception e){}
		}
		
		
		// mailsortby quality check
		if ((mailsortby == null) || 
			!(mailsortby.equals("subject")||mailsortby.equals("from")||mailsortby.equals("date"))){
			// Bad mailsortby parameter string
			%><dtpc:getStringProperty key="sortBy" id="mailsortby"/><%
			mailsortby = (String) pageContext.getAttribute("mailsortby");
		} else {
			pageContext.setAttribute("mailsortby",mailsortby);
		}
		state.put("mailsortby",mailsortby);
		
		// mailsortdir quality check, just has to be non-null.  The taglib only sets down if string
		// is "down".  All other strings sort upwards.
		if (mailsortdir == null) {
			// Bad mailsortdir parameter string
			%><dtpc:getStringProperty key="sortOrder" id="mailsortdir"/><%
			mailsortdir = (String) pageContext.getAttribute("mailsortdir");
		} else {
			pageContext.setAttribute("mailsortdir",mailsortdir);
		}
		state.put("mailsortdir",mailsortdir);
		
		
		// mailbox quality check
		if (( mailbox == null ) || (mailbox.length()==0)){
		// No mailbox parameter, use user preference
		%><dtpc:getStringProperty key="initialFolder" id="mailbox"/><%
			mailbox = (String) pageContext.getAttribute("mailbox") ;
		} else {
			pageContext.setAttribute("mailbox",mailbox);
		}
		state.put("mailbox",mailbox);
		state.put("mailstart",Integer.toString(mailstart));
		pageContext.setAttribute(jsChannelName, state, PageContext.SESSION_SCOPE);
		
                if (new Boolean(enableSort).booleanValue()) {
		%>
                    <mail:fetch collection="messages" id="${mailbox}" sb="${mailsortby}" sd="${mailsortdir}"/>
		<% } else { %>
                    <mail:fetch collection="messages" id="${mailbox}" sd="${mailsortdir}"/>		
                <%
                }		
		
	%><mail:fetch collection="folders" sd="up" /><%
	%><buildurl:session><%
%>		<div id="summary" style="padding: 5px 0 5px 0;border-bottom: 1px solid #999;">
			<table width="100%" cellpadding="0" cellspacing="0" style="font-family: sans-serif;font-size: 10pt;">
			<tr><td>
				<label for="mailbox"><i18n:message key="currentFolder"/>:</label> 
                                <select id="mailbox" name="mailbox" onchange="document.<%=jsChannelName%>.mailstart.value=1;document.<%=jsChannelName%>.submit();"><%
					%><mail:folders iterate="true"><%
						%><mail:folder><%
							%><mail:get property="name" id="mailFolder"/><%
							%><mail:get property="numMsgs" id="mailFolderMsgs"/><%
							%><jx:declare id="mailFolderMsgs" type="Integer"/><%
	//if (mailFolderMsgs.intValue()>0){
		String mailFolder = (String)pageContext.getAttribute("mailFolder"); 
							%><option value="<%= mailFolder%>"<%
		if (mailFolder.equalsIgnoreCase(mailbox)) {%> SELECTED<%}
						%>><%=mailFolder%></option><%
	//}
						%></mail:folder><%
					%></mail:folders>
				</select>
			</td>
			<td align="right" nowrap><%
%><mail:get property="numMsgs" id="numMsgs"/><%
%><jx:declare id="numMsgs" type="Integer"/><%
%><dtpc:getIntegerProperty id="numberHeaders" key="numberHeaders"/><%
%><jx:declare id="numberHeaders" type="Integer"/><%
%><dtpc:getIntegerProperty id="maxNumberHeaders" key="maxNumberHeaders"/><%
%><jx:declare id="maxNumberHeaders" type="Integer"/><%
	// Build the previous/showing/next item if numberHeaders is greater than zero
	//	1) Check for total number of pages
	//	2) See which page we are on
	//	3) If pages are greater than one, and we are on a page greater than one, create
	//		the "previous" link.
	//	4) If pages are greater than 2, create the select form for start-end.  
	//		Otherwise create text "Showing start-end of total (unread)"
	//	5) If pages are greater than one, and we are on a page less than total pages, create
	//		the "next" link.
	
	
	// Check for the set number of headers to be over the max number of headers
	// 	allowed by the admin
	if (numberHeaders.compareTo(maxNumberHeaders) > 0){
		numberHeaders = maxNumberHeaders;
	}
	// Add an option for every breakpoint based on headers displayed per page
	int headersPerPage = numberHeaders.intValue();
	// Get total from mail taglib.  If invalid set to zero
	int total=0;
	try {
		total = numMsgs.intValue();
	} catch (Exception e) {}
	
	if ((headersPerPage <= 0)||(total <= 0)){
		// Just the digest
		%><%=total%> <i18n:message key="messages"/>, <mail:get property="numUnreadMsgs"/> <i18n:message key="unread"/><%
		%><input type="hidden" name="mailstart" value="1"><%
	} else {
		//	1) Check for total number of pages
		// pages start with 1 being the first page
		int pages=0;
		if (headersPerPage > 0){
			pages=total/headersPerPage;
			int leftover = total%headersPerPage;
			if (leftover > 0)
				pages++;
		}
		
		//	2) See which page we are on
		// Calculate starting page
		int pagestart=0;
		// Mailstart variable refers to the message number, starting at 1
		if (mailstart>0){
			// mailstart - 1 *should* always be a multiple of headersPerPage
			// If not, change mailstart to the be so.
			pagestart = (mailstart - 1)/(headersPerPage) + 1;  // because division rounds down
			mailstart = (pagestart - 1)*(headersPerPage) + 1;
		}
		// Make sure our pages aren't out of bounds
		if (pagestart > pages)
			pagestart = pages;
		
		
		//	3) If pages are greater than one, and we are on a page greater than one, create
		//		the "previous" link.
		if (pagestart > 1){
			%><div style="display:inline;"><a href="javascript:document.<%=jsChannelName%>.mailstart.value = parseInt(document.<%=jsChannelName%>.mailstart.value) - <%=numberHeaders%>;document.<%=jsChannelName%>.submit();"><i18n:message key="previous"/></a></div><%
			%><div style="padding:0 5px 0 5px;display:inline;">|</div><%
		}
		
		//	4) If pages are greater than 1, create the select form for start-end.  
		//		Otherwise create text "Showing start-end of total (unread)"
			%> <label for="mailstart"><i18n:message key="showing"/></label> <%
		if (pages > 1) {
			%><select id="mailstart" name="mailstart" onchange="document.<%=jsChannelName%>.submit();"><%
			// Loop for each
			for (int i=0; i<pages; i++){
				// Insert selected code here
				int start=i*headersPerPage+1;
				%><option value="<%=start%>" <%
				if (mailstart == start) {%> SELECTED<%}
				int end = (i+1)*headersPerPage;
				if (end > total)
					end = total;
				%>><%=start%><%
				if (end > start){
					%> - <%=end%><%
				}
				%></option>
<%			}
			%></select><%
		} else {
			%><input type="hidden" name="mailstart" value="<%=mailstart%>"><%
			%><%=mailstart%><%
			int end = pagestart*headersPerPage;
			if (end > total)
				end = total;
			if (end > mailstart){
				%> - <%=end%><%
			}
		}
		%><i18n:message key="totalmessages">
		      <i18n:param value="<%=new Integer(total).toString()%>"/>
		  </i18n:message><%
		%> (<div style="display:inline;font-weight:bold"><mail:get property="numUnreadMsgs"/> <i18n:message key="unread"/></div>)<%
		
	
		//	5) If pages are greater than one, and we are on a page less than total pages, create
		//		the "next" link.
		if ((pages > 1) && (pagestart < pages)){
			%><div style="padding:0 5px 0 5px;display:inline;">|</div><%
			%><div id="command" style="display:inline;"><a href="javascript:document.<%=jsChannelName%>.mailstart.value = parseInt(document.<%=jsChannelName%>.mailstart.value) + <%=numberHeaders%>;document.<%=jsChannelName%>.submit();"><i18n:message key="next"/></a></div><%
		}
	} // end of else (if (headersPerPage < 0))
%>			</td></tr>
			</table>
		</div>
		<div id="summary" style="padding: 5px 0 5px 0;border-bottom: 0px solid #999;">
<%
		if (total==0){
%><i18n:message key="nomessages"/><%
		} else if (headersPerPage > 0) {
			pageContext.setAttribute("mailstart",Integer.toString(mailstart-1));
%><input type="hidden" name="mailsortby" value="<%=mailsortby%>">
<input type="hidden" name="mailsortdir" value="<%=mailsortdir%>"><%
// Sorting functions%>
<TABLE CELLPADDING=4 CELLSPACING=0 WIDTH="100%" style="font-family:sans-serif;font-size:10pt;">
	<thead>
	<TR>
		<!--
		<TD style="border-bottom:#999 1px solid;">
			<INPUT type="checkbox" name="mailMasterSwitch" onclick="ToggleAll(this);">
		</TD>
		-->
		<% if (new Boolean(enableSort).booleanValue()) { %>
		<TH  align="left" style="border-bottom:#999 1px solid;">
			<a href="" onKeyPress="javascript:mailSort_<%=jsChannelName%>('subject')" onClick="javascript:mailSort_<%=jsChannelName%>('subject')"><i18n:message key="subject"/>
<%		 if (mailsortby.equals("subject")){
			if (mailsortdir.equals("down")){
				%><IMG SRC="<dt:scontent/>/ps/images/add_vert.gif" border=0 height="12" width="18" alt="Sort"><%
			} else {
				%><IMG SRC="<dt:scontent/>/ps/images/remove_vert.gif" border=0 height="12" width="18" alt="Sort"><%
			}
		}
		%></a>
		</TH>
		<% } else { %>
		<TH align="left" style="border-bottom:#999 1px solid;"><i18n:message key="subject"/></TH>
		<% } %>
		
		<% if (new Boolean(enableSort).booleanValue()) { %>
		<TH  align="left" style="border-bottom:#999 1px solid;">
			<a href="" onKeyPress="javascript:mailSort_<%=jsChannelName%>('from');" onClick="javascript:mailSort_<%=jsChannelName%>('from');"><i18n:message key="from"/>
<%			 if (mailsortby.equals("from")){
				if (mailsortdir.equals("down")){
					%><IMG SRC="<dt:scontent/>/ps/images/add_vert.gif" border=0 height="12" width="18" alt="Sort"><%
				} else {
					%><IMG SRC="<dt:scontent/>/ps/images/remove_vert.gif" border=0 height="12" width="18" alt="Sort"><%
				}
			}
		%></a>
		</TH>
		<% } else { %>
		<TH align="left" style="border-bottom:#999 1px solid;"><i18n:message key="from"/></TH>
		<% } %>
		
		<TH  align="left" style="border-bottom:#999 1px solid;">
	  		<a href="" onKeyPress="javascript:mailSort_<%=jsChannelName%>('date');" onClick="javascript:mailSort_<%=jsChannelName%>('date');"><i18n:message key="date"/>
<%			 if (mailsortby.equals("date")){
				if (mailsortdir.equals("down")){
					%><IMG SRC="<dt:scontent/>/ps/images/add_vert.gif" border=0 height="12" width="18" alt="Sort"><%
				} else {
					%><IMG SRC="<dt:scontent/>/ps/images/remove_vert.gif" border=0 height="12" width="18" alt="Sort"><%
				}
			}
		%></a>
		</TH>	
	</TR>
	</thead>
	<tbody>
<mail:messages id="messagelist"><%
	%><mail:set property="start" value="${mailstart}"/><%
	%><mail:set property="count" value="${numberHeaders}"/><%      
%></mail:messages><%
     %><mail:messages name="messagelist" iterate="true"><%
		%><mail:message id="msgBean"> <%
		// Snippet of code to remove dependency between URL builders
		// and the MA taglibrary.
		// This will pull the message object and set it to msg page context 
		// attribute for use in the URL builders
		MsgBean mb = (MsgBean) pageContext.getAttribute("msgBean");
		Message msg = mb.getObject();
		pageContext.setAttribute("msg",msg);
	%><TR<%
	%><util:ifnot property="seen"> style="font-weight:bold;"</util:ifnot><%
	%>>
		<TD style="border-bottom:#f98339 1px solid;">
			<div id="command"><%
			%><buildurl:allowsMessage>
		<a href="<buildurl:message messageid="msg"/>" target="mailchanwin" ><%
			%></buildurl:allowsMessage><%
			%><mail:get property="subject" id="msgSubj"/><%
                        String subj = (String) pageContext.getAttribute("msgSubj") ;
                        if ((subj == null) || (subj.trim().length() == 0)) { 
                            subj = "";
                            %><i><i18n:message key="noSubject"/></i><%
                        }
                        %><%= subj %><buildurl:allowsMessage><%
		%></a><%
			%></buildurl:allowsMessage>
			</div>
		</TD>
		<TD style="border-bottom:#f98339 1px solid;">
			<div id="command"><%
			%><mail:get property="from"/><%
			%></div>
		</TD>
		<TD style="border-bottom:#f98339 1px solid;" nowrap>
			<mail:get property="date"/>
		</TD>
	</TR>
        <%
		%></mail:message><%
	%></mail:messages><%
%>	</tbody>
</TABLE><%
		}			
%>		</div><%
		%><buildurl:allowsStart>
		<a href="<buildurl:start/>" target="mailchanwin" ><i18n:message key="launch"/></a>
		</buildurl:allowsStart>
	</buildurl:session>
</form><%
%><sso:getproperty id="perRequestConnection" key="enablePerRequestConnection"/><%
  String perRequestConn = (String)pageContext.getAttribute("perRequestConnection");
  if ((perRequestConn != null) && (!perRequestConn.equalsIgnoreCase("false"))) {
    %><mail:context close="true"/><%
  }
%>
</sso:adapter>
</mail:context>
</i18n:setBundle>
<%--
<%@ include file="debug.jsp"%>
<%@ include file="ssoTest.jsp"%>
<%@ include file="tagTest.jsp"%>
--%>
  </dtpc:providerContext>
</dt:obtainChannel>

