<%--
    Copyright (c) 2003 Sun Microsystems, Inc. All rights reserved
    Use is subject to license terms.
--%>

<html>

<%@page info="Authentication Failed" language="java"%>
<%@taglib uri="/WEB-INF/jato.tld" prefix="jato"%>
<%@taglib uri="/WEB-INF/auth.tld" prefix="auth"%>
<jato:useViewBean className="com.sun.identity.authentication.UI.LoginViewBean">
<jsp:useBean id="viewBean" type="com.sun.identity.authentication.UI.LoginViewBean"/>

<%@ page contentType="text/html" %>

<head>
<style>
div.footertext {
  position: relative;
  text-align: center;
  padding-top: 5px;
  margin: 10px;
  color: #808080;
  font-size: 10px;
  border-top: 1px solid #808080;
}
</style>
<title><jato:text name="htmlTitle_AuthFailed" /></title>

<% 
String ServiceURI = (String) viewBean.getDisplayFieldValue(viewBean.SERVICE_URI);
%>

<link rel="stylesheet" href="<%= ServiceURI %>/css/styles.css" type="text/css">
<script language="JavaScript" src="<%= ServiceURI %>/js/browserVersion.js"></script>
<script language="JavaScript" src="<%= ServiceURI %>/js/auth.js"></script>

<script language="javascript">
    writeCSS('<%= ServiceURI %>');
</script>
<script type="text/javascript"><!--// Empty script so IE5.0 Windows will draw table and button borders
//-->
</script>
</head>

<body bgcolor="#FFFFFF" text="#000000" leftmargin="0"
    marginwidth="0" topmargin="0" marginheight="0">
<table width="100%" border="0" cellspacing="0" cellpadding="0">

    <!-- branding -->
    <tr style="background-image:url(<%=ServiceURI%>/login_images/altShortBody-clouds-only.gif);">
    <td colspan="3">
        <img src="<%=ServiceURI%>/login_images/altShortBody-asc-logo.gif"
             alt="Adventure Sports Caf&eacute; Logo">
    </td>
    </tr>

    <tr>
    <td colspan="3"><img src="<%= ServiceURI %>/login_images/spacer.gif" width="1"
	height="39" alt=""></td>
    </tr>

    <tr>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>
	<p><b>
	<auth:resBundle bundleName="amAuthUI" resourceKey="auth.failed" /><br></b></p>

	<!---- warning message ---->
	<jato:content name="ContentStaticWarning">
	<p><b><jato:getDisplayFieldValue name='StaticTextWarning'
	    defaultValue='' fireDisplayEvents='true' escape='false'/></b></p>
	</jato:content>

	<!---- hyperlink ---->
	<jato:content name="ContentHref">
	<p><auth:href name="LoginURL"
	    fireDisplayEvents='true'><jato:text
	    name="txtGotoLoginAfterFail" /></auth:href></p>
	</jato:content>
    </td>
    </tr>

    <tr>
    <td colspan="3"><img src="<%= ServiceURI %>/login_images/spacer.gif" width="1"
	height="57" alt=""></td>
    </tr>

    <!-- copyrights -->
    <tr> 
    <td colspan="3">
<div class="footerText">
Disclaimer: Adventure Sports Caf&eacute; is a fictitious 
company invented purely to showcase key features and
functions of Sun's Java System Portal Server.
</div>
    </td>
    </tr>

</table>
</body>

</jato:useViewBean>
</html>
