<%--
    Copyright (c) 2003 Sun Microsystems, Inc. All rights reserved
    Use is subject to license terms.
--%>

<html>

<%@page info="Membership" language="java"%>
<%@taglib uri="/WEB-INF/jato.tld" prefix="jato"%>
<%@taglib uri="/WEB-INF/auth.tld" prefix="auth"%>
<jato:useViewBean className="com.sun.identity.authentication.UI.LoginViewBean">
<jsp:useBean id="viewBean" type="com.sun.identity.authentication.UI.LoginViewBean"/>

<%@ page contentType="text/html" %>

<head>
<title><jato:text name="htmlTitle_Membership" /></title>

<% 
String ServiceURI = (String) viewBean.getDisplayFieldValue(viewBean.SERVICE_URI);
%>

<link rel="stylesheet" href="<%= ServiceURI %>/css/styles.css" type="text/css">
<script language="JavaScript" src="<%= ServiceURI %>/js/browserVersion.js"></script>
<script language="JavaScript" src="<%= ServiceURI %>/js/auth.js"></script>

<script language="javascript">

    writeCSS('<%= ServiceURI %>');

<jato:content name="validContent">
    var defaultBtn = 'Submit';
    var elmCount = 0;

    function defaultSubmit() {
	LoginSubmit(defaultBtn);
    }

    function LoginSubmit(value) {
        aggSubmit();
        var hiddenFrm = document.forms['Login'];

        if (hiddenFrm != null) {
	    hiddenFrm.elements['IDButton'].value = value;
            hiddenFrm.submit();
        }
    }
</jato:content>
</script>
<script type="text/javascript"><!--// Empty script so IE5.0 Windows will draw table and button borders
//-->
</script>
<link rel="stylesheet" href="<%=ServiceURI%>/css/ascstyle.css" type="text/css">
</head>

<body bgcolor="#FFFFFF" text="#000000" leftmargin="0" marginwidth="0"
    topmargin="0" marginheight="0" onload="placeCursorOnFirstElm();">
<table width="100%" border="0" cellspacing="0" cellpadding="0">

    <!-- branding -->
    <tr class="altShortBody">
    <td colspan="3">
        <img src="<%=ServiceURI%>/login_images/altShortBody-asc-logo.gif"
             alt="Adventure Sports Caf&eacute; Logo">
    </td>
    </tr>

    <tr>
    <td colspan="3">
      <img src="<%= ServiceURI %>/login_images/spacer.gif" width="1" height="39" alt="">
    </td>
    </tr>

    <tr>
    <td colspan="3" width="100%">
    <div id="channel" class="channel">
    <table border="0" cellspacing="0" cellpadding="0">

	<!-- display authentication scheme -->
	<tr class="channelBackground">
	<td colspan="3" class="channelTitleText">
	<jato:content name="ContentStaticTextHeader">
	    <jato:getDisplayFieldValue name='StaticTextHeader'
		defaultValue='Authentication' fireDisplayEvents='true'
		escape='false'/>
	</jato:content>
        </td>
	</tr>

	<tr><td colspan="3">&nbsp;</td></tr>

	<jato:content name="validContent">

	<jato:tiledView name="tiledCallbacks"
	    type="com.sun.identity.authentication.UI.CallBackTiledView">

	<script language="javascript">
	    elmCount++;
	</script>

	<jato:content name="textBox">
	<!-- text box display -->
	<tr>
	<form name="frm<jato:text name="txtIndex" />" action="blank"
	    onSubmit="defaultSubmit(); return false;">

	<td class="nameText">
            <label for="IDToken<jato:text name="txtIndex" />">    
                <jato:text name="txtPrompt" defaultValue="User name:" 
                                                        escape="false" />
                <jato:content name="isRequired">
                    <font color ="#0000ff">*</font>
                </jato:content>
            </label>
	</td>

	<td class="loginText" width="20">&nbsp;</td>
	<td class="loginText">
	    <input type="text" name="IDToken<jato:text name="txtIndex" />"
                id="IDToken<jato:text name="txtIndex" />"
		value="" size="20">
	</td>
	</form>
	</tr>

	<tr><td colspan="3">&nbsp;</td></tr>
	<!-- end of textBox -->
	</jato:content>



	<jato:content name="password">
	<!-- password display -->
	<tr>
	<form name="frm<jato:text name="txtIndex" />" action="blank"
	    onSubmit="defaultSubmit(); return false;">

	<td class="nameText">
            <label for="IDToken<jato:text name="txtIndex" />">    
                <jato:text name="txtPrompt" defaultValue="Password:" 
                                                        escape="false" />
                <jato:content name="isRequired">
                    <font color ="#0000ff">*</font>
                </jato:content>
            </label>
	</td>

	<td class="loginText" width="20">&nbsp;</td>
	<td class="loginText">
	    <input type="password"
		name="IDToken<jato:text name="txtIndex" />"
                id="IDToken<jato:text name="txtIndex" />"
		value="" size="20">
	</td>
	</form>
	</tr>

	<tr><td colspan="3">&nbsp;</td></tr>
	<!-- end of password -->
	</jato:content>


	<jato:content name="choice">
	<!-- choice value display -->
	<tr>
	<form name="frm<jato:text name="txtIndex" />" action="blank"
	    onSubmit="defaultSubmit(); return false;">

	<td class="loginText">
            <label for="IDToken<jato:text name="txtIndex" />">
                <jato:text name="txtPrompt" defaultValue="RadioButton:" 
                                                            escape="false" />
                <jato:content name="isRequired">
                    <font color ="#0000ff">*</font>
                </jato:content>
            </label>
	</td>

	<td class="loginText" width="20">&nbsp;</td>
	<td class="loginText">

	    <jato:tiledView name="tiledChoices"
		type="com.sun.identity.authentication.UI.CallBackChoiceTiledView">

	    <jato:content name="selectedChoice">
		<input type="radio"
		    name="IDToken<jato:text name="txtParentIndex" />"
                    id="IDToken<jato:text name="txtParentIndex" />"
		    value="<jato:text name="txtIndex" />"
		    checked><jato:text name="txtChoice" /><br>
	    </jato:content>

	    <jato:content name="unselectedChoice">
		<input type="radio"
		    name="IDToken<jato:text name="txtParentIndex" />"
                    id="IDToken<jato:text name="txtParentIndex" />"
		    value="<jato:text name="txtIndex" />"
		    ><jato:text name="txtChoice" /><br>
	    </jato:content>

	    </jato:tiledView>
	</td>
	</form>
	</tr>
	<tr><td colspan="3">&nbsp;</td></tr>
	<!-- end of choice -->
	</jato:content>

	<!-- end of tiledCallbacks -->
	</jato:tiledView>

	<!-- end of validContent -->
	</jato:content>


	<jato:content name="ContentImage">
	    <p><img name="IDImage"
		src="<jato:getDisplayFieldValue name='Image'/>" alt=""></p>
	</jato:content>

	
	<jato:content name="ContentButtonLogin">

	<jato:content name="hasButton">

	<script language="javascript">
	    defaultBtn = '<jato:text name="defaultBtn" />';
	</script>

	<tr>
	<td colspan="2">&nbsp;</td>
	<td align="right">
	    <table border="0" cellpadding="2" cellspacing="0">
	    <tr>

	    <jato:tiledView name="tiledButtons"
		type="com.sun.identity.authentication.UI.ButtonTiledView">
	    <td>
              <div class="buttonRow">
		<script language="javascript">
		    markupButton(
			"<jato:text name="txtButton" />",
			"javascript:LoginSubmit('<jato:text name="txtButton" />')");
		</script>
              </div>
	    </td>
	    </jato:tiledView>
	    </tr>
	    </table>
            </div>
	</td>
        </tr>
	<!-- end of hasButton -->
	</jato:content>

	<jato:content name="hasNoButton">
	<tr>
	<td colspan="2">&nbsp;</td>
	<td align="right">
	    <table border="0" cellpadding="2" cellspacing="0">
	    <tr>
	    <td>
	    <script language="javascript">
		markupButton(
		    "<jato:text name="lblSubmit" />",
		    "javascript:LoginSubmit('<jato:text name="cmdSubmit" />')");
	    </script>
	    </td>
	    <td>
	    <script language="javascript">
		markupButton(
		    "<jato:text name="lblNewUser" />",
		    "javascript:LoginSubmit('<jato:text name="cmdNewUser" />')");
	    </script>
	    </td>
	    </tr>
	    </table>
	</td>
	</tr>
	<!-- end of hasNoButton -->
	</jato:content>

	<!-- end of ContentButtonLogin --> 
	</jato:content>
 	</table>
    </td>
    </tr>

    <tr>
    <td colspan="3"><img src="<%= ServiceURI %>/login_images/spacer.gif" width="1"
	height="57" alt=""></td>
    </tr>

    <!-- copyrights -->
    <tr> 
    <td colspan="3">
<div class="footerText">
Disclaimer: Adventure Sports Caf&eacute; is a fictitious 
company invented purely to showcase key features and 
functions of Sun's Java System Portal Server.
</div>
    </td>
    </tr>

</table>

<jato:content name="validContent">
<auth:form name="Login" method="post"
    defaultCommandChild="DefaultLoginURL" >


<script language="javascript">
    if (elmCount != null) {
	for (var i = 0; i < elmCount; i++) {
	    document.write(
		"<input name=\"IDToken" + i + "\" type=\"hidden\">");
	}
   document.write("<input name=\"IDButton"  + "\" type=\"hidden\">");	
    }

</script>
</auth:form>
</jato:content>

</body>
</jato:useViewBean>
</html>
