<%@ page import="
com.sun.portal.providers.containers.jsp.single.JSPSingleContainerProvider,
com.sun.portal.providers.containers.jsp.table.JSPTableContainerProvider,
com.sun.portal.providers.Provider,
com.sun.portal.providers.ProviderWidths,
com.sun.portal.providers.util.PropertyUtil,
com.sun.portal.providers.containers.jsp.tab.UnmodifiableTab,
java.util.Map,
java.util.Iterator,
java.util.Collections,
java.util.List,
java.util.ArrayList"
%>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc"
%><%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc"
%><%@ taglib uri="/tld/desktop.tld" prefix="dt"
%><%@ taglib uri="/tld/jx.tld" prefix="jx"%>
<%!
public String getFormattedChannelRows(JSPTableContainerProvider tcp, HttpServletRequest request) {
  StringBuffer buf = new StringBuffer();
  List availableChannels = null;
  List selectedChannels = null;
  Map channelsRemovable = null;
  boolean defaultIsRemovable = false;

  try {
    availableChannels = (List)tcp.getAvailableChannels();
    selectedChannels = (List)tcp.getSelectedChannels();
    channelsRemovable =
        tcp.getProviderContext().getCollectionProperty(tcp.getName(), "channelsIsRemovable");
    defaultIsRemovable =
        tcp.getProviderContext().getBooleanProperty(tcp.getName(), "defaultChannelIsRemovable");
  } catch (Exception e) { }

  if (availableChannels != null && selectedChannels != null) {
    Iterator itr = availableChannels.iterator();
    while (itr.hasNext()) {
      String channel = (String)itr.next();
      if (!PropertyUtil.getBooleanValueFromMap(channelsRemovable, channel, defaultIsRemovable)) {
        continue;
      }
      Provider p =null;
      try {
        p = tcp.getContainerProviderContext().getProvider(request,tcp.getName(),channel);
        if (p != null ) {
          String checked = (selectedChannels.contains(channel)) ? " checked " : "";
          String title = p.getTitle();
          String description = (p.getDescription() != null) ? p.getDescription() : "";
          if (title != null) {
            buf
            .append("<tr>")
            .append("<td nowrap>")
            .append("<input type=\"checkbox\" name=\"")
            .append(channel)
            .append("\" value=\"1\"")
            .append(checked)
            .append(">")
            .append(title)
            .append("</td><td nowrap>")
            .append(description)
            .append("</td></tr>");
          }
        }
      } catch (Exception e) {
      }
    }
  }
  return buf.toString();
}
%>
<% JSPTableContainerProvider tcp = (JSPTableContainerProvider) pageContext.getAttribute( "tableProvider", PageContext.REQUEST_SCOPE); %>
<tr><td><span class="helptext">
Use this page to select the content that you want to appear on this page.&nbsp;&nbsp;
Press the <b>Save Changes</b> button to save your changes and the <b>Finished</b> button to return to the portal.
</span></td></tr>
<tr><td><img src="<dt:scontent/>/enterprise/images/spacer.gif" alt="" width="1" height="5"></td></tr>
<tr><td><table cellspacing="0" cellspacing="0" width="100%"><tr><th>Channel</th><th>Description</th></tr><%=getFormattedChannelRows(tcp,request)%></table></td></tr>
