<%@ page import="
com.sun.portal.providers.containers.jsp.single.JSPSingleContainerProvider,
com.sun.portal.providers.containers.jsp.table.JSPTableContainerProvider,
com.sun.portal.providers.Provider,
com.sun.portal.providers.util.PropertyUtil,
java.util.Map,
java.util.List"
%>

<%
 /*
  * These are constants shared by content and process jsps and
  * refer to the state of the processing (saving) of page prefs
  */
String COMPLETE = "complete";
String INCOMPLETE = "incomplete";
String ERROR = "error";

String container = (String)request.getParameter("container");

JSPSingleContainerProvider scp = 
  (JSPSingleContainerProvider)pageContext.getAttribute("JSPProvider");

JSPTableContainerProvider tcp = (JSPTableContainerProvider)
	scp.getContainerProviderContext().getProvider(request, scp.getName(), 
																								container);

List availableChannels = tcp.getAvailableChannels();
List selectedChannels = tcp.getSelectedChannels();
Map channelsRemovable = null;
boolean defaultIsRemovable = false;

channelsRemovable = 
	tcp.getProviderContext().getCollectionProperty(tcp.getName(), 
																								 "channelsIsRemovable");

defaultIsRemovable = 
	tcp.getProviderContext().getBooleanProperty(tcp.getName(), 
																							"defaultChannelIsRemovable");

for (int i = 0; i < availableChannels.size(); i++) {
  String channel = (String)availableChannels.get(i);
  if (!PropertyUtil.getBooleanValueFromMap(channelsRemovable, channel, 
																					 defaultIsRemovable)) {
    continue;
  }
  String checkBoxValue = request.getParameter(channel);
  if (checkBoxValue == null) {
    selectedChannels.remove(channel);
  } else if (checkBoxValue.equals( "1" )) {
    if (!selectedChannels.contains(channel)) {
      selectedChannels.add(channel);
    }
  }
}
tcp.setSelectedChannels(selectedChannels);
session.setAttribute("pagePrefsState", COMPLETE);
%>
