<%@ page import="java.util.*, com.sun.portal.providers.*, com.sun.portal.providers.jsp.*"%>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<% 
// This JSP acts as a controller that determines the channel's 
// presentation type and displays content accordingly.
//
// check to see if the presentation type is "full", if yes then the
// user is requesting to see all the content for the channel. 
String mode = request.getParameter("mode");
if ((mode != null) && (mode.equals("full"))) { %>
    <jsp:forward page="channelFullPageContent.jsp"/>
<% } 
// otherwise, the channel specifies its presentation type.
JSPProvider jp   = (JSPProvider)pageContext.getAttribute("JSPProvider");
String      type = jp.getStringProperty("type", "default");
if (type == null) { 
    type = "default";
}
%><%
// default presentation: presents a list items 
%><% if (type.equals("default")) { %>
    <jsp:forward page="default.jsp"/>
<% 
// summary presentation: presents the summary with a "More" link. 
%><% } else if (type.equals("summary")) { %>
    <jsp:forward page="summary.jsp"/> 
<%
// table presentation: presents the data in a table format
%><% } else if (type.equals("table")) { %>
    <jsp:forward page="table.jsp"/> 
<%
// default group presentation: presents a lists of items grouped
%><% } else if (type.equals("default_group")) { %>
    <jsp:forward page="default_group.jsp"/>
<%
// otherwise, display default presentation.
%><% } else { %>
    <jsp:forward page="default.jsp"/>
<% } %>
