<!DOCTYPE HTML PUBLIC "-//W3C//DTD Compact HTML 1.0 Draft//EN">
<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_ab.tld" prefix="ab" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%
%><%@ taglib uri="/WEB-INF/wireless_mail.tld" prefix="mail" %><%


%><util:nocache/><util:content type="text/html"/><%
%><util:catalog resource="ab" id="i18n" /><%
%><ab:context/><%

%><%-- unset url parameter separator entity escaping --%><%
%><util:context><%
  %><util:set property="urlAmpEntity" value="false"/><%
%></util:context><%

%><%-- set character entity escaping --%><%
%><util:edit id="edit1"><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%


%><%-- View Address Book Entry.  --%>
<html>
  <title><util:msg name="i18n" key="viewtitle"/></title>
<body><%

%><%-- 
    View Entry
    * firstname lastname
    * phone
    * email
--%><%
%><ab:entry id="abEntry" entryid="$(idx)"><%

  %><%-- firstname lastname --%>
  <util:msg name="i18n" key="name"/>: <% 
  %><ab:get property="fn" edit="edit1"/> <%
  %><ab:get property="ln" edit="edit1"/><br><%

  %><%-- phone --%>
  <util:msg name="i18n" key="phone"/>: <% 

  %><util:if property="hp"><%
    %><a href="tel:<ab:get property="hp"/>"><ab:get property="hp"/></a><%
  %></util:if><%
  %><br><%

  %><%-- email --%><%
  
  %><util:if property="em"><%
    %><util:msg name="i18n" key="email"/>: <%

    %><%--
	  if mail is configured, add a link to email address; otherwise,
          just list the email address.
    --%><%
    %><mail:context test="true"><%

    %><%-- create a message object for address storage - required by compose.jsp --%><%
    %><mail:message id="newmsg"/><%
    %><util:session name="newmsg" attribute="pickaddr"/><%

    %><util:link tagstart="<a" tagend=">"><%
      %><util:attr attr="href"><%
      %><util:url file="compose.jsp" comp="mail"><%
      %><util:parm name="em"><util:get eval="${abEntry:em}" edit="edit1"/></util:parm><%
      %></util:url><%
      %></util:attr><%
    %></util:link><%
    %><util:get eval="${abEntry:em}" edit="edit1"/></a><%
    %></mail:context><%

    %><mail:context test="false"><%
      %><util:get eval="${abEntry:em}" edit="edit1"/><%
    %></mail:context><%

  %></util:if><%
  %><br><%
  
  %><p></p><%

  %><%-- change --%>
  <util:link tagstart="<a" tagend=">"><%
    %><util:attr attr="href"><%
    %><util:url file="change.jsp" comp="ab"><%
    %><util:parm name="idx"><ab:get property="entryid"/></util:parm><%
    %></util:url><%
    %></util:attr><%
  %></util:link><%
  %><util:msg name="i18n" key="change"/></a><br><%

  %><%-- delete --%>
  <util:link tagstart="<a" tagend=">"><%
    %><util:attr attr="href"><%
    %><util:url file="delete.jsp" comp="ab"><%
    %><util:parm name="idx"><ab:get property="entryid"/></util:parm><%
    %></util:url><%
    %></util:attr><%
  %></util:link><%
  %><util:msg name="i18n" key="delete"/></a><br>
</ab:entry><%

%></body>
</html>
