<?xml version="1.0"?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD Compact HTML 1.0 Draft//EN">
<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_cal.tld" prefix="cal" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%

%><util:nocache/><util:content type="text/html"/><%
%><util:catalog resource="cal" id="i18n" /><%

%><cal:context/><%

        // Pass this parameter along
        String d = request.getParameter("d");

%><%-- Get current view date from parameter --%><%
%><cal:datetime id="current"><%
  %><cal:dateformat name="current" format="yyyyMMdd" parse="$(d)"/><%
%></cal:datetime><%


%><%-- set character entity escaping and truncation to 25 characters --%><%
%><util:edit id="edit1"><%
  %><util:set property="truncation" value="$/SunMobileAppCalendarService:sunMobileAppCalendarJspSummaryLength:25/"/><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%

%><%-- unset parameter separator entity escaping --%><%
%><util:context><%
  %><util:set property="urlAmpEntity" value="false"/><%
%></util:context><%



%> <%-- Calendar Dayview (Home)  --%>
<cal:context>
<html>
  <title><cal:get property="calendarID"/></title>
  <head>
    <meta name="cHTML" content="yes">
  </head>
<body><%


%><%-- Get current time object --%>
<block>
    <util:msg name="i18n" key="calName"/> <cal:get property="calendarID"/><br><%
    %><cal:dateformat name="current" format="$[i18n:datefmt]"/>
</block>
<hr><%


%><%-- If there are no events --%><%
%><util:if property="eventsEmpty"><%
    %><util:msg name="i18n" key="noevents"/><br><%
%></util:if><%


%><%-- If there are no tasks --%><%
%><util:if property="tasksEmpty"><%
    %><util:msg name="i18n" key="notasks"/><br><%
%></util:if><%


%><%-- TASKS --%><%
%><util:ifnot property="tasksEmpty"><%

    %><cal:tasks id="tasks"><%
        %><cal:set property="start" value="$(start1)"/><%
        %><cal:set property="count" value="$/SunMobileAppCalendarService:sunMobileAppCalendarJspEventNumLines:3/"/><%
    %></cal:tasks><%


    %><cal:tasks name="tasks" iterate="true"><%
      %><cal:task><%

        %><%-- if completed put a [x] --%><%
        %><util:if property="completed"><%
            %><util:msg name="i18n" key="compl"/><%
        %></util:if><%

        %><%-- if overdue put a [o] --%><%
        %><util:if property="overDue"><%
            %><util:msg name="i18n" key="overdue"/><%
        %></util:if><%

        %><%-- if due date print --%><%
        %><util:if property="validDueDate"><%
            %><cal:get id="start" property="dueDate"/><%
            %><cal:dateformat name="start" format="$[i18n:timefmt]"/><%
        %></util:if><%


        %><%-- make task link --%><%
        %><util:link tagstart="<a" tagend=">"><%
            %><util:attr attr="href"><%
                %><util:url file="task.jsp" comp="cal"><%
	            %><util:parm name="d"><%= d %></util:parm><%
                    %><util:parm name="tid"><cal:get name="tasks" property="index"/><%
                    %></util:parm><%
                %></util:url><%
            %></util:attr><%
        %></util:link><%

        %><%-- summary --%><%
        %><util:if property="summary"><%
            %><cal:get property="summary" edit="edit1"/></a><br><%
        %></util:if><%
 

        %><%-- no summary --%><%
        %><util:ifnot property="summary"><%
            %><util:msg name="i18n" key="nosummary"/></a><br><%
        %></util:ifnot><%

      %></cal:task><%
    %></cal:tasks><%


    %><%-- If there are more tasks --%><%
    %><cal:tasks name="tasks"><%
      %><util:if property="nextPage"><%
          %><util:link tagstart="<a" tagend=">"><%
            %><util:attr attr="href"><%
              %><util:url file="dayview.jsp" comp="cal"><%
                 %><util:parm name="start1"><util:get property="nextStart"/><%
                 %></util:parm><%
                 %><util:parm name="d"><%= d %></util:parm><%
              %></util:url><%
            %></util:attr><%
          %></util:link><%
        %><util:msg name="i18n" key="moreTsks"/></a><br><%
      %></util:if><%
    %></cal:tasks><%

%></util:ifnot><%


%><%-- List events --%><%

   %><%-- if there are events --%><%
%><util:ifnot property="eventsEmpty"><%

    %><cal:events id="events"><%
        %><cal:set property="start" value="$(start)"/><%
        %><cal:set property="count" value="$/SunMobileAppCalendarService:sunMobileAppCalendarJspEventNumLines:7/"/><%
    %></cal:events><%

    %><cal:events name="events" iterate="true"><%
    %><cal:event><%

      %><%-- is this an allday event? --%><%
      %><util:if property="allDay"><%
        %><util:msg name="i18n" key="allday"/> <%
      %></util:if><%

      %><%-- datetime of event --%><%
      %><util:ifnot property="allDay">
        <cal:get id="start" property="start"/><%
        %><cal:dateformat name="start" format="$[i18n:timefmt]"/> <%
      %></util:ifnot><%

      %><%-- event --%><%
      %><util:link tagstart="<a" tagend=">"><%
        %><util:attr attr="href"><%
        %><util:url file="event.jsp" comp="cal"><%
	%><util:parm name="d"><%= d %></util:parm><%
        %><util:parm name="eid"><cal:get name="events" property="index"/></util:parm><%
        %></util:url><%
        %></util:attr><%
      %></util:link><%

      %><%-- summary --%><%
      %><util:if property="summary"><%
        %><cal:get property="summary" edit="edit1"/></a><br><%
      %></util:if><%

      %><%-- no summary --%><%
      %><util:ifnot property="summary"><%
        %><util:msg name="i18n" key="nosummary"/></a><br><%
      %></util:ifnot><%

    %></cal:event><%
  %></cal:events><%

  %><%-- more --%><%
  %><cal:events name="events"><%
    %><util:if property="nextPage">
      <util:link tagstart="<a" tagend=">"><%
        %><util:attr attr="href"><%
        %><util:url file="dayview.jsp" comp="cal"><%
        %><util:parm name="d"><%= d %></util:parm><%
        %><util:parm name="start"><util:get property="nextStart"/></util:parm><%
        %></util:url><%
        %></util:attr><%
        %></util:link><%
      %><util:msg name="i18n" key="more"/></a><br><%
    %></util:if><%
  %></cal:events><%

%></util:ifnot><%


%><util:if property="userTheOwner" > <%

%><%-- add calendar event --%><%
%><util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
    %><util:url file="eventSess.jsp" comp="cal"><%
      %><util:parm name="d"><%= d %></util:parm><%
    %></util:url><%
  %></util:attr><%
  %><util:attr attr="accesskey">1</util:attr><%
%></util:link><%
%><util:msg name="i18n" key="addevent"/>...</a><br><%


%><%-- add calendar task --%><%
%><util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
    %><util:url file="taskSess.jsp" comp="cal"><%
      %><util:parm name="d"><%= d %></util:parm><%
    %></util:url><%
  %></util:attr><%
  %><util:attr attr="accesskey">2</util:attr><%
%></util:link><%
%><util:msg name="i18n" key="addtask"/>...</a><br><%


%></util:if><%
%></cal:context><%
%><%-- go to --%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
    %><util:url file="goto.jsp" comp="cal"><%
      %><util:parm name="d"><%= d %></util:parm><%
    %></util:url><%
  %></util:attr><%
  %><util:attr attr="accesskey">3</util:attr><%
%></util:link><%
%><util:msg name="i18n" key="goto"/>...</a><br><%




%><%-- next 6 days. get the day object and roll to the next day. --%><%
%><cal:datetime id="view"><%
    %><util:copy property="time" source="current"/><%
%></cal:datetime><%

%><% for (int i=1; i<=6; i++) { %><%
    %><cal:dateroll name="view"/><%
        %><util:link tagstart="<a" tagend=">"><%
            %><util:attr attr="href"><%
                %><util:url file="doRoll.jsp" comp="cal"><%
                    %><util:parm name="d"><%= d %></util:parm><%
                    %><util:parm name="fd">DATE</util:parm><%
                    %><util:parm name="amt"><%= i %></util:parm><%
                %></util:url><%
            %></util:attr><%
        %></util:link><%
    %><cal:dateformat name="view" format="$[i18n:datefmtshort]"/></a><br><%
%><% } %><%--

%><util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
    %><util:url file="subscribed.jsp" comp="cal"><%
      %><util:parm name="d"><%= d %></util:parm><%
    %></util:url><%
  %></util:attr><%
  %><util:attr attr="accesskey">1</util:attr><%
%></util:link><%
%><util:msg name="i18n" key="subscribed"/>...</a><br><%


--%><%-- portal home --%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
    %><util:url path="<%= request.getContextPath()+\"/dt\" %>"><%
    %></util:url><%
  %></util:attr><%
  %><util:attr attr="accesskey">4</util:attr><%
%></util:link><%

%><util:msg name="i18n" key="portalhome"/>...</a>

</body>
</html>
