<!DOCTYPE HTML PUBLIC "-//W3C//DTD Compact HTML 1.0 Draft//EN">
<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_cal.tld" prefix="cal" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%

%><util:nocache/><util:content type="text/html"/><%
%><util:catalog resource="cal" id="i18n" /><%
%><cal:context/><%

%><%-- check for null start and end times  --%><%
%><%
    String start = request.getParameter("st");
    String end   = request.getParameter("et");

    start = (start == null) ? "" : start ;
    end   = (end == null)   ? "" : end ;
%><%


%><%-- set character entity escaping --%><%
%><util:edit id="emsg1"><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%


%><%-- get current view day --%><%
%><cal:datetime id="view"><%
%><cal:dateformat name="view" format="yyyyMMdd" parse="$(d)"/><%
%></cal:datetime><%

%><html>
  <title><util:msg name="i18n" key="addevent"/></title>
<body><%

%><%-- create 'new' event --%><%--
%><cal:event id="new"><%
--%><util:session id="new" attribute="new"/>
<cal:event name="new" >

  <cal:set property="summary" value="$(sum)"/><%
  %><cal:set property="location" value="$(loc)"/><%
  %><cal:set property="description" value="$(des)"/><%

  %><%-- parse start and end time. --%><%

  %><%-- start time is empty, this is an all day event  --%><%
  %><% if (start.equals("")) { %><%

    %><cal:datetime id="st"><%
      %><util:copy property="time" source="view"/><%
      %><cal:set property="hours" value="12"/><%
      %><cal:set property="minutes" value="0"/><%
      %><cal:set property="seconds" value="0"/><%
    %></cal:datetime><%

    %><cal:set id="st" property="start"/><%
    %><cal:set property="allDay" value="true"/><%

  %><%-- start time is not empty --%><%
  %><% } else { %><%
  
    %><cal:set property="allDay" value="false"/><%

    %><cal:datetime id="st"><%
      %><cal:dateformat format="$[i18n:timefmtedit]" parse="$(st)"><%
      %><%-- fail --%><%
      %><util:msg name="i18n" key="addfail"/><%
     
      %><%-- Any error message? --%><%
      %><cal:context><%
        %><util:if property="errorCode" value="CAL_001"><%
        %><br><util:msg name="i18n" key="CAL_001_start"/><%
        %></util:if><%
      %></cal:context>
      <p></p><%

      %><%-- Provide a back button so data can be retained --%><%
      %><form name="form1"<%
        %><util:link tagstart="" tagend=""><%
          %><util:attr attr="action"><%
            %><util:url file="eventHm.jsp" comp="cal"/><%
          %></util:attr><%
       %></util:link><%
       %> method="post">

       <input type="hidden" name="back" value="true">
       <input type="hidden" name="d" value="<util:get eval="$(d)"/>">
       <input type="hidden" name="st" value="<util:get eval="$(st)"/>">
       <input type="hidden" name="et" value="<util:get eval="$(et)"/>">
       <input type="hidden" name="sum" value="<util:get eval="$(sum)" edit="emsg1"/>">
       <input type="hidden" name="loc" value="<util:get eval="$(loc)" edit="emsg1"/>">
       <input type="hidden" name="des" value="<util:get eval="$(des)" edit="emsg1"/>">
       <input type="submit" name="submit" value="<util:msg name="i18n" key="back"/>">
     </form>

     <form name="form2"<%
       %><util:link tagstart="" tagend=""><%
         %><util:attr attr="action"><%
           %><util:url file="dayview.jsp" comp="cal"/><%
         %></util:attr><%
       %></util:link><%
       %>>

       <input type="hidden" name="d" value="<util:get eval="$(d)"/>">
       <input type="submit" name="submit" value="<util:msg name="i18n" key="calhm"/>">
     </form>

      </body></html><%
      %></cal:dateformat><%

      %><%-- copy year, month, day from original so fields are set correctly --%><%
      %><util:copy property="day" source="view"/><%
      %><util:copy property="month" source="view"/><%
      %><util:copy property="year" source="view"/><%
    %></cal:datetime><%
    %><cal:set id="st" property="start"/><%


    %><%-- end time is empty, default to one hour duration --%><%
    %><% if (end.equals("")) { %><%
      %><cal:datetime id="et"><%
        %><util:copy property="time" source="st"/><%
      %></cal:datetime><%
      %><cal:dateroll name="et" field="HOUR"/><%

    %><%-- end time is not empty --%><%
    %><% } else { %><%
      %><cal:datetime id="et"><%
        %><cal:dateformat format="$[i18n:timefmtedit]" parse="$(et)"><%
      %><%-- fail --%><%
      %><util:msg name="i18n" key="addfail"/><%
     
      %><%-- Any error message? --%><%
      %><cal:context><%
        %><util:if property="errorCode" value="CAL_001"><%
        %><br><util:msg name="i18n" key="CAL_001_end"/><%
        %></util:if><%
      %></cal:context>
      <p></p><%

      %><%-- Provide a back button so data can be retained --%><%
      %><form name="form1"<%
        %><util:link tagstart="" tagend=""><%
          %><util:attr attr="action"><%
            %><util:url file="eventHm.jsp" comp="cal"/><%
          %></util:attr><%
       %></util:link><%
       %> method="post">

       <input type="hidden" name="back" value="true">
       <input type="hidden" name="d" value="<util:get eval="$(d)"/>">
       <input type="hidden" name="st" value="<util:get eval="$(st)"/>">
       <input type="hidden" name="et" value="<util:get eval="$(et)"/>">
       <input type="hidden" name="sum" value="<util:get eval="$(sum)" edit="emsg1"/>">
       <input type="hidden" name="loc" value="<util:get eval="$(loc)" edit="emsg1"/>">
       <input type="hidden" name="des" value="<util:get eval="$(des)" edit="emsg1"/>">
       <input type="submit" name="submit" value="<util:msg name="i18n" key="back"/>">
     </form>

     <form name="form2"<%
       %><util:link tagstart="" tagend=""><%
         %><util:attr attr="action"><%
           %><util:url file="dayview.jsp" comp="cal"/><%
         %></util:attr><%
       %></util:link><%
       %>>

       <input type="hidden" name="d" value="<util:get eval="$(d)"/>">
       <input type="submit" name="submit" value="<util:msg name="i18n" key="calhm"/>">
     </form>

      </body></html><%
      %></cal:dateformat><%

        %><%-- copy year, month, day from original so fields are set correctly --%><%
        %><util:copy property="day" source="view"/><%
        %><util:copy property="month" source="view"/><%
        %><util:copy property="year" source="view"/><%
      %></cal:datetime><%

    %><% } %><%-- end if end time --%><%
    %><cal:set id="et" property="end"/><%

  %><% } %><%-- end if start time --%><%

%></cal:event>


</body>
</html>
<%
	String submit = request.getParameter("submit");
	if ( submit.equals(i18n.getMsg("submit")) )
	{
%>
<util:forward file="doChangeEvent.jsp" comp="cal"><%
  %><util:parm name="d"><util:get eval="$(d)"/></util:parm><%
%></util:forward>
<%
	}
	else if ( submit.equals(i18n.getMsg("reminder")) )
	{
%>
<util:forward file="remindMail.jsp" comp="cal"/>
<%

	}
	else if ( submit.equals(i18n.getMsg("repeatagain")) )
	{
%>
<util:forward file="repeatFreq.jsp" comp="cal"/>
<%
	}
	else
	if ( submit.equals(i18n.getMsg("invite")) )
	{

%>
<util:forward file="inviteHome.jsp" comp="cal"/>
<%
	}
%>
