<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" "http://www.wapforum.org/DTD/wml_1.1.xml">
<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%>

<%@ page errorPage="/jsp/default/errorpage.jsp" %>
<%@ page session="false" %>

<%@ taglib uri="/WEB-INF/wireless_cal.tld" prefix="cal" %>
<%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %>

<util:nocache/><util:content type="text/html"/>
<cal:context/>
<util:catalog resource="cal" id="i18n" /><%
%><%
    //get due date and time from request
    String ddate = request.getParameter("ddate");
    ddate = (ddate == null) ? "" : ddate.trim() ;

    String dtime = request.getParameter("dtime");
    dtime = (dtime == null) ? "" : dtime.trim() ;
  %>



    <%-- Get the task from session  --%>
    <util:session id="new" attribute="new"/><%
    %><cal:task name="new"><%

    %><cal:set property="summary" value="$(sum)" /><%
    %><cal:set property="description" value="$(des)" /><%

  %><html>
    <title><util:msg name="i18n" key="addtask"/></title>
    <body>

    <util:edit id="etask1"><%
        %><util:set property="escape" value="true"/>
    </util:edit><%


    %><%-- Set the values to task bean <%
    %><cal:set property="summary"     value="$(sum)" /><%
    %><cal:set property="description" value="$(des)" />
        
    %><%-- check if task is completed, if so, set the flag --%><%
    if (request.getParameter("iscmp").equals("1")) { %>
            <cal:set property="status" value="completed"/>
        <% } else { %>
            <cal:set property="status" value="NotComplete"/>
        <% } %>


    <%-- Check if due date exists. If it does then process.
         If no due date exists, dont do anything. --%>

  <% if ((ddate == null) || (ddate.trim().equals(""))) { %>

        <%-- NOOP --%>

  <% } else {  // due date exists %>

     <cal:datetime id="dudt"><%
        %><cal:dateformat format="$[i18n:parsedatefmt]" parse="$(ddate)"><%
            %><p><b><util:msg name="i18n" key="addTaskfail"/></b></p><%

            %><cal:context><%
                %><util:if property="errorCode" value="CAL_001"><%
                    %><br/><util:msg name="i18n" key="CAL_001_due"/><%
                %></util:if><%
            %></cal:context>

      <%-- Provide a back button to retain data--%><%
      %><form name="form1"<%
        %><util:link tagstart="" tagend=""><%
          %><util:attr attr="action"><%
            %><util:url file="taskHm.jsp" comp="cal"/><%
          %></util:attr><%
       %></util:link> method="post">

        <input type="hidden" name="back" value="true">
        <input type="hidden" name="d" value="<util:get eval="$(d)"/>">
        <input type="hidden" name="ddate" value="<util:get eval="$(ddate)"/>">
        <input type="hidden" name="dtime" value="<util:get eval="$(dtime)"/>">
        <input type="hidden" name="sum" value="<util:get eval="$(sum)" edit="etask1"/>">
        <input type="hidden" name="loc" value="<util:get eval="$(loc)" edit="etask1"/>">
        <input type="hidden" name="des" value="<util:get eval="$(des)" edit="etask1"/>">
        <input type="hidden" name="mod" value="<util:get eval="$(mod)" edit="etask1"/>">
        <input type="submit" name="submit" value="<util:msg name="i18n" key="back"/>">
     </form>


    <%-- provide a calHm link --%>
    <p align="center">
    <form name="calhm"<%
       %><util:link tagstart="" tagend=""><%
         %><util:attr attr="action"><%
           %><util:url file="dayview.jsp" comp="cal"/><%
         %></util:attr><%
       %></util:link><%
       %>>
        <input type="hidden" name="d" value="<util:get eval="$(d)"/>">
        <input type="submit" name="submit" value="<util:msg name="i18n" key="calhm"/>">
     </form>
     </p>
     </body>
     </html>
     </cal:dateformat>
    </cal:datetime>


        <%-- Set the due time only if it has been entered.  --%>
        <% if ((dtime != null) && (!(dtime.equals("")))) { %> 
            <cal:set property="dueTimeField" value="true"/>

            <cal:datetime id="dutm">
                <cal:dateformat format="$[i18n:timefmtedit]" parse="$(dtime)">
                    <p><b><util:msg name="i18n" key="addTaskfail"/></b></p><%

                    %><cal:context><%
                        %><util:if property="errorCode" value="CAL_001"><%
                            %><br/><util:msg name="i18n" key="CAL_001_due"/><%
                        %></util:if><%
                    %></cal:context>

      <%-- Provide a back button to retain data--%><%
      %><form name="form1"<%
        %><util:link tagstart="" tagend=""><%
          %><util:attr attr="action"><%
            %><util:url file="taskHm.jsp" comp="cal"/><%
          %></util:attr><%
       %></util:link><%
       %> method="post">

        <input type="hidden" name="back" value="true">
        <input type="hidden" name="d" value="<util:get eval="$(d)"/>">
        <input type="hidden" name="ddate" value="<util:get eval="$(ddate)"/>">
        <input type="hidden" name="dtime" value="<util:get eval="$(dtime)"/>">
        <input type="hidden" name="sum" value="<util:get eval="$(sum)" edit="etask1"/>">
        <input type="hidden" name="loc" value="<util:get eval="$(loc)" edit="etask1"/>">
        <input type="hidden" name="des" value="<util:get eval="$(des)" edit="etask1"/>">
        <input type="hidden" name="mod" value="<util:get eval="$(mod)" edit="etask1"/>">
        <input type="submit" name="submit" value="<util:msg name="i18n" key="back"/>">
     </form>


    <%-- provide a calHm link --%>
    <p align="center">
    <form name="calhm"<%
       %><util:link tagstart="" tagend=""><%
         %><util:attr attr="action"><%
           %><util:url file="dayview.jsp" comp="cal"/><%
         %></util:attr><%
       %></util:link><%
       %>>
        <input type="hidden" name="d" value="<util:get eval="$(d)"/>">
        <input type="submit" name="submit" value="<util:msg name="i18n" key="calhm"/>">
     </form>
     </p>
     </body>
     </html>
     </cal:dateformat>

     <util:copy property="day" source="dudt"/>
     <util:copy property="month" source="dudt"/>
     <util:copy property="year" source="dudt"/>

     </cal:datetime>
            <cal:set id="dutm" property="dueDate"/>
     <% } else { %>
            <cal:set id="dudt" property="dueDate"/>
        <% } // end time processing %>
        <% } // end date processing %><%

%></cal:task>

 
    <%-- Now forward based on balue of submit --%>

    <% String submit = request.getParameter("submit");  %>
    <% if (submit.equalsIgnoreCase(i18n.getMsg("submit")) ) { %>

        <util:forward file="doAddTask.jsp" comp="cal"><%
            %><util:parm name="d"><util:get eval="$(d)"/></util:parm>
        </util:forward>

    <% } else if ( submit.equals(i18n.getMsg("reminder")) ) { %>
        <util:forward file="remindMail.jsp" comp="cal"/>

    <% } else if ( submit.equals(i18n.getMsg("repeatagain")) ) { %>
        <util:forward file="repeatFreq.jsp" comp="cal"/>

    <% } else { %>
        <util:forward file="taskHm.jsp" comp="cal"><%
            %><util:parm name="d"><util:get eval="$(d)"/></util:parm>
        </util:forward>
    <% } %>
