<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%>
<%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_cal.tld" prefix="cal" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%

%><util:nocache/><util:content type="text/html"/><%
%><util:catalog resource="cal" id="i18n" /><%
%><cal:context/><%

	// User selects back link when command fails
	String back = request.getParameter("back");
	

%><%-- set character entity escaping and truncation to 25 characters --%><%
%><%-- truncation is for summary and location --%><%
%><util:edit id="edit1"><%
  %><util:set property="truncation" value="$/SunMobileAppCalendarService:sunMobileAppCalendarJspSummaryLength:25/"/><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%

%><%-- set character entity escaping and truncation to 300 characters --%><%
%><%-- truncation is for description --%><%
%><util:edit id="edit2"><%
  %><util:set property="truncation" value="$/SunMobileAppCalendarService:sunMobileAppCalendarJspDescLength:300/"/><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%

%><%-- set character entity escaping and truncation to 25 characters --%><%
%><%-- truncation is for location --%><%
%><util:edit id="edit3"><%
  %><util:set property="truncation" value="$/SunMobileAppCalendarService:sunMobileAppCalendarJspLocationLength:25/"/><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%

%><%-- Calendar edit fields --%><%
%><cal:event id="event" index="$(eid)"><%

  %><%-- start time --%>
  <util:msg name="i18n" key="starttime"/>:<br>
  <input type="text" istyle="4" name="st" size="4" maxlength="4"<%

  %><%-- Use postdata --%><%
  %><% if (back != null) { %><%
    %> value="<util:get  eval="$(st)"/>"<%

  %><% } else { %><%

    %><%-- not an allday event --%><%
    %><util:ifnot property="allDay"><%
      %><util:if property="start"><%
        %> value="<cal:get id="start" property="start"/><%
        %><cal:dateformat name="start" format="$[i18n:timefmtedit]"/>"<% 
      %></util:if><%
    %></util:ifnot><%

  %><% } %><%-- end else --%><%

    %>><%  %><%-- end of input tag --%><%
  %><br><%

  %><%-- end time --%>
  <util:msg name="i18n" key="endtime"/>:<br>
  <input type="text" istyle="4" name="et" size="4" maxlength="4"<%

  %><%-- Use postdata --%><%
  %><% if (back != null) { %><%
    %> value="<util:get  eval="$(et)"/>"<%

  %><% } else { %><%

    %><%-- not an allday event --%><%
    %><util:ifnot property="allDay"><%
      %><util:if property="end"><%
        %> value="<cal:get id="end" property="end"/><%
        %><cal:dateformat name="end" format="$[i18n:timefmtedit]"/>"<%
      %></util:if><%
    %></util:ifnot><%

  %><% } %><%-- end else --%><%

    %>><%  %><%-- end of input tag --%><%
  %><br><%

  %><%-- summary --%>
  <util:msg name="i18n" key="title"/>:<br>
  <input type="text" name="sum"<%

  %><%-- Use postdata --%><%
  %><% if (back != null) { %><%
    %> value="<util:get  eval="$(sum)" edit="edit1"/>"<%

  %><% } else { %><%

    %><util:if property="summary"><%
      %> value="<cal:get  property="summary" edit="edit1"/>"<%
    %></util:if><%

  %><% } %><%-- end else --%><%

    %>><%
  %><br><%


  %><%-- location --%>
  <util:msg name="i18n" key="location"/>:<br>
    <input type="text" name="loc"<%

  %><%-- Use postdata --%><%
  %><% if (back != null) { %><%
    %> value="<util:get  eval="$(loc)" edit="edit3"/>"<%

  %><% } else { %><%

    %><util:if property="location"><%
      %> value="<cal:get  property="location" edit="edit3"/>"<%
    %></util:if><%

  %><% } %><%-- end else --%><%

    %>><%
  %><br><%

  %><%-- description --%>
  <util:msg name="i18n" key="details"/>:<br>
    <textarea name="des" rows="5" cols="20"><%

  %><%-- Use postdata --%><%
  %><% if (back != null) { %><%
    %><util:get eval="$(des)" edit="edit2"/><%

  %><% } else { %><%

    %><util:if property="description"><%
      %><cal:get  property="description" edit="edit2"/><%
    %></util:if><%

  %><% } %><%-- end else --%><%

    %></textarea><%
  %><br><%
%></cal:event>
