<!DOCTYPE HTML PUBLIC "-//W3C//DTD Compact HTML 1.0 Draft//EN">
<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_cal.tld" prefix="cal" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%

%><util:nocache/><util:content type="text/html"/><%
%><util:catalog resource="cal" id="i18n" /><%
%><cal:context/><%

%><%-- unset url parameter separator entity escaping --%><%
%><util:context><%
  %><util:set property="urlAmpEntity" value="false"/><%
%></util:context><%

%><%--
	Get current view date from parameter and do a fetch. This is a workaround
        to synchronize event list when user selects browser "Back" button to 
        navigate.
--%><%
%><cal:datetime id="view"><%
%><cal:dateformat name="view" format="yyyyMMdd" parse="$(d)"/><%
%></cal:datetime><%

%><cal:fetch day="view"/><%


%><%-- set character entity escaping and truncation to 25 characters --%><%
%><%-- truncation is for summary --%><%
%><util:edit id="edit1"><%
  %><util:set property="truncation" value="$/SunMobileAppCalendarService:sunMobileAppCalendarJspSummaryLength:25/"/><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%

%><%-- set character entity escaping and truncation to 300 characters --%><%
%><%-- truncation is for description --%><%
%><util:edit id="edit2"><%
  %><util:set property="truncation" value="$/SunMobileAppCalendarService:sunMobileAppCalendarJspDescLength:300/"/><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%

%><util:edit id="edit3"><%
  %><util:set property="truncation" value="$/SunMobileAppCalendarService:sunMobileAppCalendarJspLocationLength:25/"/><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%

%><%-- Calendar event detail --%>
<html>
  <title><util:msg name="i18n" key="event"/></title>
<body><%
%><%-- 
    display event detail
    * start time - end time
    * summary
    * location
    * description
    * is repeating event

--%><%
%><cal:event id="event" index="$(eid)"><%

  %><%-- is this an allday event? --%><%
  %><util:if property="allDay"><%
    %><util:msg name="i18n" key="allday"/><br><%
  %></util:if><%

  %><%-- start time and end time --%><%
  %><util:ifnot property="allDay">
    <cal:get id="start" property="start"/><%
    %><cal:dateformat name="start" format="$[i18n:timefmt]"/> - <%
    %><cal:get id="end" property="end"/><%
    %><cal:dateformat name="end" format="$[i18n:timefmt]"/><br><%
  %></util:ifnot><%

  %><%-- summary --%>
  <util:msg name="i18n" key="title"/>: <cal:get property="summary" edit="edit1"/><br><%

  %><%-- location --%>
  <util:msg name="i18n" key="location"/>: <cal:get property="location" edit="edit3"/><br><%

  %><%-- description --%>
  <cal:get property="description" edit="edit2"/><br><%

  %><%-- repeating event? --%>
  <util:if property="recurrence"><%
      %><util:msg name="i18n" key="repeat"/><br>
  </util:if>
  <p></p>

<%-- repeating event? --%>
<util:if property="recurrence"><%
  %><util:msg name="i18n" key="repeat"/><br/><%
%></util:if><%

%><util:if property="calIdTheOrganizer" >

<%-- change event --%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%

  %><util:ifnot property="recurrence"><%
    %><util:url file="eventSess.jsp" comp="cal"><%
    %><util:parm name="d"><util:get eval="$(d)"/></util:parm><%
    %><util:parm name="eid"><util:get eval="$(eid)"/></util:parm><%
    %></util:url><%
  %></util:ifnot><%

  %><util:if property="recurrence"><%
    %><util:url file="changeType.jsp" comp="cal"><%
    %><util:parm name="d"><util:get eval="$(d)"/></util:parm><%
    %><util:parm name="eid"><util:get eval="$(eid)"/></util:parm><%
    %></util:url><%
  %></util:if><%


  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="change"/></a><br><%

%><%-- delete event --%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%


  %><util:ifnot property="recurrence"><%
    %><util:url file="delete.jsp" comp="cal"><%
    %><util:parm name="d"><util:get eval="$(d)"/></util:parm><%
    %><util:parm name="eid"><util:get eval="$(eid)"/></util:parm><%
    %></util:url><%
  %></util:ifnot><%

  %><util:if property="recurrence"><%
    %><util:url file="deleteType.jsp" comp="cal"><%
    %><util:parm name="d"><util:get eval="$(d)"/></util:parm><%
    %><util:parm name="eid"><util:get eval="$(eid)"/></util:parm><%
    %></util:url><%
  %></util:if><%

  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="delete"/></a><br><%
%></util:if><%

%><util:ifnot property="recurrence"><%
%><util:ifnot property="calIdTheOrganizer" ><%
%><cal:context><%
%><util:if property="userTheOwner" ><%
%><util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%

    %><util:url file="attSess.jsp" comp="cal"><%
    %><util:parm name="d"><util:get eval="$(d)"/></util:parm><%
    %><util:parm name="eid"><util:get eval="$(eid)"/></util:parm><%
    %></util:url><%

  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="reminder"/></a><br><%

%></util:if><%
%></cal:context><%
%></util:ifnot><%
%></util:ifnot><%

%><util:if property="recurrence"><%
%><util:ifnot property="calIdTheOrganizer" ><%
%><cal:context><%
%><util:if property="userTheOwner" ><%
%><util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%

    %><util:url file="attType.jsp" comp="cal"><%
    %><util:parm name="d"><util:get eval="$(d)"/></util:parm><%
    %><util:parm name="eid"><util:get eval="$(eid)"/></util:parm><%
    %></util:url><%

  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="reminder"/></a><br><%

%></util:if><%
%></cal:context><%
%></util:ifnot><%
%></util:if><%

%></cal:event>

<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
    %><util:url file="dayview.jsp" comp="cal"><%
    	%><util:parm name="d"><util:get eval="$(d)"/></util:parm><%
    %></util:url><%
  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="back"/></a>


</body>
</html>
