<!DOCTYPE HTML PUBLIC "-//W3C//DTD Compact HTML 1.0 Draft//EN">
<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %>
<%@ page import="com.sun.comclient.calendar.RecurrencePattern" %>

<%@ taglib uri="/WEB-INF/wireless_cal.tld" prefix="cal" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%


%><util:nocache/><util:content type="text/html"/><%
%><util:catalog resource="cal" id="i18n" /><%


%><%-- calendar repeatInterval  gui. --%>
<html>
<cal:context>
<title> <cal:get property="calendarID"/></title>
</cal:context>
<%
   	String freq = request.getParameter("fr");
   	String interval = request.getParameter("in");
	if  ( ( interval != null ) &&  interval.equals("1")  )
	{
%>
	<%-- forward to next page --%>
<util:forward file="repeatUntil.jsp" comp="cal">
<util:parm name="fr"><%=freq%></util:parm>
<util:parm name="in"><%=interval%></util:parm>
<util:parm name="ro"></util:parm>
</util:forward>

<%
	}
	else if ( ( interval != null ) &&  interval.equals("2")  )
	{
%>
		<%-- forward to next page --%>
<util:forward file="repeatInt.jsp" comp="cal">
<util:parm name="fr"><%=freq%></util:parm>
<util:parm name="in"><%=interval%></util:parm>
<util:parm name="ro"></util:parm>
</util:forward>
<%
	}
	int intFreq = 0;
	try
	{
		intFreq = Integer.parseInt ( freq) ;
	}catch(NumberFormatException ex ) {}

	switch ( intFreq )
	{
		case RecurrencePattern.DAILY:
		{
%>
		<center>
		<util:msg name="i18n" key="riRepeatOn"/></center>

		<util:link tagstart="<a" tagend="/>"><%
        %><util:attr attr="href"><%
        	%><util:url file="repeatUntil.jsp" comp="cal"><%
				%><util:parm name="fr"><util:get eval="$(fr)"/></util:parm><%
				%><util:parm name="in"><util:get eval="$(in)"/></util:parm><%
				%><util:parm name="ro">MO,TU,WE,TH,FR</util:parm><%
        	%></util:url><%
        %></util:attr><%
      	%></util:link> <%= i18n.getMsg("roWeekday") %><br>

		<util:link tagstart="<a" tagend="/>"><%
        %><util:attr attr="href"><%
        	%><util:url file="repeatUntil.jsp" comp="cal"><%
				%><util:parm name="fr"><util:get eval="$(fr)"/></util:parm><%
				%><util:parm name="in"><util:get eval="$(in)"/></util:parm><%
				%><util:parm name="ro">MO,WE,FR</util:parm><%
        	%></util:url><%
        %></util:attr><%
      	%></util:link> <%= i18n.getMsg("roMWF") %><br>

		<util:link tagstart="<a" tagend="/>"><%
        %><util:attr attr="href"><%
        	%><util:url file="repeatUntil.jsp" comp="cal"><%
				%><util:parm name="fr"><util:get eval="$(fr)"/></util:parm><%
				%><util:parm name="in"><util:get eval="$(in)"/></util:parm><%
				%><util:parm name="ro">TU,TH</util:parm><%
        	%></util:url><%
        %></util:attr><%
      	%></util:link> <%= i18n.getMsg("roTuTh") %><br>

		<util:link tagstart="<a" tagend="/>"><%
        %><util:attr attr="href"><%
        	%><util:url file="repeatUntil.jsp" comp="cal"><%
				%><util:parm name="fr"><util:get eval="$(fr)"/></util:parm><%
				%><util:parm name="in"><util:get eval="$(in)"/></util:parm><%
				%><util:parm name="ro">SU,SA</util:parm><%
        	%></util:url><%
        %></util:attr><%
      	%></util:link> <%= i18n.getMsg("roSaSu") %><br>

<%
		break;
		}
		case RecurrencePattern.WEEKLY:
		{
%>
	<%-- forward to next page --%>
<util:forward file="repeatOnWeekly.jsp" comp="cal">
<util:parm name="fr"><%=freq%></util:parm>
<util:parm name="in"><%=interval%></util:parm>
</util:forward>

<%
		break;
		}
		case RecurrencePattern.MONTHLY:
		{
	//Monthly
%>
	<%-- forward to next page --%>
<util:forward file="repeatOnMonthly.jsp" comp="cal">
<util:parm name="fr"><%=freq%></util:parm>
<util:parm name="in"><%=interval%></util:parm>
</util:forward>
  
<%
		break;
		}
		case RecurrencePattern.YEARLY:
		{
	//Yearly
%>
	<%-- forward to next page --%>
<util:forward file="repeatOnYearly.jsp" comp="cal">
<util:parm name="fr"><%=freq%></util:parm>
<util:parm name="in"><%=interval%></util:parm>
</util:forward>

<%
		}
	}

%>



</html>


