<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_cal.tld" prefix="cal" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%

%><util:nocache/><util:content type="text/html"/><%

%><util:catalog resource="cal" id="i18n" /><%
%><cal:context/><%

%><%-- unset url parameter separator entity escaping --%><%
%><util:context><%
  %><util:set property="urlAmpEntity" value="false"/><%
%></util:context><%


%><%--
	Get current view date from parameter and do a fetch. This is a workaround
        to synchronize task list when user selects browser "Back" button to 
        navigate.
--%><%

    %><cal:datetime id="view"><%
        %><cal:dateformat name="view" format="yyyyMMdd" parse="$(d)"/><%
    %></cal:datetime><%

    %><cal:fetch day="view"/><%


%><%-- 
 	Get task by tid argument and display task details:
	<card>
	<p>
	11:00 <br/>
	Title: Meeting<br/>
	Location: X File<br/>
	Staff Meeting<br/>
--%><%
    %><util:edit id="edit1"><%
      %><%-- No more than 25 characters for summary --%><%
      %><util:set property="truncation" value="$/SunMobileAppCalendarService:sunMobileAppCalendarJspSummaryLength:25/"/><%
      %><util:set property="escape" value="true"/><%
    %></util:edit><%

    %><util:edit id="edit2"><%
      %><%-- No more than 300 characters for description --%><%
      %><util:set property="truncation" value="$/SunMobileAppCalendarService:sunMobileAppCalendarJspDescLength:300/"/><%
      %><util:set property="escape" value="true"/><%
    %></util:edit><%

    %><%-- set character entity escaping and truncation to 25 characters --%><%
    %><%-- truncation is for location --%><%
    %><util:edit id="edit3"><%
      %><util:set property="truncation" value="$/SunMobileAppCalendarService:sunMobileAppCalendarJspLocationLength:25/"/><%
      %><util:set property="escape" value="true"/><%
    %></util:edit><%

    %><%-- view task details --%>
<html>
<title><util:msg name="i18n" key="changetask"/></title>
<body>

    <cal:task id="task" index="$(tid)"><%

    %><p><% 

    %><%-- summary --%><%
    %><util:msg name="i18n" key="title"/>: <cal:get property="summary" edit="edit1"/><br><%

    %><%-- due date and time --%><%
    %><util:if property="dueDate"><%
        %><cal:get id="duedate" property="dueDate"/><%

        %><util:msg name="i18n" key="dueOn"/> <%
            %><cal:dateformat name="duedate" format="$[i18n:parsedatefmt]" /><br><%

        %><util:msg name="i18n" key="dueAt"/> <%
            %><cal:dateformat name="duedate" format="$[i18n:timefmt]"/><br><%
    %></util:if><%


    %><%-- location --%><%
    %><util:msg name="i18n" key="loc"/>: <cal:get property="location" edit="edit3"/><br><%


    %><%-- details --%><%
    %><util:msg name="i18n" key="details"/>: <cal:get property="description" edit="edit2"/><br><%


    %><%-- Status --%><%
    %><util:if property="completed"><%
       %><util:msg name="i18n" key="stat"/>: <util:msg name="i18n" key="cmp"/><%
    %></util:if><%
    %><util:ifnot property="completed"><%
       %><util:msg name="i18n" key="stat"/>: <util:msg name="i18n" key="incmp"/><%
    %></util:ifnot><%


    %></p><%

    %><%-- is recurrent --%><%
    %><util:if property="recurrence"><%
        %><util:msg name="i18n" key="repeatTask"/><br><%
    %></util:if><%



    %><p align="left"><%
    %><%-- change task --%><%
        %><util:link tagstart="<a" tagend=">"><%
            %><util:attr attr="href"><%

                %><util:ifnot property="recurrence"><%
                    %><util:url file="taskSess.jsp" comp="cal"><%
                        %><util:parm name="d"><util:get eval="$(d)"/></util:parm><%
                        %><util:parm name="tid"><util:get eval="$(tid)"/></util:parm><% 
                    %></util:url><%
                %></util:ifnot><%

                %><util:if property="recurrence"><%
                    %><util:url file="changeTaskType.jsp" comp="cal"><%
                        %><util:parm name="d"><util:get eval="$(d)"/></util:parm><%
                        %><util:parm name="tid"><util:get eval="$(tid)"/></util:parm><%
                    %></util:url><%
                %></util:if><%

            %></util:attr><%
             %><util:attr attr="accesskey">1</util:attr><%
        %></util:link><util:msg name="i18n" key="change"/></a><br><%


    %><%-- delete task --%><%

        %><util:link tagstart="<a" tagend=">"><%
            %><util:attr attr="href"><%

                %><util:ifnot property="recurrence"><%
                    %><util:url file="deleteTask.jsp" comp="cal"><%
                        %><util:parm name="d"><util:get eval="$(d)"/></util:parm><%
                        %><util:parm name="tid"><util:get eval="$(tid)"/></util:parm><% 
                    %></util:url><%
                %></util:ifnot><%

                %><util:if property="recurrence"><%
                    %><util:url file="deleteTaskType.jsp" comp="cal"><%
                        %><util:parm name="d"><util:get eval="$(d)"/></util:parm><%
                            %><util:parm name="tid"><util:get eval="$(tid)"/></util:parm><%
                    %></util:url><%
                %></util:if><%

            %></util:attr><%
            %><util:attr attr="accesskey">2</util:attr><%
        %></util:link><util:msg name="i18n" key="delete"/></a><br><%
        %></p><%

%></cal:task><%

    %><p align="left"><%
    %><util:link tagstart="<a" tagend=">"><%
        %><util:attr attr="href"><%
            %><util:url file="dayview.jsp" comp="cal"><%
    	        %><util:parm name="d"><util:get eval="$(d)"/></util:parm><%
            %></util:url><%
        %></util:attr><%
         %><util:attr attr="accesskey">3</util:attr><%
    %></util:link><util:msg name="i18n" key="back"/></a>
    </p>
</body>
</html>
