<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" "http://www.wapforum.org/DTD/wml_1.1.xml">
<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_cal.tld" prefix="cal" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%


%><util:nocache/><util:content type="text/vnd.wap.wml"/><%
%><util:catalog resource="cal" id="i18n" /><%

        // Pass this parameter along
        String d = request.getParameter("d");

%><util:edit id="edit1"><%
  %><%-- No more than 25 characters for summary --%><%
  %><util:set property="truncation" value="$/SunMobileAppCalendarService:sunMobileAppCalendarJspSummaryLength:25/"/><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%


%><%--
        Set rfc2396 to false so wml variables are not escaped by
        link tag.
--%><%
%><util:context><%
  %><util:set property="rfc2396" value="false"/><%
%></util:context><%

%><cal:context/><%
%><%-- Get current view date from parameter --%><%
%><cal:datetime id="current"><%
  %><cal:dateformat name="current" format="yyyyMMdd" parse="$(d)"/><%
%></cal:datetime><%


%><%-- calendar dayview gui. --%><%

%><wml>
<%-- 
	Go to Portal Home [/portal/dt]
--%>
<cal:context>
    <card id="abbr" title="<cal:get property="calendarID"/>">
</cal:context>

<do type="options" label="<%= i18n.getMsg("portalhome") %>"><%
  %><util:link tagstart="<go" tagend="/>"><%
    %><util:attr attr="href"><%
      %><util:url path="<%= request.getContextPath()+\"/dt\" %>"><%
      %></util:url><%
    %></util:attr><%
  %></util:link>
</do>

<do type="prev" label="<%= i18n.getMsg("back") %>">
  <prev/>
</do>

<p mode="nowrap">
<%-- 
      Get current time object and format to a nice string 
--%>
<b><cal:dateformat name="current" format="$[i18n:datefmt]"/></b><%

%><br/><%
%><cal:context><%
%><%--
	If there are no events today
  --%><%

  %><util:if property="eventsEmpty"><%
    %><b><util:msg name="i18n" key="noevents"/></b><br/><%
  %></util:if><%
%><%--
	If there are no tasks today
  --%><%

  %><util:if property="tasksEmpty"><%
    %><b><util:msg name="i18n" key="notasks"/></b><br/><%
  %></util:if><%

%><%--

        List events:
        Allday <anchor>Birthday<go href="#c1">
        <setvar name="eid" value="0"/></go></anchor>

        11:00 <anchor>Staff Meeting<go href="#c1">
        <setvar name="eid" value="1"/></go></anchor>

--%><%

%><util:ifnot property="tasksEmpty"><%
	%><util:msg name="i18n" key="taskscount"/><%
	%>[<cal:get property="taskCount"/>]<br/><%
    %><cal:tasks id="clist"><%
      %><cal:set property="start" value="$(start1)"/><%
      %><cal:set property="count" value="$/SunMobileAppCalendarService:sunMobileAppCalendarJspEventNumLines:3/"/><%
    %></cal:tasks><%

    %><cal:tasks name="clist" iterate="true"><%

      %><cal:task><%
        %><util:if property="completed"><%
            %><util:msg name="i18n" key="compl"/><%
        %></util:if><%
        %><util:if property="overDue"><%
            %><util:msg name="i18n" key="overdue"/><%
        %></util:if><%
        %><%-- if all day task put "Due Today" message for all day--%><%
        %><util:if property="allDay"><%
            %><util:msg name="i18n" key="alldaytask"/><%
        %></util:if><%
        %><%-- if not all day task and if due date print --%><%
        %><util:ifnot property="allDay"><%
            %><util:if property="due"><%
            %><%
              %><cal:get id="start" property="dueDate"/><%
              %><cal:dateformat name="start" format="$[i18n:timefmt]"/><%
            %></util:if><%
        %></util:ifnot><%
        %><anchor><%

         %><%-- summary --%><%
         %><util:if property="summary"><%
           %><cal:get property="summary" edit="edit1"/><%
         %></util:if><%
 
         %><%-- no summary --%><%
         %><util:ifnot property="summary"><%
           %><util:msg name="i18n" key="nosummary"/><%
         %></util:ifnot><%

        %><go href="#c3"><%

      %></cal:task><%

      %><util:link tagstart="<setvar" tagend="/>"><%
        %><util:attr attr="name">tid</util:attr><%
        %><util:attr attr="value"><cal:get property="index"/></util:attr><%
      %></util:link></go></anchor><br/><%

    %></cal:tasks><%


%><%--
    If there are more entries 
--%><%

    %><cal:tasks name="clist"><%
      %><util:if property="nextPage"><%

      %><util:link tagstart="<a" tagend=">"><%
        %><util:attr attr="href"><%
          %><util:url file="dayview.jsp" comp="cal"><%
            %><util:parm name="start1"><util:get property="nextStart"/></util:parm><%
            %><util:parm name="d"><%= d %></util:parm><%
          %></util:url><%
        %></util:attr><%
      %></util:link><%
      %><util:msg name="i18n" key="moreTsks"/></a><br/><%

      %></util:if><%
    %></cal:tasks><%

%></util:ifnot><%

 %><util:ifnot property="eventsEmpty"><%

	%><util:msg name="i18n" key="eventscount"/><%
	%>[<cal:get property="eventCount"/>]<br/><%
    %><cal:events id="clist"><%
	%><cal:set property="start" value="$(start)"/><%
	%><cal:set property="count" value="$/SunMobileAppCalendarService:sunMobileAppCalendarJspEventNumLines:7/"/><%
    %></cal:events><%

    %><cal:events name="clist" iterate="true"><%

	%><cal:event><%

	%><%-- Is this an allday event? --%><%
	%><util:if property="allDay"><%
	  %><util:msg name="i18n" key="allday"/><%
	%></util:if><%


	%><util:ifnot property="allDay"><%
	%><cal:get id="start" property="start"/><%
	%><cal:dateformat name="start" format="$[i18n:timefmt]"/><%
	%></util:ifnot><%

	%> <anchor><%

	%><%-- summary --%><%
	%><util:if property="summary"><%
	  %><cal:get property="summary" edit="edit1"/><%
	%></util:if><%

	%><%-- no summary --%><%
	%><util:ifnot property="summary"><%
	  %><util:msg name="i18n" key="nosummary"/><%
	%></util:ifnot><%

	%><go href="#c1"><%

	%></cal:event><%

	%><util:link tagstart="<setvar" tagend="/>"><%
	%><util:attr attr="name">eid</util:attr><%
	%><util:attr attr="value"><cal:get property="index"/></util:attr><%
	%></util:link></go></anchor><br/><%

    %></cal:events><%


%><%--
    If there are more entries
--%><%

    %><cal:events name="clist"><%
	%><util:if property="nextPage"><%

	%><util:link tagstart="<a" tagend=">"><%
	%><util:attr attr="href"><%
	  %><util:url file="dayview.jsp" comp="cal"><%
	    %><util:parm name="start"><util:get property="nextStart"/></util:parm><%
	    %><util:parm name="d"><%= d %></util:parm><%
	  %></util:url><%
	%></util:attr><%
	%></util:link><%
	%><util:msg name="i18n" key="more"/></a><br/><%

	%></util:if><%
    %></cal:events><%

%></util:ifnot><%

%><util:if property="userTheOwner" > <%
	%><%-- 
	Add event link
	<a href="eventSess.jsp">Add Event..</a>
	--%><%

	%><util:link tagstart="<a" tagend=">"><%
  		%><util:attr attr="href"><%
    	%><util:url file="eventSess.jsp" comp="cal"><%
      	%><util:parm name="d"><%= d %></util:parm><%
    	%></util:url><%
  	%></util:attr><%
	%></util:link><util:msg name="i18n" key="addevent"/>..</a><br/><%

	%><%-- 
	Add task link
	<a href="taskSess.jsp">Add Task..</a>
	--%><%
	%><util:link tagstart="<a" tagend=">"><%
  		%><util:attr attr="href"><%
    	%><util:url file="taskSess.jsp" comp="cal"><%
      	%><util:parm name="d"><util:get eval="$(d)"/></util:parm><%
    	%></util:url><%
  		%></util:attr><%
	%></util:link><util:msg name="i18n" key="addtask"/>..</a><br/><%
%></util:if>
</cal:context><%
%><%--

    Show My Calendars link
    <a href="subscribed.jsp">My Calendars</a>

--%><%


%><util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
    %><util:url file="subscribed.jsp" comp="cal"><%
      %><util:parm name="d"><%= d %></util:parm><%
    %></util:url><%
  %></util:attr><%
%></util:link><util:msg name="i18n" key="subscribed"/>..</a><br/><%

%><%--
	Bring up Goto menu:
	<a href="goto.jsp">Go to...</a>
--%><%
%><util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
    %><util:url file="goto.jsp" comp="cal"><%
      %><util:parm name="d"><%= d %></util:parm><%
    %></util:url><%
  %></util:attr><%
%></util:link><util:msg name="i18n" key="goto"/>...</a><br/><%

%><%-- 
  	For the next 6 days 
	Get the view day object, make a copy of the object
        and roll to the next day:
        TODO: <a href="sixdays.jsp">Next 6 days</a>

--%><%

%><cal:datetime id="view"><%
  %><util:copy property="time" source="current"/><%
%></cal:datetime>

  <% for (int i=1; i<=6; i++) { %><%

    %><cal:dateroll name="view"/><%
    %><anchor><%
    %><cal:dateformat name="view" format="$[i18n:datefmtshort]"/><go href="#c2"><%
    %><setvar name="i" value="<%= i %>"/></go></anchor><br/>

  <% } %>

</p>
</card>

<%-- get event.jsp --%>
<card id="c1">
<onevent type="onenterforward"><%
  %><util:link tagstart="<go" tagend="/>"><%
    %><util:attr attr="href"><%
      %><util:url file="event.jsp" comp="cal"><%
        %><util:parm name="eid">$(eid)</util:parm><%
        %><util:parm name="d"><%= d %></util:parm><%
      %></util:url><%
    %></util:attr><%
  %></util:link>
</onevent>
<onevent type="onenterbackward">
  <go href="#abbr"/>
</onevent>
</card>

<%-- Roll to next 6 days template --%>
<card id="c2">
<onevent type="onenterforward"><%
  %><util:link tagstart="<go" tagend="/>"><%
    %><util:attr attr="href"><%
      %><util:url file="doRoll.jsp" comp="cal"><%
        %><util:parm name="amt">$(i)</util:parm><%
        %><util:parm name="d"><%= d %></util:parm><%
      %></util:url><%
    %></util:attr><%
  %></util:link>
</onevent>
<onevent type="onenterbackward">
  <go href="#abbr"/>
</onevent>

</card>
<%-- get task.jsp --%>
<card id="c3">
<onevent type="onenterforward"><%
  %><util:link tagstart="<go" tagend="/>"><%
    %><util:attr attr="href"><%
      %><util:url file="task.jsp" comp="cal"><%
        %><util:parm name="tid">$(tid)</util:parm><%
        %><util:parm name="d"><%= d %></util:parm><%
      %></util:url><%
    %></util:attr><%
  %></util:link>
</onevent>
<onevent type="onenterbackward">
  <go href="#abbr"/>
</onevent>
</card>

</wml>


