<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%>
<%@ page isErrorPage="true" %>
<%@ page session="false" %>

<%@ page import="com.iplanet.sso.*" %>
<%@ page import="com.iplanet.am.util.*" %>
<%@ page import="com.sun.portal.wireless.taglibs.base.NoServiceAssignedException"%>

<%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %>

<util:content/>
<util:catalog resource="error" id="i18n" />

<AmlDocument>
<AmlPage>
<%
  SSOToken session = null;

try {
  SSOTokenManager tokenManager = SSOTokenManager.getInstance();
  session = tokenManager.createSSOToken(request);

%>
  <%-- 
	We have a valid session. Go back to desktop.
  --%>
<%
  String displayKey = (String)request.getAttribute(
                       NoServiceAssignedException.UNAUTHSERVICE_ATTRIBUTE);
  if(displayKey == null) {
      displayKey = "servererror";
  } 
%>      


  <AmlControlMenu type="options" label="<%= i18n.getMsg("portalhome") %>" url="<util:url path="<%= request.getContextPath()+\"/dt\" %>"/>" />
  <AmlGroup>
    <AmlText text="<util:msg name="i18n" key="<%= displayKey %>"/>"/>
  </AmlGroup>

<% } catch (Exception e) { %>

  <%--
	No session. Cannot localize error message, just bring up login page.
  --%>
  <AmlControlMenu type="options" label="Login" url="<util:url path="<%= request.getContextPath()+\"/dt\" %>"/>" />
  <AmlGroup>
    <AmlText text="Server error"/>
  </AmlGroup>

<% } %>

</AmlPage>
</AmlDocument>


