<!DOCTYPE HTML PUBLIC "-//W3C//DTD Compact HTML 1.0 Draft//EN">
<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_mail.tld" prefix="mail" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%

%><util:nocache/><util:content type="text/html"/><%
%><util:catalog resource="mail" id="i18n" /><%
%><mail:context/><%

%><%-- retrieve action type --%><%
%><%
    String act = request.getParameter("act");
    act = (act == null)   ? "" : act;

    // User selects back button when command fails
    String back = request.getParameter("back");

%><%

%><%-- 
      if the action types are not a reply, then retrieve the mail 
      session object that contains the concatenated to addresses
--%><%
%><% if ((!act.equals("rs")) && (!act.equals("ra"))) { %><%
  %><util:session id="newmsg" attribute="pickaddr"/><%
  %><mail:message name="newmsg"><%
    %><mail:set property="to" value="${newmsg:to} $(em)"/><%
  %></mail:message><%
%><% } %><%

%><%-- set character entity escaping --%><%
%><util:edit id="emsg1"><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%

%><%-- Compose message form (to and subject fields) --%>
<html>
  <title><util:msg name="i18n" key="compose"/></title>
<body>
<div align="center"><util:msg name="i18n" key="compose"/></div><%
%>
<form name="composeForm"<%
  %><util:link tagstart="" tagend=""><%
    %><util:attr attr="action"><%
    %><util:url file="typeMsg.jsp" comp="mail"><%
    %></util:url><%
    %></util:attr><%
  %></util:link><%
  %> method="post"><%

  %><%-- to field --%>
  <util:msg name="i18n" key="to"/>:<br><%

  %><%-- Use postdata --%><%
  %><% if (back != null) { %><%
    %><input type="text" name="to" value="<util:get eval="$(to)" edit="emsg1"/>"><%

  %><%-- to: reply to sender --%>
  <% } else if (act.equals("rs")) { %><%
    %><mail:message index="$(mid)"><%
      %><input type="text" name="to" value="<mail:get property="replyToAddress" edit="emsg1"/>"><%
    %></mail:message><%

  %><%-- to: reply to all --%>
  <% } else if (act.equals("ra")) { %><%
    %><mail:message index="$(mid)"><%
      %><input type="text" name="to" value="<mail:get property="replyToAddress" edit="emsg1"/><%
        %><util:if property="toAddressReply"><%
          %>,<mail:get property="toAddressReply" edit="emsg1"/><%
        %></util:if><%
      %>"><%
    %></mail:message><%

  %><%-- to: not a reply, so retrieve the to addresses from the mail session object --%>
  <% } else { %><%
    %><mail:message name="newmsg"><%
      %><input type="text" name="to" value="<mail:get property="to" edit="emsg1"/>"><%
      %><mail:set property="to" value=""/><%
    %></mail:message><%
  %><% } %><%
  %><br><%



  %><%-- cc field --%>
  <util:msg name="i18n" key="cc"/>:<br><%

  %><%-- Use postdata --%><%
  %><% if (back != null) { %><%
    %><input type="text" name="cc" value="<util:get eval="$(cc)" edit="emsg1"/>"><%
  %><%-- cc: reply to all --%>
  <% } else if (act.equals("ra")) { %><%
    %><mail:message index="$(mid)"><%
      %><input type="text" name="cc" value="<mail:get property="ccAddressReply" edit="emsg1"/><%
      %>"><%
    %></mail:message><%
     } else { %><%
    %><mail:message name="newmsg"><%
      %><input type="text" name="cc" value="<mail:get property="cc" edit="emsg1"/>"><%
      %><mail:set property="cc" value=""/><%
    %></mail:message><%
  %><% } %><%
  %><br><%




  %><%-- subject: populate if action is reply, forward, or back --%><%
  %><util:msg name="i18n" key="subject"/>:<br>
  <input type="text" name="sub"<%

  %><%-- subject: back --%><%
  %><% if (back != null) { %><%
    %> value="<util:get eval="$(sub)" edit="emsg1"/>"<%

  %><%-- subject: reply & not back --%><%
  %><% } else if ((act.equals("rs")) || (act.equals("ra"))) { %><%
    %><mail:message index="$(mid)"><%
      %> value="<util:msg name="i18n" key="re"/><mail:get property="subject" edit="emsg1"/>"<%
    %></mail:message><%

  %><%-- subject: forward & not back --%><%
  %><% } else if (act.equals("fwd")) { %><%
    %><mail:message index="$(mid)"><%
      %> value="<util:msg name="i18n" key="fwd"/><mail:get property="subject" edit="emsg1"/>"<%
    %></mail:message><%

  %><% } %><%
  %>><br><%


  %><%-- pass action type and message id and any postdata to next jsp --%>
  <input type="hidden" name="act" value="<%= act %>">
  <input type="hidden" name="mid" value="<util:get eval="$(mid)"/>">
  <input type="hidden" name="pmsg" value="<util:get eval="$(text)" edit="emsg1"/>"><%

  %><%-- type message --%>
  <input type="submit" name="type" value="<util:msg name="i18n" key="typemsg"/>"><br>

  <%-- use preset message --%>
  <mail:fetch collection="presetmsgs"/>
  <mail:context>

    <util:if property="presetEmpty">
    </util:if>

    <util:ifnot property="presetEmpty">
      <input type="submit" name="pset" value="<util:msg name="i18n" key="presetmsg"/>">
    </util:ifnot>

  </mail:context> 

</form>
</body>
</html>
