<!DOCTYPE HTML PUBLIC "-//W3C//DTD Compact HTML 1.0 Draft//EN">
<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_ab.tld" prefix="ab" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%


%><util:nocache/><util:content type="text/html"/><%
%><util:catalog resource="mail" id="i18n" /><%
%><ab:context/><%

%><%-- set address book new entry properties --%><%
%><ab:entry id="new"><%
  %><ab:set property="fn" value="$(fn)"/><%
  %><ab:set property="ln" value="$(ln)"/><%
  %><ab:set property="hp" value="$(hp)"/><%
  %><ab:set property="em" value="$(em)"/><%
%></ab:entry><%

%><%-- Add a new address book entry. This template has been 
       derived from the address book doAdd.jsp  Please keep 
       templates in sync.
--%>
<html>
  <title><util:msg name="i18n" key="addcontact"/></title>
<body><%

%><%-- add command --%>
<ab:add name="new"><%
  %><util:msg name="i18n" key="addfail"/><br><%

  %><%-- Any error message? --%><%
  %><ab:context><%
    %><util:if property="errorCode" value="AB_001"><%
    %><util:msg name="i18n" key="AB_001"/><%
    %></util:if><%
  %></ab:context>
  <p></p>

  <%-- back to mailbox --%>
  <util:link tagstart="<a" tagend=">"><%
    %><util:attr attr="href"><%
      %><util:url file="doInbox.jsp" comp="mail"><%
        %><util:parm name="f"><util:get eval="$(f)"/></util:parm><%
      %></util:url><%
    %></util:attr><%
  %></util:link><%
  %><util:msg name="i18n" key="mailbox"/>...</a><br>

  <%-- mailhome --%>
  <util:link tagstart="<a" tagend=">"><%
    %><util:attr attr="href"><%
    %><util:url file="summary.jsp" comp="mail"/><%
    %></util:attr><%
  %></util:link><%
  %><util:msg name="i18n" key="mailhome"/>...</a><br>
  </body>
  </html>
</ab:add>

<util:msg name="i18n" key="added"/>
<p></p>

<%-- back to mailbox --%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
    %><util:url file="doInbox.jsp" comp="mail"><%
      %><util:parm name="f"><util:get eval="$(f)"/></util:parm><%
    %></util:url><%
  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="mailbox"/>...</a><br>

<%-- mail home --%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
  %><util:url file="summary.jsp" comp="mail"/><%
  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="mailhome"/>...</a><br>
</body>
</html>
