<!DOCTYPE HTML PUBLIC "-//W3C//DTD Compact HTML 1.0 Draft//EN">
<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%

%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_mail.tld" prefix="mail" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%

%><util:nocache/><util:content type="text/html"/><%
%><util:catalog resource="mail" id="i18n" /><%
%><mail:context/><%

%><%-- unset url parameter separator entity escaping --%><%
%><util:context><%
  %><util:set property="urlAmpEntity" value="false"/><%
%></util:context><%

%><%-- set character entity escaping and truncation value --%><%
%><%-- no more than 18 characters for subject --%><%
%><util:edit id="emsg1"><%
  %><util:set property="truncation" value="$/SunMobileAppMailService:sunMobileAppMailJspSubjectLength:18/"/><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%

%><util:edit id="emsg2"><%
  %><%-- No more than 18 characters for from --%><%
  %><util:set property="truncation" value="$/SunMobileAppMailService:sunMobileAppMailJspFromLength:18/"/><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%

%><%-- List Inbox messages in summary format - Sender and Subject only. --%>
<html>
  <title><util:msg name="i18n" key="inbox"/></title>
<body><%

  %><%-- message range --%><%
%><mail:messages id="msgs"><%
  %><util:set property="start" value="$(start)"/><%
  %><util:set property="count" value="$/SunMobileAppMailService:sunMobileAppMailJspInboxNumLines:11/"/><%
  %><util:msg name="i18n" key="startMsgIdx"/> <%
  %><util:get property="startOne"/> <%
  %><util:msg name="i18n" key="endMsgIdx"/> <%
  %><util:get property="endOne"/><br><%
%></mail:messages><%

%><%-- 
    Message List 
    <a href="getmsg.jsp?mid=$(mid)>
--%><%
%><mail:messages name="msgs" iterate="true"><%
  %><mail:message><%
  %><util:link tagstart="<a" tagend=">"><%
    %><util:attr attr="href"><%
    %><util:url file="getmsg.jsp" comp="mail"><%
    %><util:parm name="mid"><mail:get name="msgs" property="index"/></util:parm><%
    %><util:parm name="f"><util:get eval="$(f)"/></util:parm><%
    %></util:url><%
    %></util:attr><%
  %></util:link><%
  %><util:if property="seen">&nbsp;</util:if><%
  %><util:ifnot property="seen">*</util:ifnot><%
  %><mail:get property="from" edit="emsg2"/>: <% 
  %><mail:get property="subject" edit="emsg1"/></a><br><%
  %></mail:message><%
%></mail:messages><%


  %><%-- next --%><%
%><mail:messages name="msgs"><%
  %><util:if property="nextPage"><%
    %><util:link tagstart="<a" tagend=">"><%
      %><util:attr attr="href"><%
      %><util:url file="inbox.jsp" comp="mail"><%
      %><util:parm name="start"><util:get property="nextStart"/></util:parm><%
      %></util:url><%
      %></util:attr><%
      %></util:link><%
    %><util:msg name="i18n" key="more"/></a><br><%
  %></util:if><%
%></mail:messages><%

%><mail:context><%
%><util:ifnot property="numOfViews" value="1"><%
%><util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%                                               
  %><util:url file="views.jsp" comp="mail"/><%                                  
  %></util:url><%
  %></util:attr><%                                                              
%></util:link><%                                                                
%><util:msg name="i18n" key="views"/>...</a><br><%   
%></util:ifnot><%     
%></mail:context><%


%><%-- mail home --%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
  %><util:url file="summary.jsp" comp="mail"><%
  %></util:url><%
  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="mailhome"/>...</a>
</body>
</html>
