<!DOCTYPE HTML PUBLIC "-//W3C//DTD Compact HTML 1.0 Draft//EN"><%
%><%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%
%><%@ taglib uri="/WEB-INF/wireless_mail.tld" prefix="mail" %><%

%><util:nocache/><util:content type="text/html"/><%
%><util:catalog resource="mail" id="i18n" /><%
%><mail:context/><%

%><%-- unset parameter separator entity escaping --%><%
%><util:context><%
  %><util:set property="urlAmpEntity" value="false"/><%
%></util:context><%

%><%-- Message Menu --%>
<html>
  <title><util:msg name="i18n" key="menu"/></title>
<body><%

  String folder = request.getParameter("f");
  folder    = (folder == null) ? "" : folder;

%><%-- 
    Message Menu
    reply, delete, forward, move to, copy to, add to addr,
    view header, mailbox, mailhm
--%><%
%><%-- reply --%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
  %><util:url file="reply.jsp" comp="mail"><%
    %><util:parm name="mid"><util:get eval="$(mid)"/></util:parm><%
    %><util:parm name="f"><%= folder %></util:parm><%
  %></util:url><%
  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="reply"/></a><br><%

%><%-- delete --%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
  %><util:url file="delete.jsp" comp="mail"><%
    %><util:parm name="mid"><util:get eval="$(mid)"/></util:parm><%
    %><util:parm name="f"><%= folder %></util:parm><%
  %></util:url><%
  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="delete"/></a><br><%

%><%-- forward --%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
  %><util:url file="pickaddr.jsp" comp="mail"><%
    %><util:parm name="act">fwd</util:parm><%
    %><util:parm name="mid"><util:get eval="$(mid)"/></util:parm><%
    %><util:parm name="f"><%= folder %></util:parm><%
  %></util:url><%
  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="forward"/></a><br><%

%><%-- fax --%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
  %><util:url file="composefax.jsp" comp="mail"><%
    %><util:parm name="mi"><util:get eval="$(mi)"/></util:parm><%
    %><util:parm name="act">fwd</util:parm><%
    %><util:parm name="mid"><util:get eval="$(mid)"/></util:parm><%
    %><util:parm name="f"><%= folder %></util:parm><%
  %></util:url><%
  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="fax"/></a><br><%

%><%-- move to --%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
  %><util:url file="getfolders.jsp" comp="mail"><%
    %><util:parm name="op">move</util:parm><%
    %><util:parm name="mid"><util:get eval="$(mid)"/></util:parm><%
    %><util:parm name="of"><%= folder %></util:parm><%
  %></util:url><%
  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="moveto"/></a><br><%


%><%-- copy to --%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
  %><util:url file="getfolders.jsp" comp="mail"><%
    %><util:parm name="op">copy</util:parm><%
    %><util:parm name="mid"><util:get eval="$(mid)"/></util:parm><%
    %><util:parm name="of"><%= folder %></util:parm><%
  %></util:url><%
  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="copyto"/></a><br><%

%><%-- add to addr --%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
  %><util:url file="addpab.jsp" comp="mail"><%
    %><util:parm name="mid"><util:get eval="$(mid)"/></util:parm><%
    %><util:parm name="f"><%= folder %></util:parm><%
  %></util:url><%
  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="addaddr"/></a><br><%

%><%-- view header --%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
  %><util:url file="header.jsp" comp="mail"><%
  %><util:parm name="mid"><util:get eval="$(mid)"/></util:parm><%
  %></util:url><%
  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="viewheader"/></a><br><%

%><%-- mailbox --%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
  %><util:url file="doInbox.jsp" comp="mail"><%
    %><util:parm name="f"><%= folder %></util:parm><%
  %></util:url><%
  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="mailbox"/></a><br><%

%><%-- mail home --%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
  %><util:url file="summary.jsp" comp="mail"><%
  %></util:url><%
  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="mailhome"/></a><br>

</body>
</html>

