<%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%
%><%@ taglib uri="/WEB-INF/wireless_mail.tld" prefix="mail" %><%
%><util:nocache/><util:content type="text/plain" /><%
%><?xml version="1.0"?>
<util:include file="docTypeDeclaration.jsp" comp="common"/>

<%-- 
  Copyright 2003 Sun Microsystems, Inc. All Rights Reserved.
  Use is subject to license terms.
--%>

<%--
  This deletes a single email message.

  Input parameters:
    JSP:
      msgIndex   - Index of the message to be deleted

  Application root document:
    mailRoot.jsp

  Invoked by:
    deleteConfirm.jsp
--%>

<%
  // get the index of the message whose headers need to be read out
  String number_as_string = request.getParameter("msgIndex");

  String number_as_integer_string = null;
  try {
    Integer integer = new Integer(number_as_string);
    number_as_integer_string = integer.toString();
  } catch (NumberFormatException e) {
    Float aFloat = new Float(number_as_string);
    number_as_integer_string = Integer.toString(aFloat.intValue());
  }
%>

<mail:context/>

<vxml version="2.0" application="<util:url file="dialogs/mailRoot.jsp" comp="mail"/>">

  <!-- document functions -->

  <!-- document variables -->
	
  <form id="main">
    <var name="deleted" expr="'true'"/>

    <block>
      <mail:deletemessage index="<%= number_as_integer_string %>">
        <%-- If deletion fails this block gets executed --%>
        <assign name="deleted" expr="'false'"/>

              <return namelist="deleted"/>
            </block>
          </form>
        </vxml>
      </mail:deletemessage>

      <%-- On success --%>
      <return namelist="deleted"/>
    </block>
  </form>
</vxml>

