<%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%
%><%@ taglib uri="/WEB-INF/wireless_mail.tld" prefix="mail" %><%
%><util:nocache/><util:content type="text/plain" /><%
%><?xml version="1.0"?>
<util:include file="docTypeDeclaration.jsp" comp="common"/>

<%-- 
  Copyright 2003 Sun Microsystems, Inc. All Rights Reserved.
  Use is subject to license terms.
--%>

<%--
  The purpose of the mailUnload.jsp is to perform any unload 
  actions for the mail voicelet. So far, the mail voicelet 
  performs no special unloading activity.

  Application root document:
    mailRoot.jsp

  Invoked by:
    launchVoicelet.jsp
--%>

<%
  try {
    // this is the thing which determines if mail voicelet is already loaded
    session.removeAttribute("mailLoadedByVoicelet");
  } catch (Exception e) {
  }
%>

<vxml version="2.0" application="<util:url file="dialogs/mailRoot.jsp" comp="mail"/>">

  <!-- document functions -->

  <!-- document variables -->
	
  <!-- main page entry point -->
  <form id="unload">
    <%-- subdialog parameters --%>
    <var name="p_root"/>
    <var name="p_persona"/>

    <block>
      <%-- The following needs to be done only once per application --%>
      <assign name="prompt_root" expr="p_root"/>
      <assign name="persona"     expr="p_persona"/>

      <assign name="prompt_path" expr="prompt_root + '/' + persona + '/'"/>

      <return/>
    </block>
  </form>
</vxml>

